2006-12-30 20:00  warlord

	* [r15286] branches/2.0, branches/2.0/src/gnc-test-env: Re-apply
	  the gnc-test-env patch because it changed in trunk.

2006-12-30 19:46  warlord

	* [r15285] branches/2.0, branches/2.0/ChangeLog,
	  branches/2.0/src/gnc-test-env: Make sure we set
	  DYLD_LIBRARY_PATH in the test environment (for MacOS X) Approved
	  by jsled Merge from r15259

2006-12-30 19:45  warlord

	* [r15284] branches/2.0, branches/2.0/ChangeLog,
	  branches/2.0/src/gnome-utils/gnc-main-window.c: Save and restore
	  the visibility of the toolbar, statusbar, and summarybar. Fixes
	  #106259. Merge from r15258
	* [r15283] branches/2.0, branches/2.0/ChangeLog,
	  branches/2.0/src/engine/kvp-scm.c: guile 1.8's SCM_EXACTP()
	  throws an error when passed a non-number. So make sure we test
	  SCM_NUMBERP() before SCM_EXACTP() This causes gnucash to crash
	  on e.g. FC6 from the File Properties Menu. Approved by jsled
	  Merge from r15252
	* [r15282] branches/2.0, branches/2.0/ChangeLog,
	  branches/2.0/src/gnome-utils/gnc-main-window.c: Avoid crash when
	  renaming page in a page-less window by returning if there is no
	  current page. Fixes #388841. Merge from r15249
	* [r15281] branches/2.0, branches/2.0/ChangeLog,
	  branches/2.0/src/backend/file/gnc-commodity-xml-v2.c: Load and
	  store a commodity's KVP-frame (IFF it's non-empty). This would
	  let us store something like an Asset Class. Approved by chris
	  and others on -devel Merge from r15205

2006-12-30 19:44  warlord

	* [r15280] branches/2.0, branches/2.0/ChangeLog,
	  branches/2.0/src/app-utils/gnc-ui-util.c: Check for potentially
	  failed utf8 conversion of locale strings. bug#383270 Merge from
	  r15204
	* [r15279] branches/2.0, branches/2.0/ChangeLog,
	  branches/2.0/src/engine/Split.c: Return zero instead of failing
	  an assertion when the register asks a Split for its amount in a
	  commodity that is not involved in the split's transaction. This
	  will prevent the crash in bug #379625, but doesn't solve the
	  underlying problem, which is a bug in the register. Merge from
	  r15179 and r15180

2006-12-29 23:30  plongstaff

	* [r15278] branches/gda-dev/configure.in,
	  branches/gda-dev/src/backend/Makefile.am: Improve configuration
	  of gda backend. Now is --enable-gda and --disable-gda, with
	  information taken from pkg-config info.

2006-12-28 23:24  warlord

	* [r15277] trunk, trunk/src/engine/test/test-numeric.c: Change
	  around the test helper routines so we get the real test lineno.

2006-12-28 22:52  andi5

	* [r15276]
	  branches/reshuffle-modules/src/network-utils/test/Makefile.am,
	  branches/reshuffle-modules/src/tax/us/test/Makefile.am: Readd
	  two --library-dirs to make MacOSX pass `make check'.

2006-12-28 22:14  andi5

	* [r15275] trunk/packaging/win32/custom.sh,
	  trunk/packaging/win32/install.sh: Configure from a relative path
	  on Windows, because gnucash-build-env will not work with
	  top_srcdir begin absolute.

2006-12-28 20:26  andi5

	* [r15274]
	  branches/reshuffle-modules/src/app-utils/test/Makefile.am,
	  branches/reshuffle-modules/src/backend/file/test/Makefile.am,
	  branches/reshuffle-modules/src/business/business-core/test/Makefile.am,
	  branches/reshuffle-modules/src/engine/test/Makefile.am,
	  branches/reshuffle-modules/src/gnc-module/test/Makefile.am,
	  branches/reshuffle-modules/src/gnome-utils/test/Makefile.am,
	  branches/reshuffle-modules/src/import-export/test/Makefile.am,
	  branches/reshuffle-modules/src/network-utils/test/Makefile.am,
	  branches/reshuffle-modules/src/report/locale-specific/us/test/Makefile.am,
	  branches/reshuffle-modules/src/report/report-gnome/test/Makefile.am,
	  branches/reshuffle-modules/src/report/report-system/test/Makefile.am,
	  branches/reshuffle-modules/src/report/standard-reports/test/Makefile.am,
	  branches/reshuffle-modules/src/report/stylesheets/test/Makefile.am,
	  branches/reshuffle-modules/src/report/utility-reports/test/Makefile.am,
	  branches/reshuffle-modules/src/tax/us/test/Makefile.am: Add
	  missing --library-dir's for tests. At least Windows needs them.

2006-12-28 19:34  andi5

	* [r15273] branches/reshuffle-modules/src/gnc-test-env: In
	  gnc-test-env, define is-windows? based on whether the
	  environment variable "OSTYPE" equals "msys". Adjust PATH
	  environment variable on Windows.

2006-12-28 19:30  andi5

	* [r15272]
	  branches/reshuffle-modules/src/app-utils/test/test-load-module,
	  branches/reshuffle-modules/src/report/stylesheets/test/test-load-module:
	  Use /bin/sh for compatibility reasons.

2006-12-28 18:07  plongstaff

	* [r15271] branches/gda-dev/src/gnome-utils/gnc-file.c: Patch by
	  Mark Johnson (mrj001@shaw.ca) to use a File Selector and allow a
	  uri to be typed in.

2006-12-28 14:33  andi5

	* [r15270] trunk/packaging/win32/install.sh: No need to manually
	  exclude test subdirectories from mingw build anymore, since
	  r15260.

2006-12-28 02:22  hampton

	* [r15269] trunk/src/quotes/gnc-fq-check.in,
	  trunk/src/quotes/gnc-fq-update.in: Add a check for the
	  Date::Manip module (used by gnc-fq-helper).

2006-12-28 02:21  hampton

	* [r15268] trunk/src/scm/price-quotes.scm: Need to expliticly load
	  the gnome-utils scheme code.

2006-12-27 20:47  andi5

	* [r15267] branches/reshuffle-modules,
	  branches/reshuffle-modules/src/gnc-module/gnc-module.c: Add
	  .dylib files to the list of files checked by the module system,
	  because G_MODULE_SUFFIX is .so on MacOSX. Interim solution.

2006-12-27 17:08  andi5

	* [r15266] branches/reshuffle-modules,
	  branches/reshuffle-modules/autogen.sh: MacOSX installed
	  libtoolize as glibtoolize. Handle that in autogen.sh. merged
	  from trunk, r15255.

2006-12-27 16:57  andi5

	* [r15265] branches/reshuffle-modules,
	  branches/reshuffle-modules/src/gnc-test-env: Set
	  DYLD_LIBRARY_PATH in gnc-test-env on --library-dir for MacOS X.

2006-12-27 16:56  andi5

	* [r15264] branches/reshuffle-modules,
	  branches/reshuffle-modules/src/gnc-module/test/Makefile.am,
	  branches/reshuffle-modules/src/network-utils/test/Makefile.am,
	  branches/reshuffle-modules/src/tax/us/test/Makefile.am: Add
	  --library-dir core-utils to a few tests, to ease the work of
	  `make check'.

2006-12-27 16:54  andi5

	* [r15263] branches/reshuffle-modules,
	  branches/reshuffle-modules/configure.in,
	  branches/reshuffle-modules/doc/README.dependencies,
	  branches/reshuffle-modules/packaging/gnucash.spec.in,
	  branches/reshuffle-modules/src/backend/postgres/test/Makefile.am,
	  branches/reshuffle-modules/src/bin/gnucash-valgrind.in,
	  branches/reshuffle-modules/src/bin/gnucash.in,
	  branches/reshuffle-modules/src/bin/overrides/gnucash-env.in,
	  branches/reshuffle-modules/src/business/business-core/test/Makefile.am,
	  branches/reshuffle-modules/src/engine/test-core/Makefile.am,
	  branches/reshuffle-modules/src/engine/test/Makefile.am,
	  branches/reshuffle-modules/src/gnc-module/Makefile.am,
	  branches/reshuffle-modules/src/gnc-module/test/Makefile.am,
	  branches/reshuffle-modules/src/gnc-module/test/test-dynload.c,
	  branches/reshuffle-modules/src/import-export/qif-io-core/test/Makefile.am,
	  branches/reshuffle-modules/src/valgrind-gnucash.supp: Remove
	  remaining ltdl stuff, i.e. -lltdl, LTDL_LIBRARY_PATH, the
	  configure check. Make test-dynload.c use GModule too.

2006-12-27 14:51  warlord

	* [r15262] trunk, trunk/src/network-utils/test/Makefile.am,
	  trunk/src/tax/us/test/Makefile.am: A few more changes for "make
	  check" to succeed on MacOS-X. It now does. :)

2006-12-27 13:54  warlord

	* [r15261] trunk, trunk/src/gnc-module/test/Makefile.am: MacOS X
	  needs core-utils in the library load path for "make check" to
	  work. While we're at it, might as well pull in libcore-utils.la,
	  just in case.

2006-12-27 02:51  andi5

	* [r15260] trunk, trunk/src/app-utils/test/Makefile.am,
	  trunk/src/backend/file/test/Makefile.am,
	  trunk/src/backend/postgres/test/Makefile.am,
	  trunk/src/business/business-core/test/Makefile.am,
	  trunk/src/calculation/test/Makefile.am,
	  trunk/src/engine/test-core/Makefile.am,
	  trunk/src/engine/test/Makefile.am,
	  trunk/src/gnc-module/test/Makefile.am,
	  trunk/src/gnc-module/test/misc-mods/Makefile.am,
	  trunk/src/gnc-module/test/mod-bar/Makefile.am,
	  trunk/src/gnc-module/test/mod-baz/Makefile.am,
	  trunk/src/gnc-module/test/mod-foo/Makefile.am,
	  trunk/src/gnome-utils/test/Makefile.am,
	  trunk/src/import-export/hbci/test/Makefile.am,
	  trunk/src/import-export/ofx/test/Makefile.am,
	  trunk/src/import-export/qif-import/test/Makefile.am,
	  trunk/src/import-export/qif/test/Makefile.am,
	  trunk/src/import-export/test/Makefile.am,
	  trunk/src/network-utils/test/Makefile.am,
	  trunk/src/register/ledger-core/test/Makefile.am,
	  trunk/src/register/register-core/test/Makefile.am,
	  trunk/src/register/register-gnome/test/Makefile.am,
	  trunk/src/report/locale-specific/us/test/Makefile.am,
	  trunk/src/report/report-gnome/test/Makefile.am,
	  trunk/src/report/report-system/test/Makefile.am,
	  trunk/src/tax/us/test/Makefile.am: Do not build tests for `make
	  all' but only `make check'. This is done by using the automake
	  prefix check_ instead of noinst_. The modules created in
	  src/gnc-module/test now use that prefix too, but with
	  LDFLAGS="-rpath ${PWD}" to make them shared (we never install
	  them).

2006-12-26 16:47  warlord

	* [r15259] trunk, trunk/src/gnc-test-env: Make sure we set
	  DYLD_LIBRARY_PATH in the test environment (for MacOS X)

2006-12-26 00:07  hampton

	* [r15258] trunk/src/gnome-utils/gnc-main-window.c: Save and
	  restore the visibility of the toolbar, statusbar, and
	  summarybar. Fixes #106259. BP

2006-12-25 20:18  hampton

	* [r15257] branches/remove-group2/src/engine/Account.c: Protect
	  against setting an existing tree node as the new root of the
	  tree.

2006-12-25 18:53  warlord

	* [r15256] trunk, trunk/macros/ac_pkg_swig.m4: lack of swig should
	  be a fatal error (if building from SVN). Fix AC_MSG_WARN ->
	  AC_MSG_ERROR

2006-12-25 18:38  warlord

	* [r15255] trunk, trunk/autogen.sh: MacOSX installed libtoolize as
	  glibtoolize. Handle that in autogen

2006-12-25 18:29  hampton

	* [r15254] branches/remove-group2, branches/remove-group2/AUTHORS,
	  branches/remove-group2/ChangeLog, branches/remove-group2/README,
	  branches/remove-group2/README.dependencies,
	  branches/remove-group2/configure.in,
	  branches/remove-group2/doc/README.francais,
	  branches/remove-group2/lib/libqof/qof/Makefile.am,
	  branches/remove-group2/lib/libqof/qof/qofquerycore.c,
	  branches/remove-group2/lib/libqof/qof/qofsession-p.h,
	  branches/remove-group2/lib/libqof/qof/qofsession.c,
	  branches/remove-group2/lib/libqof/qof/qofsession.h,
	  branches/remove-group2/macros/ac_pkg_swig.m4,
	  branches/remove-group2/packaging/win32/custom.sh,
	  branches/remove-group2/packaging/win32/dist.sh,
	  branches/remove-group2/packaging/win32/functions,
	  branches/remove-group2/packaging/win32/gnucash.iss.in,
	  branches/remove-group2/packaging/win32/goffice-0.3.2-patch.diff,
	  branches/remove-group2/packaging/win32/install.sh,
	  branches/remove-group2/src/app-utils/Makefile.am,
	  branches/remove-group2/src/app-utils/gnc-component-manager.c,
	  branches/remove-group2/src/app-utils/gnc-ui-util.c,
	  branches/remove-group2/src/app-utils/gnc-ui-util.h,
	  branches/remove-group2/src/backend/file/gnc-account-xml-v2.c,
	  branches/remove-group2/src/backend/file/gnc-backend-file.c,
	  branches/remove-group2/src/backend/file/gnc-commodity-xml-v2.c,
	  branches/remove-group2/src/backend/file/gnc-transaction-xml-v2.c,
	  branches/remove-group2/src/backend/file/io-gncxml-v2.c,
	  branches/remove-group2/src/backend/file/test/test-xml-account.c,
	  branches/remove-group2/src/backend/file/test/test-xml-commodity.c,
	  branches/remove-group2/src/backend/file/test/test-xml-pricedb.c,
	  branches/remove-group2/src/backend/file/test/test-xml-transaction.c,
	  branches/remove-group2/src/base-typemaps.i,
	  branches/remove-group2/src/bin/Makefile.am,
	  branches/remove-group2/src/bin/gnucash-bin.c,
	  branches/remove-group2/src/business/business-core/Makefile.am,
	  branches/remove-group2/src/business/business-core/file/gnc-invoice-xml-v2.c,
	  branches/remove-group2/src/business/business-core/file/gnc-order-xml-v2.c,
	  branches/remove-group2/src/business/business-core/gncAddress.c,
	  branches/remove-group2/src/business/business-core/gncBillTerm.c,
	  branches/remove-group2/src/business/business-core/gncCustomer.c,
	  branches/remove-group2/src/business/business-core/gncEmployee.c,
	  branches/remove-group2/src/business/business-core/gncEntry.c,
	  branches/remove-group2/src/business/business-core/gncInvoice.c,
	  branches/remove-group2/src/business/business-core/gncJob.c,
	  branches/remove-group2/src/business/business-core/gncOrder.c,
	  branches/remove-group2/src/business/business-core/gncTaxTable.c,
	  branches/remove-group2/src/business/business-core/gncVendor.c,
	  branches/remove-group2/src/business/business-gnome/Makefile.am,
	  branches/remove-group2/src/business/business-reports/aging.scm,
	  branches/remove-group2/src/business/business-reports/invoice.scm,
	  branches/remove-group2/src/business/business-utils/Makefile.am,
	  branches/remove-group2/src/business/dialog-tax-table/Makefile.am,
	  branches/remove-group2/src/core-utils/Makefile.am,
	  branches/remove-group2/src/core-utils/gnc-gobject-utils.c,
	  branches/remove-group2/src/engine/Account.c,
	  branches/remove-group2/src/engine/Makefile.am,
	  branches/remove-group2/src/engine/SchedXaction.c,
	  branches/remove-group2/src/engine/Split.c,
	  branches/remove-group2/src/engine/TransLog.c,
	  branches/remove-group2/src/engine/binreloc.c,
	  branches/remove-group2/src/engine/binreloc.h,
	  branches/remove-group2/src/engine/gnc-budget.c,
	  branches/remove-group2/src/engine/gnc-commodity.c,
	  branches/remove-group2/src/engine/gnc-lot.c,
	  branches/remove-group2/src/engine/gnc-path.c,
	  branches/remove-group2/src/engine/gnc-path.h,
	  branches/remove-group2/src/engine/gnc-pricedb.c,
	  branches/remove-group2/src/engine/gncla-dir.h.in,
	  branches/remove-group2/src/engine/kvp-scm.c,
	  branches/remove-group2/src/gnc-module/Makefile.am,
	  branches/remove-group2/src/gnc-module/gnc-module.c,
	  branches/remove-group2/src/gnc-module/gnc-module.h,
	  branches/remove-group2/src/gnome-utils/Makefile.am,
	  branches/remove-group2/src/gnome-utils/argv-list-converters.c,
	  branches/remove-group2/src/gnome-utils/argv-list-converters.h,
	  branches/remove-group2/src/gnome-utils/dialog-transfer.c,
	  branches/remove-group2/src/gnome-utils/druid-gconf-setup.c,
	  branches/remove-group2/src/gnome-utils/gnc-dense-cal.c,
	  branches/remove-group2/src/gnome-utils/gnc-file.c,
	  branches/remove-group2/src/gnome-utils/gnc-frequency.c,
	  branches/remove-group2/src/gnome-utils/gnc-gnome-utils.c,
	  branches/remove-group2/src/gnome-utils/gnc-html.c,
	  branches/remove-group2/src/gnome-utils/gnc-main-window.c,
	  branches/remove-group2/src/gnome-utils/gnc-plugin-file-history.c,
	  branches/remove-group2/src/gnome-utils/gnc-tree-view.c,
	  branches/remove-group2/src/gnome/Makefile.am,
	  branches/remove-group2/src/gnome/dialog-sxsincelast.c,
	  branches/remove-group2/src/gnome/druid-hierarchy.c,
	  branches/remove-group2/src/gnome/druid-loan.c,
	  branches/remove-group2/src/gnome/druid-merge.c,
	  branches/remove-group2/src/gnome/glade/account.glade,
	  branches/remove-group2/src/gnome/gnc-plugin-basic-commands.c,
	  branches/remove-group2/src/gnome/top-level.c,
	  branches/remove-group2/src/gnome/ui/gnc-plugin-basic-commands-ui.xml,
	  branches/remove-group2/src/import-export/hbci/gnc-file-aqb-import.c,
	  branches/remove-group2/src/import-export/hbci/gnc-hbci-getbalance.c,
	  branches/remove-group2/src/import-export/log-replay/gnc-log-replay.c,
	  branches/remove-group2/src/import-export/ofx/gnc-ofx-import.c,
	  branches/remove-group2/src/import-export/qif-import/Makefile.am,
	  branches/remove-group2/src/import-export/qif-import/druid-qif-import.c,
	  branches/remove-group2/src/import-export/qif-import/qif-file.scm,
	  branches/remove-group2/src/import-export/qif-import/qif-merge-groups.scm,
	  branches/remove-group2/src/import-export/qif-import/qif-parse.scm,
	  branches/remove-group2/src/import-export/qif-import/qif-to-gnc.scm,
	  branches/remove-group2/src/pixmaps/Makefile.am,
	  branches/remove-group2/src/pixmaps/gnucash-icon.ico,
	  branches/remove-group2/src/report/report-gnome/Makefile.am,
	  branches/remove-group2/src/report/report-gnome/gnc-plugin-page-report.c,
	  branches/remove-group2/src/report/report-system/Makefile.am,
	  branches/remove-group2/src/report/report-system/report.scm,
	  branches/remove-group2/src/report/standard-reports/account-piecharts.scm,
	  branches/remove-group2/src/report/standard-reports/category-barchart.scm:
	  Sync changes 15066:15252 into the branch.

2006-12-25 14:16  warlord

	* [r15253] branches/2.0, branches/2.0/ChangeLog,
	  branches/2.0/src/gnome-utils/dialog-account.c: Correct account
	  compatibility check with top level account. #389317 Merge from
	  r14923.

2006-12-23 21:10  warlord

	* [r15252] trunk, trunk/src/engine/kvp-scm.c: guile 1.8's
	  SCM_EXACTP() throws an error when passed a non-number. So make
	  sure we test SCM_NUMBERP() before SCM_EXACTP() This causes
	  gnucash to crash on e.g. FC6 from the File Properties Menu. BP

2006-12-23 18:50  andi5

	* [r15251] trunk/packaging/win32/dist.sh,
	  trunk/packaging/win32/gnucash.iss.in: Use `cp -a' in dist.sh.
	  Let inno create guile.bat (which sets GUILE_LOAD_PATH) and
	  slibcat, because the user running GnuCash later on may not have
	  the rights to do that.

2006-12-23 12:36  andi5

	* [r15250] trunk/packaging/win32/install.sh: Fix slib installation
	  within inst_guile, a regression introduced by r15246.

2006-12-23 06:51  andi5

	* [r15249] trunk/src/gnome-utils/gnc-main-window.c: Avoid crash
	  when renaming page in a page-less window by returning if there
	  is no current page. Fixes #388841. BP

2006-12-23 06:41  andi5

	* [r15248] trunk/packaging/win32/dist.sh: Strip libdir directives
	  in distributed libtool .la files, because they may point to
	  still existing libraries that will be dlopened and conflict with
	  those loaded on startup.

2006-12-22 11:10  andi5

	* [r15247] trunk, trunk/packaging/win32/install.sh: Fix install.sh
	  typo, spotted by hfelton.

2006-12-21 23:09  andi5

	* [r15246] trunk/packaging/win32/custom.sh,
	  trunk/packaging/win32/dist.sh,
	  trunk/packaging/win32/gnucash.iss.in,
	  trunk/packaging/win32/install.sh: Various install.sh
	  improvements: * Use $GNUCASH_DIR\\{repos,build,inst,dist} as
	  directories for the source, build, installation and packaging *
	  `mkdir -p' cannot handle backslashes, use unix paths * Downgrade
	  to ORBit2-2.13.3 * Print command to create /etc/profile.d if
	  needed

2006-12-21 19:28  andi5

	* [r15245] trunk/src/app-utils/Makefile.am,
	  trunk/src/bin/Makefile.am,
	  trunk/src/business/business-core/Makefile.am,
	  trunk/src/business/business-gnome/Makefile.am,
	  trunk/src/business/business-utils/Makefile.am,
	  trunk/src/engine/Makefile.am, trunk/src/gnome-utils/Makefile.am,
	  trunk/src/gnome/Makefile.am,
	  trunk/src/import-export/qif-import/Makefile.am,
	  trunk/src/report/report-gnome/Makefile.am: Add include
	  directives for ${top_builddir}/src/swig-runtime.h. Merged r15229
	  from branches/reshuffle-modules.

2006-12-21 19:19  andi5

	* [r15244] trunk/packaging/win32/dist.sh,
	  trunk/packaging/win32/functions,
	  trunk/packaging/win32/install.sh: install.sh: Ease registration
	  of environment variables. Fix dist.sh to set PATH for unzip and
	  gconftool-2.

2006-12-21 15:24  plongstaff

	* [r15243] branches/gda-dev/src/backend/gda/gnc-backend-gda.c,
	  branches/gda-dev/src/backend/gda/gnc-backend-gda.h: Remove
	  unused SQL value handlers

2006-12-21 15:23  plongstaff

	* [r15242] branches/gda-dev/configure.in: Add --with-libgda flag
	  to all user to specify where libgda is

2006-12-21 14:10  cstim

	* [r15241] trunk/packaging/win32/custom.sh,
	  trunk/packaging/win32/dist.sh, trunk/packaging/win32/install.sh:
	  Add code for download/installation of Inno Setup Compiler, as
	  suggested by hfelton.

2006-12-21 13:53  cstim

	* [r15240] trunk/packaging/win32/install.sh: Minor message
	  improvement by hfelton.

2006-12-21 01:07  andi5

	* [r15239] trunk/packaging/win32/dist.sh: Do not distribute
	  share\guile\1.6\slibcat and let slib recreate it once GnuCash is
	  started for the first time.

2006-12-21 00:05  bock

	* [r15238] branches/2.0/ChangeLog,
	  branches/2.0/src/import-export/test/Makefile.am: *
	  src/import-export/test/Makefile.am: Minor fix so build completes
	  on Ubuntu/Debian (tested on Edgy)

2006-12-20 15:27  cstim

	* [r15237] trunk/src/app-utils/gnc-ui-util.c: Convert even more
	  strings of locale into utf8, as suggested by Jon Arney.

2006-12-20 15:26  cstim

	* [r15236] trunk/src/bin/gnucash-bin.c: Remove windows-specific
	  ignoring of engine_is_initialized check.

2006-12-19 16:37  cstim

	* [r15235] trunk/packaging/win32/dist.sh: Some forgotten file for
	  copying

2006-12-19 09:07  andi5

	* [r15234] branches/reshuffle-modules,
	  branches/reshuffle-modules/src/app-utils/test/Makefile.am,
	  branches/reshuffle-modules/src/backend/file/test/Makefile.am,
	  branches/reshuffle-modules/src/engine/test/Makefile.am,
	  branches/reshuffle-modules/src/gnc-module/test/Makefile.am,
	  branches/reshuffle-modules/src/gnc-test-env,
	  branches/reshuffle-modules/src/gnome-utils/test/Makefile.am,
	  branches/reshuffle-modules/src/network-utils/test/Makefile.am,
	  branches/reshuffle-modules/src/report/locale-specific/us/test/Makefile.am,
	  branches/reshuffle-modules/src/report/report-gnome/test/Makefile.am,
	  branches/reshuffle-modules/src/report/report-system/test/Makefile.am,
	  branches/reshuffle-modules/src/report/standard-reports/test/Makefile.am,
	  branches/reshuffle-modules/src/report/stylesheets/test/Makefile.am,
	  branches/reshuffle-modules/src/report/utility-reports/test/Makefile.am,
	  branches/reshuffle-modules/src/tax/us/test/Makefile.am: Readd
	  --library-dir to gnc-test-env and fix all tests that now lacked
	  some, mostly gnc-module. Also avoid leading slashes for
	  adapt-dirsep, because they would be stripped.
	* [r15233] branches/reshuffle-modules,
	  branches/reshuffle-modules/configure.in,
	  branches/reshuffle-modules/src/app-utils/test/Makefile.am,
	  branches/reshuffle-modules/src/backend/file/test/Makefile.am,
	  branches/reshuffle-modules/src/bin/overrides/gnucash-build-env.in,
	  branches/reshuffle-modules/src/bin/test/Makefile.am,
	  branches/reshuffle-modules/src/business/business-core/test/Makefile.am,
	  branches/reshuffle-modules/src/engine/test/Makefile.am,
	  branches/reshuffle-modules/src/gnc-module/test/Makefile.am,
	  branches/reshuffle-modules/src/gnome-utils/test/Makefile.am,
	  branches/reshuffle-modules/src/import-export/test/Makefile.am,
	  branches/reshuffle-modules/src/network-utils/test/Makefile.am,
	  branches/reshuffle-modules/src/register/register-core/test/Makefile.am,
	  branches/reshuffle-modules/src/register/register-gnome/test/Makefile.am,
	  branches/reshuffle-modules/src/report/locale-specific/us/test/Makefile.am,
	  branches/reshuffle-modules/src/report/report-gnome/Makefile.am,
	  branches/reshuffle-modules/src/report/report-gnome/test/Makefile.am,
	  branches/reshuffle-modules/src/report/report-system/test/Makefile.am,
	  branches/reshuffle-modules/src/report/standard-reports/test/Makefile.am,
	  branches/reshuffle-modules/src/report/stylesheets/test/Makefile.am,
	  branches/reshuffle-modules/src/report/utility-reports/test/Makefile.am,
	  branches/reshuffle-modules/src/tax/us/test/Makefile.am: Fix
	  tests and trim TESTS_ENVIRONMENT's to minimum versions. Update
	  gnc-build-env.in. Readd report-gnome/test directory.

2006-12-19 09:06  andi5

	* [r15232] branches/reshuffle-modules,
	  branches/reshuffle-modules/src/gnc-test-env: Clean up
	  gnc-test-env * --gnc-module-dir params are added to
	  $GNC_MODULE_PATH * --guile-load-dir params are added to
	  $GUILE_LOAD_PATH * Drop --library-dir, $LD_LIBRARY_PATH and
	  $LTDL_LIBRARY_PATH
	* [r15231] branches/reshuffle-modules,
	  branches/reshuffle-modules/src/app-utils/gncmod-app-utils.c,
	  branches/reshuffle-modules/src/backend/file/gncmod-backend-file.c,
	  branches/reshuffle-modules/src/business/business-core/businessmod-core.c,
	  branches/reshuffle-modules/src/business/business-core/file/gncmod-business-backend-file.c,
	  branches/reshuffle-modules/src/business/business-gnome/businessmod-gnome.c,
	  branches/reshuffle-modules/src/business/business-utils/gncmod-business-utils.c,
	  branches/reshuffle-modules/src/business/dialog-tax-table/gncmod-dialog-tax-table.c,
	  branches/reshuffle-modules/src/calculation/gncmod-calculation.c,
	  branches/reshuffle-modules/src/engine/gncmod-engine.c,
	  branches/reshuffle-modules/src/engine/test-core/gncmod-test-engine.c,
	  branches/reshuffle-modules/src/gnc-module/test/misc-mods/agedver.c,
	  branches/reshuffle-modules/src/gnc-module/test/misc-mods/futuremodsys.c,
	  branches/reshuffle-modules/src/gnc-module/test/misc-mods/incompatdep.c,
	  branches/reshuffle-modules/src/gnc-module/test/mod-bar/gnc-mod-bar.c,
	  branches/reshuffle-modules/src/gnc-module/test/mod-baz/gnc-mod-baz.c,
	  branches/reshuffle-modules/src/gnc-module/test/mod-foo/gnc-mod-foo.c,
	  branches/reshuffle-modules/src/gnome-search/gncmod-gnome-search.c,
	  branches/reshuffle-modules/src/gnome-utils/gncmod-gnome-utils.c,
	  branches/reshuffle-modules/src/import-export/binary-import/gncmod-binary-import.c,
	  branches/reshuffle-modules/src/import-export/gncmod-generic-import.c,
	  branches/reshuffle-modules/src/import-export/hbci/gncmod-hbci.c,
	  branches/reshuffle-modules/src/import-export/log-replay/gncmod-log-replay.c,
	  branches/reshuffle-modules/src/import-export/ofx/gncmod-ofx-import.c,
	  branches/reshuffle-modules/src/import-export/qif-import/gncmod-qif-import.c,
	  branches/reshuffle-modules/src/import-export/qif-io-core/gncmod-qifiocore.c,
	  branches/reshuffle-modules/src/network-utils/gncmod-network-utils.c,
	  branches/reshuffle-modules/src/register/ledger-core/gncmod-ledger-core.c,
	  branches/reshuffle-modules/src/register/register-core/gncmod-register-core.c,
	  branches/reshuffle-modules/src/register/register-gnome/gncmod-register-gnome.c,
	  branches/reshuffle-modules/src/report/locale-specific/us/gncmod-locale-reports-us.c,
	  branches/reshuffle-modules/src/report/report-gnome/gncmod-report-gnome.c,
	  branches/reshuffle-modules/src/report/report-system/gncmod-report-system.c,
	  branches/reshuffle-modules/src/report/standard-reports/gncmod-standard-reports.c,
	  branches/reshuffle-modules/src/report/stylesheets/gncmod-stylesheets.c,
	  branches/reshuffle-modules/src/report/utility-reports/gncmod-utility-reports.c,
	  branches/reshuffle-modules/src/tax/us/gncmod-tax-us.c,
	  branches/reshuffle-modules/src/test-core/gncmod-test.c: Remove
	  all prefixes "libgncmod_my_mod_LTX_".
	* [r15230] branches/reshuffle-modules,
	  branches/reshuffle-modules/src/gnc-module/gnc-module.c: Use
	  GModule instead of libltdl. * Load *.G_MODULE_SUFFIX, not *.la *
	  Use g_module_{open,symbol,close,error} for
	  lt_dl{open,sym,close,error} * Drop lt_dlinit

2006-12-19 09:05  andi5

	* [r15229] branches/reshuffle-modules,
	  branches/reshuffle-modules/src/app-utils/Makefile.am,
	  branches/reshuffle-modules/src/bin/Makefile.am,
	  branches/reshuffle-modules/src/business/business-core/Makefile.am,
	  branches/reshuffle-modules/src/business/business-gnome/Makefile.am,
	  branches/reshuffle-modules/src/business/business-utils/Makefile.am,
	  branches/reshuffle-modules/src/engine/Makefile.am,
	  branches/reshuffle-modules/src/gnome-utils/Makefile.am,
	  branches/reshuffle-modules/src/gnome/Makefile.am,
	  branches/reshuffle-modules/src/import-export/qif-import/Makefile.am,
	  branches/reshuffle-modules/src/report/report-gnome/Makefile.am:
	  Add include directives for ${top_builddir}/src/swig-runtime.h.

2006-12-18 20:16  andi5

	* [r15228] branches/reshuffle-modules: Branch from trunk at r15227.

2006-12-18 19:39  andi5

	* [r15227] trunk/packaging/win32/install.sh: install.sh: Make
	  gnome installation relocatable again.

2006-12-18 15:59  cstim

	* [r15226] trunk/packaging/win32/gnucash.iss.in,
	  trunk/src/pixmaps/Makefile.am: Install the .ico icon file into
	  $datadir/gnucash/pixmaps instead of $datadir/pixmaps.

2006-12-18 15:35  cstim

	* [r15225] trunk/packaging/win32/gnucash.iss.in,
	  trunk/src/pixmaps/Makefile.am,
	  trunk/src/pixmaps/gnucash-icon.ico: Add gnucash icon in Windows
	  .ico format for windows icon

2006-12-18 02:53  andi5

	* [r15224] trunk/packaging/win32/install.sh: install.sh: Do not
	  call pkg-config-msys.sh from within pkg-config-msys.sh. Use
	  correct header directory for regex (differs between v3.8 and
	  v3.8.g.3). Untested.

2006-12-17 18:32  andi5

	* [r15223] trunk, trunk/macros/ac_pkg_swig.m4: Do not determine
	  SWIG_LIB by running `swig -swiglib`, because we do not make use
	  of it and it made problems on MinGW (output was two lines).

2006-12-16 17:50  warlord

	* [r15222] trunk, trunk/src/bin/gnucash-bin.c: Update for 2.0.3
	  release

2006-12-16 02:50  andi5

	* [r15221] trunk/packaging/win32/dist.sh,
	  trunk/packaging/win32/functions: Revert r15216, because the
	  actual guile dll file names differ from those in builds of
	  revisions <15213. Replace shebang in packaging/win32/functions
	  by a local variables list.

2006-12-15 22:31  cstim

	* [r15220] branches/2.0/po/de.po: Update German translation; fixes
	  bug#383393.

2006-12-15 18:39  cstim

	* [r15219] trunk/packaging/win32/dist.sh,
	  trunk/packaging/win32/gnucash.iss.in: Fix missing files of
	  dist.sh. Improve iss script.

2006-12-15 18:18  cstim

	* [r15218] trunk/packaging/win32/gnucash.iss.in: Fix typo

2006-12-15 18:04  cstim

	* [r15217] trunk/packaging/win32/custom.sh,
	  trunk/packaging/win32/dist.sh,
	  trunk/packaging/win32/gnucash.iss.in: Improve Inno Setup
	  Compiler script; should probably be able to package the outcome
	  of dist.sh into one setup file.

2006-12-15 15:10  cstim

	* [r15216] trunk/packaging/win32/dist.sh: Fix guile DLL names that
	  have additional trailing numbers

2006-12-15 14:51  cstim

	* [r15215] trunk/packaging/win32/install.sh: Use the installed
	  PKG_CONFIG instead of what might be available in the PATH

2006-12-15 14:36  andi5

	* [r15214] trunk/packaging/win32/dist.sh,
	  trunk/packaging/win32/functions,
	  trunk/packaging/win32/install.sh: Add dist.sh, a script that
	  extracts all necessary files needed to run GnuCash on Windows
	  and puts them into $DIST_DIR. The plan is to call the Inno Setup
	  Compiler from it and create gnucash-$ver-setup.exe with one
	  command. A complete GnuCash build on MinGW is needed to run it.
	  Factor out common functions.

2006-12-14 22:32  andi5

	* [r15213] trunk/packaging/win32/custom.sh,
	  trunk/packaging/win32/install.sh: Install.sh improvements: *
	  Replace RegEx-Gnu by RegEx-Spencer 3.8, because GtkHTML is
	  linked against that * Update fontconfig, use expat-2.0.0.zip
	  from ftp.gnome.org, drop inst_expat * Use
	  $GNOME_WIN32_URL/dependencies for other packages too * Build
	  guile with -avoid-version

2006-12-14 02:30  plongstaff

	* [r15212] branches/gda-dev/src/backend/gda,
	  branches/gda-dev/src/backend/gda/gnc-account-gda.c,
	  branches/gda-dev/src/backend/gda/gnc-backend-gda.c,
	  branches/gda-dev/src/backend/gda/gnc-backend-gda.h,
	  branches/gda-dev/src/backend/gda/gnc-budget-gda.c,
	  branches/gda-dev/src/backend/gda/gnc-commodity-gda.c,
	  branches/gda-dev/src/backend/gda/gnc-lots-gda.c,
	  branches/gda-dev/src/backend/gda/gnc-price-gda.c,
	  branches/gda-dev/src/backend/gda/gnc-schedxaction-gda.c,
	  branches/gda-dev/src/backend/gda/gnc-slots-gda.c,
	  branches/gda-dev/src/backend/gda/gnc-transaction-gda.c: Use
	  QofAccessFunc/QofSetterFunc function signatures instead of
	  creating new ones

2006-12-12 11:41  cstim

	* [r15211] trunk/src/gnome/dialog-sxsincelast.c: Change enum names
	  to avoid name collision of IGNORE identifier, especially with
	  win32 headers.

2006-12-12 11:36  cstim

	* [r15210] trunk/AUTHORS: Add author of r15203, 15206, 15207,
	  15208.

2006-12-12 11:34  cstim

	* [r15209] trunk/lib/libqof/qof/qofquerycore.c: Code cleanup: Move
	  variable declaration into block where it is used.

2006-12-12 11:33  cstim

	* [r15208] trunk/lib/libqof/qof/qofquerycore.c: Check for return
	  value of regcomp() and return NULL on failure, as suggested by
	  Jon Arney.

2006-12-12 11:28  cstim

	* [r15207] trunk/src/gnome-utils/gnc-frequency.c: Rename private
	  min/max functions to avoid name collisions with existing
	  functions of macros, as suggested by Jon Arney

2006-12-12 11:24  cstim

	* [r15206] trunk/src/gnome/druid-loan.c: Change enum names to
	  avoid name collisions, especially with win32 headers.

2006-12-12 02:51  warlord

	* [r15205] trunk, trunk/src/backend/file/gnc-commodity-xml-v2.c:
	  Load and store a commodity's KVP-frame (IFF it's non-empty).
	  This would let us store something like an Asset Class. BP

2006-12-11 22:28  cstim

	* [r15204] trunk/src/app-utils/gnc-ui-util.c: Check for
	  potentially failed utf8 conversion of locale strings. bug#383270
	  BP

2006-12-11 17:48  cstim

	* [r15203] trunk/src/app-utils/gnc-component-manager.c,
	  trunk/src/gnc-module/gnc-module.c,
	  trunk/src/gnc-module/gnc-module.h: Rename variables to avoid
	  potential conflicts with C/C++ keywords.

2006-12-10 23:36  wilddev

	* [r15200] tags/2.0.3: Tagging the 2.0.3 release of GnuCash

2006-12-10 23:35  wilddev

	* [r15199] branches/2.0/ChangeLog, branches/2.0/NEWS,
	  branches/2.0/configure.in: update to release 2.0.3

2006-12-09 17:41  plongstaff

	* [r15198] branches/gda-dev/GDA_STATUS: Update GDA status

2006-12-09 17:36  plongstaff

	* [r15197] branches/gda-dev/src/backend/gda/ddl: Remove
	  obsolete/unused ddl files

2006-12-09 03:43  plongstaff

	* [r15196] branches/gda-dev/src/engine/Account.c,
	  branches/gda-dev/src/engine/SchedXaction.c: Add
	  begin_edit/commit_edit around 2 areas where multiple calls are
	  used to set up an object.
	* [r15195] branches/gda-dev/src/gnome/dialog-scheduledxaction.c:
	  Add begin_edit()/commit_edit() around lines filling in new sx

2006-12-09 03:39  plongstaff

	* [r15194] branches/gda-dev/src/bin/gnucash-gdb.in: Add
	  gnucash-gdb.in to create gnucash-gdb

2006-12-09 00:45  plongstaff

	* [r15193] branches/gda-dev/src/backend/gda/gnc-backend-gda.c: Fix
	  use of uninitialized variables

2006-12-08 18:48  plongstaff

	* [r15192] branches/gda-dev/src/backend/gda/gnc-backend-gda.c,
	  branches/gda-dev/src/backend/gda/gnc-lots-gda.c,
	  branches/gda-dev/src/backend/gda/gnc-lots-gda.h,
	  branches/gda-dev/src/backend/gda/gnc-schedxaction-gda.c,
	  branches/gda-dev/src/backend/gda/gnc-slots-gda.c,
	  branches/gda-dev/src/backend/gda/gnc-slots-gda.h,
	  branches/gda-dev/src/backend/gda/gnc-transaction-gda.c,
	  branches/gda-dev/src/backend/gda/gnc-transaction-gda.h: 1) Add
	  missing files 2) Add initial SX save/restore - will probably
	  crash 3) When committing clean transaction, commit any dirty
	  splits

2006-12-08 18:45  plongstaff

	* [r15191] branches/gda-dev/src/engine/SchedXaction.c,
	  branches/gda-dev/src/engine/SchedXaction.h,
	  branches/gda-dev/src/engine/Transaction.c: 1) Make some function
	  arguments 'const' 2) Add GNC_SX macro similar to GObject cast
	  macros

2006-12-07 14:35  plongstaff

	* [r15190] branches/gda-dev/src/backend/gda/gnc-account-gda.c,
	  branches/gda-dev/src/backend/gda/gnc-backend-gda.c,
	  branches/gda-dev/src/backend/gda/gnc-backend-gda.h,
	  branches/gda-dev/src/backend/gda/gnc-budget-gda.c,
	  branches/gda-dev/src/backend/gda/gnc-commodity-gda.c,
	  branches/gda-dev/src/backend/gda/gnc-price-gda.c,
	  branches/gda-dev/src/backend/gda/gnc-schedxaction-gda.c,
	  branches/gda-dev/src/backend/gda/gnc-transaction-gda.c: 1) Use
	  GObject-style macros instead of casts 2) Prevent nested queries
	  to solve problem where a split query triggers rerunning the same
	  query

2006-12-07 14:32  plongstaff

	* [r15189] branches/gda-dev/src/engine/Split.h,
	  branches/gda-dev/src/engine/gnc-lot.c,
	  branches/gda-dev/src/engine/gnc-lot.h,
	  branches/gda-dev/src/engine/gnc-pricedb.c,
	  branches/gda-dev/src/engine/gnc-pricedb.h: 1) Add
	  GNC_SPLIT/GNC_IS_SPLIT and GNC_LOT/GNC_IS_LOT macros 2) Make
	  some arguments const where appropriate

2006-12-06 20:03  andi5

	* [r15188] trunk/lib/libqof/qof/qofsession.c,
	  trunk/src/gnome-utils/gnc-file.c,
	  trunk/src/gnome-utils/gnc-html.c,
	  trunk/src/gnome-utils/gnc-main-window.c,
	  trunk/src/gnome-utils/gnc-tree-view.c,
	  trunk/src/report/report-gnome/gnc-plugin-page-report.c: Fix some
	  printf's of NULL in DEBUG, ENTER and LEAVE macro invocations.

2006-12-06 03:36  plongstaff

	* [r15187] branches/gda-dev/src/backend/gda/gnc-backend-gda.c,
	  branches/gda-dev/src/backend/gda/gnc-backend-gda.h: Replace some
	  remaining SQL with GdaQuery

2006-12-06 03:16  plongstaff

	* [r15186] branches/gda-dev/lib/libqof/qof/gnc-numeric.c,
	  branches/gda-dev/lib/libqof/qof/gnc-numeric.h: Add support for
	  gnc_numeric as a boxed GValue

2006-12-05 21:21  cstim

	* [r15185] trunk/AUTHORS: Add Author for r15184 bugfix

2006-12-05 21:19  cstim

	* [r15184] trunk/src/gnome/dialog-sxsincelast.c: Remove unused
	  variables and dead code. Patch provided by Jerry Quinn. Fixes
	  #347084.

2006-12-05 21:15  cstim

	* [r15183] trunk/AUTHORS: Updates for changed areas of
	  contribution; add andi5 to top. Feel free to adjust this to your
	  liking again.

2006-12-04 10:36  cstim

	* [r15181] branches/2.0/po/sk.po: Updated Slovak translation by
	  Zdenko Podobny

2006-12-04 03:09  warlord

	* [r15180] trunk, trunk/src/engine/Split.c: Print out more
	  information about "broken" splits. Extends r15179 which should
	  fix the crash of bug #379625 NOTE: it now prints zeros, which
	  could confuse the user... BP

2006-12-04 02:20  chris

	* [r15179] trunk/src/engine/Split.c: Return zero instead of
	  failing an assertion when the register asks a Split for its
	  amount in a commodity that is not involved in the split's
	  transaction. This will prevent the crash in bug #379625, but
	  doesn't solve the underlying problem, which is a bug in the
	  register. BP

2006-12-03 02:10  warlord

	* [r15178] branches/2.0, branches/2.0/ChangeLog: Fix a changelog
	  entry from r15173 to specify bug #381467

2006-12-03 02:03  warlord

	* [r15177] branches/2.0,
	  branches/2.0/src/gnome-utils/gnc-main-window.c: Remove unused
	  variables. merge from r15170.
	* [r15176] branches/2.0, branches/2.0/ChangeLog,
	  branches/2.0/src/gnome-utils/gnc-main-window.c: Factor out some
	  quiting code from gnc_main_window_delete_event() and
	  gnc_main_window_cmd_file_quit(). The new implementation fixes
	  two bugs - one in each of the previous implementations. The bug
	  in the gnc_main_window_cmd_file_quit() code was a race condition
	  whereby one could quit the application without finishing pending
	  changes in pages. This would happen if the began a save,
	  modified the page during the save, and then triggered the
	  File->Quit command before the save completed. For the register
	  page, this sequence was possible, even though most of the UI
	  controls are disabled during save. The bug in the
	  gnc_main_window_delete_event() code was that it didn't check for
	  an in-progress save before prompting the user to save a dirty
	  book. Merge from r15169
	* [r15175] branches/2.0, branches/2.0/ChangeLog,
	  branches/2.0/lib/libqof/qof/qofsession-p.h,
	  branches/2.0/lib/libqof/qof/qofsession.c,
	  branches/2.0/lib/libqof/qof/qofsession.h,
	  branches/2.0/src/gnome-utils/gnc-file.c: Fix bug #353450 - Crash
	  on quit during save. Add a lock to the QofSession object, and
	  use it in qof_session_save() to protect against re-entrance. The
	  lock always starts at 1 and is 0 while inside
	  qof_session_save(). If another call is made to
	  qof_session_save() while one is in progress, the lock will
	  momentarily drop below 0 before returning to zero. Note: The
	  per-session nature of the lock would make it appear that we
	  support concurrent saving of different sessions. In fact, we do
	  not, because the file backend blocks the main process until the
	  forked gzip process is finished, and it only knows how to keep
	  track of one child pid at a time. Merge from r15168

2006-12-03 02:02  warlord

	* [r15174] branches/2.0, branches/2.0/ChangeLog,
	  branches/2.0/src/gnome-utils/dialog-transfer.c: Save window size
	  and position of the transfer dialog. Merge from r15166
	* [r15173] branches/2.0, branches/2.0/ChangeLog,
	  branches/2.0/src/gnome-utils/gnc-main-window.c: When progress
	  bar is showing, do not make menus and toolbars insensitive, but
	  rather the underlying action groups. This way even keyboard
	  accelerators will not make sneaking calls while saving. Merge
	  from r15162
	* [r15172] branches/2.0, branches/2.0/ChangeLog,
	  branches/2.0/src/backend/file/gnc-transaction-xml-v2.c,
	  branches/2.0/src/business/business-core/file/gnc-invoice-xml-v2.c,
	  branches/2.0/src/business/business-core/file/gnc-order-xml-v2.c,
	  branches/2.0/src/business/business-core/gncBillTerm.c,
	  branches/2.0/src/business/business-core/gncCustomer.c,
	  branches/2.0/src/business/business-core/gncEmployee.c,
	  branches/2.0/src/business/business-core/gncEntry.c,
	  branches/2.0/src/business/business-core/gncInvoice.c,
	  branches/2.0/src/business/business-core/gncJob.c,
	  branches/2.0/src/business/business-core/gncOrder.c,
	  branches/2.0/src/business/business-core/gncTaxTable.c,
	  branches/2.0/src/business/business-core/gncVendor.c,
	  branches/2.0/src/engine/Account.c,
	  branches/2.0/src/engine/SchedXaction.c,
	  branches/2.0/src/engine/gnc-budget.c,
	  branches/2.0/src/engine/gnc-commodity.c,
	  branches/2.0/src/engine/gnc-lot.c,
	  branches/2.0/src/engine/gnc-pricedb.c: Replace 'static inline'
	  by 'static' for functions that are used by function pointers.
	  Fixes some compiler issues when building without certain
	  optimizations. Merge from r15161

2006-12-03 02:01  warlord

	* [r15171] branches/2.0, branches/2.0/ChangeLog,
	  branches/2.0/src/gnome-utils/gnc-main-window.c: Remove "closing
	  last window" confirmation dialog and corresponding warning
	  (reverting r14580). Fixes #355392. Merge from r14944

2006-12-03 01:40  chris

	* [r15170] trunk/src/gnome-utils/gnc-main-window.c: Remove unused
	  variables.

2006-12-03 00:56  chris

	* [r15169] trunk/src/gnome-utils/gnc-main-window.c: Factor out
	  some quiting code from gnc_main_window_delete_event() and
	  gnc_main_window_cmd_file_quit(). The new implementation fixes
	  two bugs - one in each of the previous implementations. The bug
	  in the gnc_main_window_cmd_file_quit() code was a race condition
	  whereby one could quit the application without finishing pending
	  changes in pages. This would happen if the began a save,
	  modified the page during the save, and then triggered the
	  File->Quit command before the save completed. For the register
	  page, this sequence was possible, even though most of the UI
	  controls are disabled during save. The bug in the
	  gnc_main_window_delete_event() code was that it didn't check for
	  an in-progress save before prompting the user to save a dirty
	  book.

2006-12-02 22:13  chris

	* [r15168] trunk/lib/libqof/qof/qofsession-p.h,
	  trunk/lib/libqof/qof/qofsession.c,
	  trunk/lib/libqof/qof/qofsession.h,
	  trunk/src/gnome-utils/gnc-file.c: Fix bug #353450 - Crash on
	  quit during save. Add a lock to the QofSession object, and use
	  it in qof_session_save() to protect against re-entrance. The
	  lock always starts at 1 and is 0 while inside
	  qof_session_save(). If another call is made to
	  qof_session_save() while one is in progress, the lock will
	  momentarily drop below 0 before returning to zero. Note: The
	  per-session nature of the lock would make it appear that we
	  support concurrent saving of different sessions. In fact, we do
	  not, because the file backend blocks the main process until the
	  forked gzip process is finished, and it only knows how to keep
	  track of one child pid at a time.

2006-12-02 18:03  andi5

	* [r15167] trunk, trunk/src/gnome-utils/Makefile.am,
	  trunk/src/gnome-utils/argv-list-converters.c,
	  trunk/src/gnome-utils/argv-list-converters.h,
	  trunk/src/gnome-utils/gnc-gnome-utils.c: Drop
	  argv-list-converters.[ch], because its use was removed by r12942
	  when we switched to a more C-based start-up.

2006-12-02 02:46  andi5

	* [r15166] trunk, trunk/src/gnome-utils/dialog-transfer.c: Save
	  window size and position of the transfer dialog.

2006-11-30 02:28  plongstaff

	* [r15165] branches/gda-dev/src/backend/gda/gnc-account-gda.c,
	  branches/gda-dev/src/backend/gda/gnc-backend-gda.c,
	  branches/gda-dev/src/backend/gda/gnc-budget-gda.c,
	  branches/gda-dev/src/backend/gda/gnc-schedxaction-gda.c,
	  branches/gda-dev/src/backend/gda/gnc-transaction-gda.c: 1)
	  Remove unnecessary 2nd DELETE when saving slots 2) Start move
	  toward GValues internally in GDA backend 3) Use GdaQuery for
	  DELETE operations

2006-11-30 01:16  plongstaff

	* [r15164] branches/gda-dev/src/engine/gnc-budget.c,
	  branches/gda-dev/src/engine/gnc-budget.h,
	  branches/gda-dev/src/gnome/gnc-plugin-page-budget.c: Wrap budget
	  set routines with begin_edit/commit_edit

2006-11-29 22:12  plongstaff

	* [r15163] branches/gda-dev/src/backend/gda/Makefile.am,
	  branches/gda-dev/src/backend/gda/gnc-account-gda.c,
	  branches/gda-dev/src/backend/gda/gnc-backend-gda.c,
	  branches/gda-dev/src/backend/gda/gnc-backend-gda.h,
	  branches/gda-dev/src/backend/gda/gnc-budget-gda.c,
	  branches/gda-dev/src/backend/gda/gnc-commodity-gda.c,
	  branches/gda-dev/src/backend/gda/gnc-price-gda.c,
	  branches/gda-dev/src/backend/gda/gnc-schedxaction-gda.c,
	  branches/gda-dev/src/backend/gda/gnc-schedxaction-gda.h,
	  branches/gda-dev/src/backend/gda/gnc-transaction-gda.c: 1)
	  Initial framework for handling sched transactions 2) Use
	  GdaQuery for initial load 3) Use GdaDataHandlers for rendering
	  objects. Good for everything except dates which are rendered as
	  'DD-MM-YYYY' instead of 'YYYY-MM-DD'.

2006-11-29 19:46  andi5

	* [r15162] trunk, trunk/src/gnome-utils/gnc-main-window.c: When
	  progress bar is showing, do not make menus and toolbars
	  insensitive, but rather the underlying action groups. This way
	  even keyboard accelerators will not make sneaking calls while
	  saving. BP

2006-11-29 15:13  cstim

	* [r15161] trunk/src/backend/file/gnc-transaction-xml-v2.c,
	  trunk/src/business/business-core/file/gnc-invoice-xml-v2.c,
	  trunk/src/business/business-core/file/gnc-order-xml-v2.c,
	  trunk/src/business/business-core/gncAddress.c,
	  trunk/src/business/business-core/gncBillTerm.c,
	  trunk/src/business/business-core/gncCustomer.c,
	  trunk/src/business/business-core/gncEmployee.c,
	  trunk/src/business/business-core/gncEntry.c,
	  trunk/src/business/business-core/gncInvoice.c,
	  trunk/src/business/business-core/gncJob.c,
	  trunk/src/business/business-core/gncOrder.c,
	  trunk/src/business/business-core/gncTaxTable.c,
	  trunk/src/business/business-core/gncVendor.c,
	  trunk/src/engine/Account.c, trunk/src/engine/SchedXaction.c,
	  trunk/src/engine/gnc-budget.c, trunk/src/engine/gnc-commodity.c,
	  trunk/src/engine/gnc-lot.c, trunk/src/engine/gnc-pricedb.c:
	  Replace 'static inline' by 'static' for functions that are used
	  by function pointers.

2006-11-29 10:28  cstim

	* [r15160] branches/2.0/po/hu.po: Update 100% complete Hungarian
	  translation by Sulyok Peti.

2006-11-28 16:24  plongstaff

	* [r15159] branches/gda-dev/src/gnome/gnc-plugin-page-budget.c:
	  Add begin_edit/commit_edit around where budget info is set from
	  dialog
	* [r15158] branches/gda-dev/src/backend/gda/gnc-backend-gda.c,
	  branches/gda-dev/src/backend/gda/gnc-backend-gda.h,
	  branches/gda-dev/src/backend/gda/gnc-budget-gda.c: Save/restore
	  budget recurrence information

2006-11-28 09:10  cstim

	* [r15157] trunk/packaging/win32/install.sh: Oops. Now really fix
	  absolute path of perl binary

2006-11-28 09:09  cstim

	* [r15156] trunk/packaging/win32/install.sh: Fix absolute path of
	  perl binary

2006-11-28 08:47  cstim

	* [r15155] trunk/packaging/win32/custom.sh: Version number updates
	  for mingw and libxml2

2006-11-28 08:46  cstim

	* [r15154] trunk/packaging/win32/install.sh: Check for installed
	  perl by absolute path of expected location

2006-11-27 14:40  cstim

	* [r15152] trunk/README, trunk/doc/README.francais: Updated French
	  README and small corrections to main README by Fabrice Kurz

2006-11-27 14:37  cstim

	* [r15151] branches/2.0/README, branches/2.0/doc/README.francais:
	  Updated French README and small corrections to main README by
	  Fabrice Kurz

2006-11-27 13:32  cstim

	* [r15150] trunk/lib/libqof/qof/Makefile.am: Remove unneeded extra
	  Makefile variable

2006-11-27 12:56  cstim

	* [r15149] trunk/src/engine/Makefile.am,
	  trunk/src/engine/gncla-dir.h.in: Remove configure-time path
	  variables that are not used in the source code

2006-11-27 12:37  cstim

	* [r15148] branches/2.0/NEWS: Add info about updated translations

2006-11-27 10:07  cstim

	* [r15147] branches/2.0/po/ca.po, branches/2.0/po/cs.po,
	  branches/2.0/po/da.po, branches/2.0/po/el.po,
	  branches/2.0/po/en_GB.po, branches/2.0/po/es.po,
	  branches/2.0/po/es_NI.po, branches/2.0/po/eu.po,
	  branches/2.0/po/fr.po, branches/2.0/po/hu.po,
	  branches/2.0/po/it.po, branches/2.0/po/ja.po,
	  branches/2.0/po/nb.po, branches/2.0/po/ne.po,
	  branches/2.0/po/nl.po, branches/2.0/po/pl.po,
	  branches/2.0/po/pt.po, branches/2.0/po/pt_BR.po,
	  branches/2.0/po/ro.po, branches/2.0/po/ru.po,
	  branches/2.0/po/rw.po, branches/2.0/po/sk.po,
	  branches/2.0/po/sv.po, branches/2.0/po/ta.po,
	  branches/2.0/po/tr.po, branches/2.0/po/uk.po,
	  branches/2.0/po/zh_CN.po, branches/2.0/po/zh_TW.po: Translation
	  updated; merged with newly introduced strings

2006-11-27 10:04  cstim

	* [r15146] branches/2.0/po/de.po: Updated German translation

2006-11-26 14:21  plongstaff

	* [r15145] branches/gda-dev/src/backend/Makefile.am,
	  branches/gda-dev/src/backend/gda/Makefile.am,
	  branches/gda-dev/src/backend/gda/gnc-account-gda.c,
	  branches/gda-dev/src/backend/gda/gnc-backend-gda.c,
	  branches/gda-dev/src/backend/gda/gnc-backend-gda.h,
	  branches/gda-dev/src/backend/gda/gnc-budget-gda.c,
	  branches/gda-dev/src/backend/gda/gnc-commodity-gda.c,
	  branches/gda-dev/src/backend/gda/gnc-price-gda.c,
	  branches/gda-dev/src/backend/gda/gnc-transaction-gda.c,
	  branches/gda-dev/src/bin/Makefile.am: 1) Replace column size
	  magic numbers by #defines 2) Use some common code 3)
	  Save/restore budgets (except recurrence) 4) Add gnucash-gdb to
	  bin

2006-11-26 04:07  plongstaff

	* [r15144] branches/gda-dev/src/engine/gnc-budget.c: Put
	  begin_edit()/commit_edit() around budget creation to prevent
	  excess db activity.

2006-11-26 04:06  plongstaff

	* [r15143] branches/gda-dev/lib/libqof/qof/kvp_frame.c: Fix bug
	  where kvp_frame_add_numeric() (and other routines) wouldn't
	  create the kvp path if it didn't exist.

2006-11-24 19:54  warlord

	* [r15142] branches/2.0, branches/2.0/ChangeLog,
	  branches/2.0/src/backend/file/gnc-account-xml-v2.c: Make the xml
	  file read behavior less random for malformed account input.
	  Merge from r15111
	* [r15141] branches/2.0, branches/2.0/ChangeLog,
	  branches/2.0/src/engine/Account.c,
	  branches/2.0/src/engine/Account.h,
	  branches/2.0/src/gnome-utils/dialog-account.c,
	  branches/2.0/src/gnome-utils/gnc-tree-model-account-types.c,
	  branches/2.0/src/gnome-utils/gnc-tree-model-account-types.h,
	  branches/2.0/src/import-export/import-account-matcher.c: Handle
	  type-compatibility when reparenting accounts: #344966. Add
	  xaccAccountTypesCompatibleWith and change
	  xaccAccountTypesCompatible to use that. Add
	  gnc_tree_model_account_types_set_mask and bind mask to the
	  filter model instead using it as data of the filter function,
	  because those can only be set once per filter. f_model is not
	  always set in gnc_tree_model_account_types_get_selection because
	  of a bug in gtk+ (#357791). Also add
	  gnc_tree_model_account_types_get_mask. Make the account type
	  list in the account dialog dynamically filtered based on
	  compatibility to the parent account. * add
	  gnc_account_parent_changed_cb. Filter by valid_types & parent
	  compatible types * add aw->preferred_account_type to remember
	  what we chose but may not work currently * make valid_types a
	  guint32 (was GList*) * last_used_account_type is only set in
	  gnc_ui_to_account Free a list in import-account-matcher.c. Ease
	  account type changes in the account dialog after OK is clicked.
	  Before, we did not enforce compatibility with the parent account
	  and suggested to change only children or children and all parent
	  accounts up to the top-level one. We do enforce it now and only
	  need to look at the children. The filling of the hash of
	  (children) account (type) changes has been replaced by showing
	  the user a filtered account tree and the types are adjusted
	  recursively once the user verified the change. This is another
	  attempt to resolve #344966. Merge r14894, r14895, r14896,
	  r14897, r14898, r14899
	* [r15140] branches/2.0, branches/2.0/ChangeLog,
	  branches/2.0/src/gnome-utils/gnc-dense-cal.c: Make
	  gnc-dense-cal:month_name to use g_date_strftime instead of
	  strftime so that it returns a clean UTF-8 string. Merge from
	  r15080 Approved by jsled

2006-11-24 18:44  warlord

	* [r15139] branches/2.0, branches/2.0/ChangeLog,
	  branches/2.0/src/import-export/qif-import/qif-parse.scm: Don't
	  have aktzu in the "case" twice. Fixes #377519. Merged r15128
	  Approved by chris

2006-11-24 18:43  warlord

	* [r15138] branches/2.0, branches/2.0/ChangeLog,
	  branches/2.0/src/import-export/hbci/gnc-hbci-getbalance.c: Fix
	  missing date when reconciling from HBCI #372929. as suggested by
	  Konstantin Goudkov Merge r15110
	* [r15137] branches/2.0, branches/2.0/ChangeLog,
	  branches/2.0/src/report/standard-reports/account-piecharts.scm,
	  branches/2.0/src/report/standard-reports/category-barchart.scm:
	  Fix some scheme inexact errors. Fixes 347462. Merge r15088.

2006-11-24 18:42  warlord

	* [r15136] branches/2.0, branches/2.0/ChangeLog,
	  branches/2.0/src/register/ledger-core/split-register-control.c,
	  branches/2.0/src/register/ledger-core/split-register.c: Fix
	  auto-completion/pending transactions. #348469. Ensure that the
	  blank transaction is marked as the pending transaction when it
	  is modified. This fixes a bug where editing the blank
	  transaction, moving off of the transaction line to a split line,
	  leaving the split line unedited and then closing the register
	  will incorrectly leave the transaction open without asking. The
	  bug fixed by this commit is possibly responsible for some of the
	  crashes like bug #348469. This fixes a bug in r14495. The bug is
	  that auto-completed transactions aren't correctly marked as
	  pending. This bug is probably responsible for the crashes like
	  those in bug #348469. In general, the register makes it very
	  difficult to consistently distiguish between beginning to edit a
	  transaction that's being edited in another register and
	  beginning to edit the blank transaction, which is already open
	  for editing, but isn't marked pending so that we can pretend it
	  hasn't been opened if it never gets modified. Fortunately, the
	  auto-completion code only runs on the blank transaction, so we
	  can assume it's not being edited in another register. This patch
	  goes ahead and marks the blank transaction as pending. Merge
	  r15002 and r15004.
	* [r15135] branches/2.0, branches/2.0/ChangeLog,
	  branches/2.0/src/core-utils/gnc-gconf-utils.c,
	  branches/2.0/src/core-utils/gnc-gconf-utils.h,
	  branches/2.0/src/gnome-utils/dialog-utils.c,
	  branches/2.0/src/gnome/dialog-print-check.c: Backport change to
	  fix #378881 Lessen restriction of the parameter whoami of the
	  gnc_gconf_add/ remove_notification functions. Now the pair of
	  section and whoami has to be unique, as GncMainWindow adds
	  notifications to two different sections. Extends r14675. Remove
	  a superfluous leading slash and doubly defined gconf key macros.
	  Correct gnc_gconf_add/remove_notification to avoid printf'ing
	  NULL and therefore crashes on Solaris and Windows. r14675 had
	  fixed that, r14945 (me) undermined it though. (#378881). Merges
	  r14945 and r15041.

2006-11-24 14:04  cstim

	* [r15134] trunk/configure.in, trunk/src/engine/Makefile.am,
	  trunk/src/engine/gncla-dir.h.in: Remove configure argument
	  --with-locale-dir because it is unused anyway

2006-11-24 13:50  cstim

	* [r15133] trunk/src/backend/file/gnc-backend-file.c: Remove
	  compiled-in pathname LOCALE_DIR by relocatable runtime function

2006-11-24 13:14  cstim

	* [r15132] trunk/ChangeLog, trunk/configure.in,
	  trunk/src/engine/Makefile.am, trunk/src/engine/binreloc.c,
	  trunk/src/engine/binreloc.h, trunk/src/engine/gnc-path.c,
	  trunk/src/engine/gncla-dir.h.in: Fix gnc_path_get_localedir()
	  because binreloc's implementation did not respect the choice of
	  DATADIRNAME from AM_GLIB_GNU_GETTEXT in configure.

2006-11-24 10:38  cstim

	* [r15131] trunk/README.dependencies: Add version numbers for
	  opensuse 10.2, due 2006-12-07.

2006-11-23 12:20  cstim

	* [r15130] branches/2.0/po/de.po: Updated German translation

2006-11-22 15:24  plongstaff

	* [r15129] branches/gda-dev/src/scm/price-quotes.scm: Wrap lines
	  setting up downloaded price with begin-edit and commit-edit

2006-11-21 14:56  warlord

	* [r15128] trunk, trunk/ChangeLog,
	  trunk/src/import-export/qif-import/qif-parse.scm: Don't have
	  aktzu in the "case" twice. Fixes #377519. BP

2006-11-19 21:00  cstim

	* [r15127] branches/2.0/src/gnome/glade/account.glade: Mark
	  forgotten string as translatable. Merged from trunk, r15126

2006-11-19 20:57  cstim

	* [r15126] trunk/src/gnome/glade/account.glade: Mark forgotten
	  string as translatable

2006-11-19 20:53  cstim

	* [r15125] branches/2.0/po/fr.po: Improved French translation by
	  Fabrice Kurz. Fixes #376508

2006-11-18 02:31  plongstaff

	* [r15124] branches/gda-dev/src/backend/gda/gnc-account-gda.c,
	  branches/gda-dev/src/backend/gda/gnc-backend-gda.c,
	  branches/gda-dev/src/backend/gda/gnc-backend-gda.h,
	  branches/gda-dev/src/backend/gda/gnc-commodity-gda.c,
	  branches/gda-dev/src/backend/gda/gnc-commodity-gda.h,
	  branches/gda-dev/src/backend/gda/gnc-price-gda.c,
	  branches/gda-dev/src/backend/gda/gnc-transaction-gda.c: Basic
	  transaction/split query

2006-11-15 08:54  cstim

	* [r15123] trunk/packaging/win32/install.sh: Revert r15119. That
	  change needs more testing on my side.

2006-11-15 01:45  jsled

	* [r15122]
	  branches/sx-cleanup/src/app-utils/gnc-sx-instance-model.c:
	  Hookup SX QOF_MODIFY_EVENT -> gnc-sx-instance-model:updated; the
	  sx list view now reflects changes. :)

2006-11-15 01:44  jsled

	* [r15121] branches/sx-cleanup/src/engine/SchedXaction.c: Add
	  `on_done` handler that emits QOF_MODIFY_EVENT.

2006-11-15 00:09  jsled

	* [r15120]
	  branches/sx-cleanup/src/gnome/dialog-sx-since-last-run.c: Add
	  "editable" as well to control combo box, uh, editability.

2006-11-14 21:56  cstim

	* [r15119] trunk/packaging/win32/install.sh: For non-msys startup
	  script, add SCHEME_LIBRARY_PATH again - it's definitely needed
	  on at least one of my test machines.

2006-11-14 20:58  cstim

	* [r15118] trunk/src/backend/file/test/test-xml-account.c,
	  trunk/src/backend/file/test/test-xml-commodity.c,
	  trunk/src/backend/file/test/test-xml-pricedb.c,
	  trunk/src/backend/file/test/test-xml-transaction.c: Replace
	  mkstemp by g_mkstemp because the former is unavailable on windows

2006-11-14 02:14  chris

	* [r15114] trunk/src/app-utils/Makefile.am,
	  trunk/src/business/business-core/Makefile.am,
	  trunk/src/business/dialog-tax-table/Makefile.am,
	  trunk/src/core-utils/Makefile.am,
	  trunk/src/core-utils/gnc-gobject-utils.c,
	  trunk/src/engine/Makefile.am, trunk/src/engine/TransLog.c,
	  trunk/src/gnc-module/Makefile.am,
	  trunk/src/gnome-utils/Makefile.am, trunk/src/gnome/Makefile.am,
	  trunk/src/report/report-gnome/Makefile.am,
	  trunk/src/report/report-system/Makefile.am: Add
	  src/base-typemaps.i as a prerequisite for all wrapper-generator
	  rules. Fix some comment typos.

2006-11-14 02:10  chris

	* [r15113] trunk/src/base-typemaps.i: Add a custom SWIG typemap
	  for wrapping a return value of (char *)NULL as an empty guile
	  string.

2006-11-14 02:07  chris

	* [r15112]
	  trunk/src/import-export/qif-import/qif-merge-groups.scm,
	  trunk/src/import-export/qif-import/qif-to-gnc.scm: Fix some #f
	  vs. '() issues in qif import files.

2006-11-14 02:05  chris

	* [r15111] trunk/src/backend/file/gnc-account-xml-v2.c: Make the
	  xml file read behavior less random for malformed account input.

2006-11-12 11:06  cstim

	* [r15110] trunk/src/import-export/hbci/gnc-hbci-getbalance.c: Fix
	  missing date when reconciling from HBCI as suggested by
	  Konstantin Goudkov, #372929. BP

2006-11-12 02:06  plongstaff

	* [r15109] branches/gda-dev/GDA_STATUS,
	  branches/gda-dev/src/backend/gda/gnc-backend-gda.c,
	  branches/gda-dev/src/backend/gda/gnc-transaction-gda.c: Commit
	  transactions and splits. Not restored via query yet.

2006-11-11 21:15  plongstaff

	* [r15108] branches/gda-dev/GDA_STATUS,
	  branches/gda-dev/src/backend/gda/Makefile.am,
	  branches/gda-dev/src/backend/gda/gnc-account-gda.c,
	  branches/gda-dev/src/backend/gda/gnc-backend-gda.c,
	  branches/gda-dev/src/backend/gda/gnc-backend-gda.h,
	  branches/gda-dev/src/backend/gda/gnc-commodity-gda.c,
	  branches/gda-dev/src/backend/gda/gnc-price-gda.c: Save/restore
	  slots associated with accounts. Note that nested slot path names
	  are not stored correctly so that on load, the structure will be
	  flattened.

2006-11-10 22:16  plongstaff

	* [r15107] branches/gda-dev/src/backend/gda/gnc-backend-gda.c: 1)
	  Fix date handling 2) Need to commit if object is dirty OR being
	  deleted

2006-11-10 20:31  plongstaff

	* [r15106] branches/gda-dev/src/backend/gda/gnc-backend-gda.c: Use
	  string GdaDataHandler to convert strings to SQL correctly.

2006-11-10 19:58  plongstaff

	* [r15105] branches/gda-dev/GDA_STATUS,
	  branches/gda-dev/src/backend/gda/gnc-account-gda.c,
	  branches/gda-dev/src/backend/gda/gnc-backend-gda.c,
	  branches/gda-dev/src/backend/gda/gnc-backend-gda.h,
	  branches/gda-dev/src/backend/gda/gnc-commodity-gda.c,
	  branches/gda-dev/src/backend/gda/gnc-price-gda.c: 1) Use
	  getter/setter functions to transfer from objects <-> db 2)
	  Create tables if they don't exist 3) Add handlers for each table
	  column type

2006-11-09 21:53  andi5

	* [r15104] branches/2.0/ChangeLog,
	  branches/2.0/src/gnome-utils/gnc-gnome-utils.c: Inform the user
	  about 'gnucash-docs' package when Help is selected with no
	  content. Fixes #347102. merged from trunk r15081 and r15082.
	  approved by cstim.

2006-11-09 14:33  plongstaff

	* [r15103] branches/gda-dev/src/backend/gda/gnc-account-gda.c,
	  branches/gda-dev/src/backend/gda/gnc-budget-gda.c,
	  branches/gda-dev/src/backend/gda/gnc-commodity-gda.c,
	  branches/gda-dev/src/backend/gda/gnc-price-gda.c,
	  branches/gda-dev/src/backend/gda/gnc-transaction-gda.c: Clean up
	  some includes

2006-11-09 14:27  andi5

	* [r15102] trunk, trunk/src/business/business-reports/aging.scm,
	  trunk/src/business/business-reports/invoice.scm,
	  trunk/src/import-export/qif-import/qif-file.scm,
	  trunk/src/report/report-system/report.scm: Fix three incorrect
	  tests for swig-wrapped objects and one initialization as #f
	  instead of '(), the latter making qif imports work again. Remove
	  also a few lines of old commented cruft.

2006-11-09 14:13  plongstaff

	* [r15101] branches/gda-dev/configure.in,
	  branches/gda-dev/src/backend/gda/Makefile.am: Use pkg-config in
	  configure.in to set CFLAGS and LIBS for libgda. Doesn't test
	  properly for existence of libgda package yet.

2006-11-09 02:05  plongstaff

	* [r15100] branches/gda-dev/GDA_STATUS,
	  branches/gda-dev/src/backend/gda/Makefile.am,
	  branches/gda-dev/src/backend/gda/ddl/prices.ddl,
	  branches/gda-dev/src/backend/gda/gnc-account-gda.c,
	  branches/gda-dev/src/backend/gda/gnc-account-gda.h,
	  branches/gda-dev/src/backend/gda/gnc-backend-gda.c,
	  branches/gda-dev/src/backend/gda/gnc-backend-gda.h,
	  branches/gda-dev/src/backend/gda/gnc-budget-gda.c,
	  branches/gda-dev/src/backend/gda/gnc-budget-gda.h,
	  branches/gda-dev/src/backend/gda/gnc-commodity-gda.c,
	  branches/gda-dev/src/backend/gda/gnc-commodity-gda.h,
	  branches/gda-dev/src/backend/gda/gnc-price-gda.c,
	  branches/gda-dev/src/backend/gda/gnc-price-gda.h,
	  branches/gda-dev/src/backend/gda/gnc-transaction-gda.c,
	  branches/gda-dev/src/backend/gda/gnc-transaction-gda.h,
	  branches/gda-dev/src/backend/gda/gncmod-backend-gda.c: 1) Fix
	  commodity handling 2) Save/load prices 3) Start using column ->
	  variable mapping and common functions

2006-11-08 22:43  hampton

	* [r15099] trunk/src/import-export/qif-import/druid-qif-import.c:
	  The args to g_build_filename should be NULL terminated.

2006-11-08 22:42  hampton

	* [r15098] trunk/src/gnome-utils/gnc-file.c:
	  gnc_history_get_last() can return NULL.

2006-11-08 21:06  andi5

	* [r15097] trunk/src/backend/file/gnc-backend-file.c,
	  trunk/src/backend/file/io-gncxml-v2.c,
	  trunk/src/gnome-utils/druid-gconf-setup.c: Replace remaining
	  _WIN32 macro tests by G_OS_WIN32 ones.

2006-11-08 20:50  andi5

	* [r15096] trunk/src/base-typemaps.i: Add swig base-typemap double
	  gdouble. gnc-progress-dialog-set-value should work again now.

2006-11-08 16:40  andi5

	* [r15095] trunk/src/app-utils/gnc-ui-util.c,
	  trunk/src/app-utils/gnc-ui-util.h,
	  trunk/src/gnome-utils/gnc-file.c,
	  trunk/src/import-export/hbci/gnc-file-aqb-import.c,
	  trunk/src/import-export/log-replay/gnc-log-replay.c,
	  trunk/src/import-export/ofx/gnc-ofx-import.c,
	  trunk/src/import-export/qif-import/druid-qif-import.c: Default
	  directory tweaks: * replace gnc_init_default_directory by
	  gnc_get_default_directory and do gconf query there * remove
	  gnc_extract_directory, but add gnc_set_default_directory * do
	  not save default directory with trailing (back)slash anymore

2006-11-07 15:56  plongstaff

	* [r15094] branches/gda-dev/GDA_STATUS,
	  branches/gda-dev/configure.in, branches/gda-dev/src/backend/gda,
	  branches/gda-dev/src/backend/gda/Makefile.am,
	  branches/gda-dev/src/backend/gda/ddl,
	  branches/gda-dev/src/backend/gda/ddl/accounts.ddl,
	  branches/gda-dev/src/backend/gda/ddl/books.ddl,
	  branches/gda-dev/src/backend/gda/ddl/budgets.ddl,
	  branches/gda-dev/src/backend/gda/ddl/business.ddl,
	  branches/gda-dev/src/backend/gda/ddl/commodities.ddl,
	  branches/gda-dev/src/backend/gda/ddl/freq_specs.ddl,
	  branches/gda-dev/src/backend/gda/ddl/gnucash.ddl,
	  branches/gda-dev/src/backend/gda/ddl/lots.ddl,
	  branches/gda-dev/src/backend/gda/ddl/prices.ddl,
	  branches/gda-dev/src/backend/gda/ddl/sched_transactions.ddl,
	  branches/gda-dev/src/backend/gda/ddl/slots.ddl,
	  branches/gda-dev/src/backend/gda/ddl/transactions.ddl,
	  branches/gda-dev/src/backend/gda/gnc-account-gda.c,
	  branches/gda-dev/src/backend/gda/gnc-account-gda.h,
	  branches/gda-dev/src/backend/gda/gnc-backend-gda.c,
	  branches/gda-dev/src/backend/gda/gnc-backend-gda.h,
	  branches/gda-dev/src/backend/gda/gnc-budget-gda.c,
	  branches/gda-dev/src/backend/gda/gnc-budget-gda.h,
	  branches/gda-dev/src/backend/gda/gnc-commodity-gda.c,
	  branches/gda-dev/src/backend/gda/gnc-commodity-gda.h,
	  branches/gda-dev/src/backend/gda/gnc-price-gda.c,
	  branches/gda-dev/src/backend/gda/gnc-price-gda.h,
	  branches/gda-dev/src/backend/gda/gnc-transaction-gda.c,
	  branches/gda-dev/src/backend/gda/gnc-transaction-gda.h,
	  branches/gda-dev/src/backend/gda/gncmod-backend-gda.c,
	  branches/gda-dev/src/engine/gnc-engine.c,
	  branches/gda-dev/src/engine/gnc-filepath-utils.c: Initial commit
	  of initial gda backend framework. See GDA_STATUS.

2006-11-07 00:23  andi5

	* [r15093] trunk/packaging/win32/install.sh: Work around a bug in
	  the MSYS bash (which generates 0x01 smilies when handling some
	  command substitutions), by adding a wrapper script for
	  pkg-config.exe.

2006-11-06 23:52  andi5

	* [r15092] trunk/packaging/win32/install.sh: Do not simply touch
	  install-sh because we need that from automake --add-missing.
	  Warn the user if he has put install.sh in ., .., or ..\.. from
	  the repository. Improves r15037.

2006-11-06 22:09  warlord

	* [r15090] branches/gda-dev: Create a GDA development branch for
	  GDA Backend Development

2006-11-06 15:27  cstim

	* [r15089] trunk/src/gnome/druid-hierarchy.c: Add win32 method for
	  looking up the current LANG string

2006-11-06 04:45  hampton

	* [r15088] trunk/ChangeLog,
	  trunk/src/report/standard-reports/account-piecharts.scm,
	  trunk/src/report/standard-reports/category-barchart.scm: Fix
	  some scheme inexact errors. Fixes 347462. BP

2006-11-04 22:07  cstim

	* [r15086] trunk/src/gnome/gnc-plugin-basic-commands.c,
	  trunk/src/gnome/ui/gnc-plugin-basic-commands-ui.xml: Activate
	  Close Books menu item again. This is an unstable branch, after
	  all. Reverts r14150. bug#342599

2006-11-04 22:06  cstim

	* [r15085] trunk/src/gnome/gnc-plugin-basic-commands.c,
	  trunk/src/gnome/ui/gnc-plugin-basic-commands-ui.xml: Activate
	  QSF Import/Export again. This is an unstable branch, after all.
	  Reverts r14147, r14148. bug#342515

2006-11-04 21:57  cstim

	* [r15084] trunk/src/gnome/druid-merge.c,
	  trunk/src/gnome/gnc-plugin-basic-commands.c: Improve error
	  reporting of QSF import a little bit. Patch provided by Georgi
	  Mirchev, bug#343724.

2006-11-04 21:50  cstim

	* [r15083] trunk/src/gnome/druid-merge.c: Fix cancel button of QSF
	  import. Patch provided by Georgi Mirchev, bug#343723.

2006-11-03 20:51  cstim

	* [r15082] trunk/src/gnome-utils/gnc-gnome-utils.c: Fix missing
	  i18n header

2006-11-03 19:50  andi5

	* [r15081] trunk/src/gnome-utils/gnc-gnome-utils.c: Inform the
	  user about 'gnucash-docs' package when Help is selected with no
	  content. Fixes #347102.

2006-11-03 19:49  andi5

	* [r15080] trunk/src/gnome-utils/gnc-dense-cal.c: Make
	  gnc-dense-cal:month_name to use g_date_strftime instead of
	  strftime so that it returns a clean UTF-8 string.

2006-11-01 22:43  andi5

	* [r15076] trunk/packaging/win32/custom.sh,
	  trunk/packaging/win32/goffice-0.3.2-patch.diff,
	  trunk/packaging/win32/install.sh: Some win32 package updates: -
	  Updated versions: MinGW, GLib, ATK, Pango, GTK+, Gail, LibGnome,
	  LibGSF, Glade, SVN - Move autotools up in the chain (guile1.8
	  will need that) - Stick with GOffice 0.3.0 (newer version need
	  code changes), but provide patch for 0.3.2 - Other minor
	  install.sh improvements

2006-11-01 21:14  andi5

	* [r15070] trunk/src/gnome-utils/gnc-tree-view.c: Another NULL
	  %s-printf.

2006-11-01 20:46  andi5

	* [r15069] trunk/src/gnome/top-level.c: Fix two NULL %s-printf's.

2006-11-01 20:45  andi5

	* [r15068] trunk/src/gnome-utils/gnc-plugin-file-history.c: Fix
	  gnc_history_generate_label to search for the correct dir
	  separator and not to crash when there is none.

2006-11-01 19:36  andi5

	* [r15067] trunk/src/engine/gnc-path.c,
	  trunk/src/engine/gnc-path.h,
	  trunk/src/gnome-utils/druid-gconf-setup.c: Automatically update
	  the gconf search path on windows. Add a force_slashes parameter
	  to gnc_path_get_gconfdir to get a slash separated path instead
	  of using G_DIR_SEPARATOR (backslash).

2006-11-01 00:01  hampton

	* [r15066] branches/remove-group2/ChangeLog,
	  branches/remove-group2/gnucash.m4,
	  branches/remove-group2/lib/libqof/backend/file/qof-backend-qsf.h,
	  branches/remove-group2/lib/libqof/qof/qofinstance-p.h,
	  branches/remove-group2/lib/libqof/qof/qofinstance.h,
	  branches/remove-group2/lib/libqof/qof/qofsession.h,
	  branches/remove-group2/src/app-utils/app-utils.i,
	  branches/remove-group2/src/app-utils/gnc-account-merge.c,
	  branches/remove-group2/src/app-utils/gnc-account-merge.h,
	  branches/remove-group2/src/app-utils/gnc-component-manager.c,
	  branches/remove-group2/src/app-utils/gnc-ui-util.c,
	  branches/remove-group2/src/app-utils/gnc-ui-util.h,
	  branches/remove-group2/src/app-utils/guile-util.h,
	  branches/remove-group2/src/app-utils/options.scm,
	  branches/remove-group2/src/backend/file/gnc-account-xml-v2.c,
	  branches/remove-group2/src/backend/file/gnc-book-xml-v2.c,
	  branches/remove-group2/src/backend/file/gnc-commodity-xml-v2.c,
	  branches/remove-group2/src/backend/file/gnc-schedxaction-xml-v2.c,
	  branches/remove-group2/src/backend/file/io-example-account.c,
	  branches/remove-group2/src/backend/file/io-example-account.h,
	  branches/remove-group2/src/backend/file/io-gncbin-r.c,
	  branches/remove-group2/src/backend/file/io-gncbin.h,
	  branches/remove-group2/src/backend/file/io-gncxml-v1.c,
	  branches/remove-group2/src/backend/file/io-gncxml-v2.c,
	  branches/remove-group2/src/backend/file/io-utils.c,
	  branches/remove-group2/src/backend/file/io-utils.h,
	  branches/remove-group2/src/backend/file/test/test-load-xml2.c,
	  branches/remove-group2/src/backend/file/test/test-xml-account.c,
	  branches/remove-group2/src/backend/file/test/test-xml-transaction.c,
	  branches/remove-group2/src/backend/postgres/PostgresBackend.c,
	  branches/remove-group2/src/backend/postgres/PostgresBackend.h,
	  branches/remove-group2/src/backend/postgres/account.c,
	  branches/remove-group2/src/backend/postgres/account.h,
	  branches/remove-group2/src/backend/postgres/checkpoint.c,
	  branches/remove-group2/src/backend/postgres/checkpoint.h,
	  branches/remove-group2/src/backend/postgres/events.c,
	  branches/remove-group2/src/backend/postgres/table.m4,
	  branches/remove-group2/src/backend/postgres/test/test-db.c,
	  branches/remove-group2/src/backend/postgres/test/test-period.c,
	  branches/remove-group2/src/backend/postgres/txn.c,
	  branches/remove-group2/src/backend/postgres/txn.h,
	  branches/remove-group2/src/backend/postgres/txnmass.c,
	  branches/remove-group2/src/business/business-core/gncInvoice.c,
	  branches/remove-group2/src/business/business-gnome/business-gnome-utils.c,
	  branches/remove-group2/src/business/business-gnome/dialog-payment.c,
	  branches/remove-group2/src/business/business-gnome/gnc-plugin-business.c,
	  branches/remove-group2/src/business/business-gnome/gnc-plugin-page-invoice.c,
	  branches/remove-group2/src/business/business-ledger/gncEntryLedger.c,
	  branches/remove-group2/src/business/business-ledger/gncEntryLedgerLoad.c,
	  branches/remove-group2/src/business/business-reports/owner-report.scm,
	  branches/remove-group2/src/engine/Account.c,
	  branches/remove-group2/src/engine/Account.h,
	  branches/remove-group2/src/engine/AccountP.h,
	  branches/remove-group2/src/engine/Group.c,
	  branches/remove-group2/src/engine/Group.h,
	  branches/remove-group2/src/engine/GroupP.h,
	  branches/remove-group2/src/engine/Makefile.am,
	  branches/remove-group2/src/engine/Period.c,
	  branches/remove-group2/src/engine/SX-book-p.h,
	  branches/remove-group2/src/engine/SX-book.c,
	  branches/remove-group2/src/engine/SX-book.h,
	  branches/remove-group2/src/engine/SchedXaction.c,
	  branches/remove-group2/src/engine/Scrub.c,
	  branches/remove-group2/src/engine/Scrub.h,
	  branches/remove-group2/src/engine/Scrub2.c,
	  branches/remove-group2/src/engine/Scrub3.c,
	  branches/remove-group2/src/engine/Scrub3.h,
	  branches/remove-group2/src/engine/ScrubP.h,
	  branches/remove-group2/src/engine/Split.c,
	  branches/remove-group2/src/engine/TransLog.c,
	  branches/remove-group2/src/engine/Transaction.c,
	  branches/remove-group2/src/engine/Transaction.h,
	  branches/remove-group2/src/engine/cap-gains.c,
	  branches/remove-group2/src/engine/cashobjects.c,
	  branches/remove-group2/src/engine/engine-helpers.c,
	  branches/remove-group2/src/engine/engine-utilities.scm,
	  branches/remove-group2/src/engine/engine.i,
	  branches/remove-group2/src/engine/engine.scm,
	  branches/remove-group2/src/engine/gnc-associate-account.c,
	  branches/remove-group2/src/engine/gnc-budget.c,
	  branches/remove-group2/src/engine/gnc-engine.c,
	  branches/remove-group2/src/engine/gnc-engine.h,
	  branches/remove-group2/src/engine/test-core/test-engine-stuff.c,
	  branches/remove-group2/src/engine/test-core/test-engine-stuff.h,
	  branches/remove-group2/src/engine/test/test-create-account.scm,
	  branches/remove-group2/src/engine/test/test-group-vs-book.c,
	  branches/remove-group2/src/engine/test/test-lots.c,
	  branches/remove-group2/src/engine/test/test-period.c,
	  branches/remove-group2/src/engine/test/test-query.c,
	  branches/remove-group2/src/experimental/cgi-bin/gnc-server.c,
	  branches/remove-group2/src/experimental/cgi-bin/hello2.c,
	  branches/remove-group2/src/experimental/cgi-bin/hello3.c,
	  branches/remove-group2/src/gnome-utils/account-quickfill.c,
	  branches/remove-group2/src/gnome-utils/account-quickfill.h,
	  branches/remove-group2/src/gnome-utils/dialog-account.c,
	  branches/remove-group2/src/gnome-utils/dialog-account.h,
	  branches/remove-group2/src/gnome-utils/dialog-transfer.c,
	  branches/remove-group2/src/gnome-utils/dialog-utils.c,
	  branches/remove-group2/src/gnome-utils/gnc-account-sel.c,
	  branches/remove-group2/src/gnome-utils/gnc-file.c,
	  branches/remove-group2/src/gnome-utils/gnc-html.c,
	  branches/remove-group2/src/gnome-utils/gnc-tree-model-account.c,
	  branches/remove-group2/src/gnome-utils/gnc-tree-model-account.h,
	  branches/remove-group2/src/gnome-utils/gnc-tree-model.h,
	  branches/remove-group2/src/gnome-utils/gnc-tree-view-account.c,
	  branches/remove-group2/src/gnome-utils/gnc-tree-view-account.h,
	  branches/remove-group2/src/gnome-utils/window-main-summarybar.c,
	  branches/remove-group2/src/gnome/dialog-commodities.c,
	  branches/remove-group2/src/gnome/dialog-find-transactions.c,
	  branches/remove-group2/src/gnome/dialog-sxsincelast.c,
	  branches/remove-group2/src/gnome/druid-acct-period.c,
	  branches/remove-group2/src/gnome/druid-hierarchy.c,
	  branches/remove-group2/src/gnome/druid-merge.c,
	  branches/remove-group2/src/gnome/druid-merge.h,
	  branches/remove-group2/src/gnome/druid-stock-split.c,
	  branches/remove-group2/src/gnome/gnc-plugin-page-account-tree.c,
	  branches/remove-group2/src/gnome/gnc-plugin-page-register.c,
	  branches/remove-group2/src/gnome/gnc-split-reg.c,
	  branches/remove-group2/src/gnome/reconcile-list.c,
	  branches/remove-group2/src/gnome/top-level.c,
	  branches/remove-group2/src/gnome/window-reconcile.c,
	  branches/remove-group2/src/import-export/binary-import/druid-commodity.c,
	  branches/remove-group2/src/import-export/hbci/druid-hbci-utils.c,
	  branches/remove-group2/src/import-export/hbci/gnc-hbci-gettrans.c,
	  branches/remove-group2/src/import-export/hbci/gnc-hbci-transfer.c,
	  branches/remove-group2/src/import-export/import-account-matcher.c,
	  branches/remove-group2/src/import-export/import-backend.c,
	  branches/remove-group2/src/import-export/import-match-map.c,
	  branches/remove-group2/src/import-export/ofx/gnc-ofx-import.c,
	  branches/remove-group2/src/import-export/qif-import/druid-qif-import.c,
	  branches/remove-group2/src/import-export/qif-import/qif-dialog-utils.scm,
	  branches/remove-group2/src/import-export/qif-import/qif-guess-map.scm,
	  branches/remove-group2/src/import-export/qif-import/qif-import.scm,
	  branches/remove-group2/src/import-export/qif-import/qif-merge-groups.scm,
	  branches/remove-group2/src/import-export/qif-import/qif-to-gnc.scm,
	  branches/remove-group2/src/import-export/qif-io-core/qif-acct-table.scm,
	  branches/remove-group2/src/import-export/qif-io-core/qif-io-core.scm,
	  branches/remove-group2/src/import-export/qif-io-core/test/test-import-phase-1.scm,
	  branches/remove-group2/src/register/ledger-core/gnc-ledger-display.c,
	  branches/remove-group2/src/register/ledger-core/split-register-control.c,
	  branches/remove-group2/src/register/ledger-core/split-register-load.c,
	  branches/remove-group2/src/register/ledger-core/split-register-model.c,
	  branches/remove-group2/src/register/ledger-core/split-register-p.h,
	  branches/remove-group2/src/register/ledger-core/split-register.c,
	  branches/remove-group2/src/register/ledger-core/split-register.h,
	  branches/remove-group2/src/report/locale-specific/us/taxtxf-de_DE.scm,
	  branches/remove-group2/src/report/locale-specific/us/taxtxf.scm,
	  branches/remove-group2/src/report/report-system/commodity-utilities.scm,
	  branches/remove-group2/src/report/report-system/html-acct-table.scm,
	  branches/remove-group2/src/report/report-system/html-utilities.scm,
	  branches/remove-group2/src/report/report-system/report-system.scm,
	  branches/remove-group2/src/report/report-system/report-utilities.scm,
	  branches/remove-group2/src/report/standard-reports/account-piecharts.scm,
	  branches/remove-group2/src/report/standard-reports/account-summary.scm,
	  branches/remove-group2/src/report/standard-reports/advanced-portfolio.scm,
	  branches/remove-group2/src/report/standard-reports/average-balance.scm,
	  branches/remove-group2/src/report/standard-reports/balance-sheet.scm,
	  branches/remove-group2/src/report/standard-reports/budget.scm,
	  branches/remove-group2/src/report/standard-reports/cash-flow.scm,
	  branches/remove-group2/src/report/standard-reports/category-barchart.scm,
	  branches/remove-group2/src/report/standard-reports/daily-reports.scm,
	  branches/remove-group2/src/report/standard-reports/equity-statement.scm,
	  branches/remove-group2/src/report/standard-reports/general-journal.scm,
	  branches/remove-group2/src/report/standard-reports/income-statement.scm,
	  branches/remove-group2/src/report/standard-reports/net-barchart.scm,
	  branches/remove-group2/src/report/standard-reports/portfolio.scm,
	  branches/remove-group2/src/report/standard-reports/price-scatter.scm,
	  branches/remove-group2/src/report/standard-reports/transaction.scm,
	  branches/remove-group2/src/report/standard-reports/trial-balance.scm,
	  branches/remove-group2/src/scm/price-quotes.scm: Rebase the
	  remove group changes on a branch pulled after the gwrap -> swig
	  changeover.

2006-10-31 03:45  hampton

	* [r15065] branches/remove-group2: Branch from trunk at r15059

2006-10-30 13:24  cstim

	* [r15064] trunk/doc/Makefile.am, trunk/doc/build-suse.txt: Remove
	  very old and very obsolete build instructions

2006-10-30 13:17  cstim

	* [r15063] trunk/doc/README.german, trunk/doc/guile-hackers.txt:
	  Replace g-wrap with swig in doc files

2006-10-30 13:12  cstim

	* [r15062] trunk/HACKING, trunk/README, trunk/README.dependencies:
	  Replace g-wrap with swig in doc files

2006-10-29 03:39  chris

	* [r15061] trunk/src/engine/engine-interface.scm,
	  trunk/src/import-export/qif-import/qif-dialog-utils.scm,
	  trunk/src/import-export/qif-import/qif-file.scm,
	  trunk/src/import-export/qif-io-core/qif-acct-table.scm,
	  trunk/src/import-export/qif-io-core/qif-bank-xtn-import.scm,
	  trunk/src/import-export/qif-io-core/qif-invst-xtn-import.scm,
	  trunk/src/report/standard-reports/budget.scm,
	  trunk/src/report/standard-reports/cash-flow.scm,
	  trunk/src/report/standard-reports/transaction.scm: [Part 2]
	  Audit all .scm files for cases where null objects were assumed
	  to be #f. (It helps to save all buffers before the commit.)

2006-10-29 03:12  chris

	* [r15060] trunk/src/app-utils/options.scm,
	  trunk/src/business/business-core/business-core.scm,
	  trunk/src/business/business-reports/aging.scm,
	  trunk/src/business/business-reports/business-reports.scm,
	  trunk/src/business/business-reports/easy-invoice.scm,
	  trunk/src/business/business-reports/fancy-invoice.scm,
	  trunk/src/business/business-reports/invoice.scm,
	  trunk/src/business/business-reports/owner-report.scm,
	  trunk/src/business/business-utils/business-options.scm,
	  trunk/src/engine/engine-interface.scm,
	  trunk/src/import-export/qif-import/qif-guess-map.scm,
	  trunk/src/import-export/qif-import/qif-merge-groups.scm,
	  trunk/src/import-export/qif-import/qif-to-gnc.scm,
	  trunk/src/import-export/qif-io-core/qif-acct-table.scm,
	  trunk/src/report/locale-specific/us/taxtxf-de_DE.scm,
	  trunk/src/report/locale-specific/us/taxtxf.scm,
	  trunk/src/report/report-gnome/report-gnome.scm,
	  trunk/src/report/report-system/gnc-report.h,
	  trunk/src/report/report-system/html-utilities.scm,
	  trunk/src/report/standard-reports/cash-flow.scm,
	  trunk/src/report/standard-reports/register.scm,
	  trunk/src/report/standard-reports/standard-reports.scm,
	  trunk/src/scm/printing/print-check.scm: Audit all .scm files for
	  cases where null objects were assumed to be #f. In most of these
	  cases, I know the value is always returned from C, so we can use
	  "null?". In cases where I wasn't sure, I make it check for
	  either #f or null?. Hopefully, I got 'em all. But, really, what
	  are the chances?

2006-10-28 01:53  chris

	* [r15059] trunk/src/business/business-reports/easy-invoice.scm,
	  trunk/src/business/business-reports/fancy-invoice.scm,
	  trunk/src/business/business-reports/invoice.scm: Replace
	  "gnc:entry-get-order" with "gncEntryGetOrder".

2006-10-26 20:45  andi5

	* [r15058] trunk, trunk/packaging/win32/custom.sh: Update slib url
	  to stick with old version 3a3.

2006-10-22 00:58  chris

	* [r15057] trunk/src/app-utils/app-utils.i,
	  trunk/src/scm/price-quotes.scm: Get price-quotes to work again.
	  Fix a type (missing '*') in the GncCommodityList typemap. Re-add
	  an incorrectly dropped (use-modules ...) statement for the
	  wrapped part of gnome-utils. Remove some duplicated (use-modules
	  ...).

2006-10-21 18:31  andi5

	* [r15055] trunk/packaging/win32/reset.sh: Fix typo in reset.sh.

2006-10-21 14:40  chris

	* [r15054] trunk/src/core-utils/core-utils.scm: Re-export symbols
	  wrapper-provided symbols in core-utils.scm.

2006-10-21 13:26  andi5

	* [r15053] trunk, trunk/src/engine/engine-interface.scm,
	  trunk/src/import-export/qif-import/qif-to-gnc.scm,
	  trunk/src/import-export/qif-io-core/qif-bank-xtn-import.scm,
	  trunk/src/import-export/qif-io-core/qif-invst-xtn-import.scm:
	  Replace xaccTransAppendSplit by xaccSplitSetParent in a few
	  scheme files.
	* [r15052] trunk, trunk/src/engine/engine-interface.scm,
	  trunk/src/import-export/qif-import/qif-to-gnc.scm,
	  trunk/src/import-export/qif-io-core/qif-bank-xtn-import.scm,
	  trunk/src/import-export/qif-io-core/qif-invst-xtn-import.scm:
	  Correct order of account and split parameters to
	  xaccSplitSetAccount in a few scheme files.
	* [r15051] trunk, trunk/src/engine/engine-interface.scm,
	  trunk/src/import-export/qif-import/qif-to-gnc.scm,
	  trunk/src/import-export/qif-io-core/qif-bank-xtn-import.scm,
	  trunk/src/import-export/qif-io-core/qif-invst-xtn-import.scm:
	  Correct xaccTransactionSetDescription to xaccTransSetDescription
	  in a few scheme files.

2006-10-20 18:57  warlord

	* [r15050] trunk, trunk/packaging/win32/install.sh,
	  trunk/packaging/win32/reset.sh: Remove the goffice tmpdir before
	  rebuilding it remove tmpdir when you reset the build.

2006-10-20 17:53  warlord

	* [r15049] trunk, trunk/packaging/win32/reset.sh: fix a small
	  syntax bug in the reset script.

2006-10-20 17:51  warlord

	* [r15048] trunk, trunk/packaging/win32/install.sh,
	  trunk/packaging/win32/reset.sh: Use "passive FTP" with wget, to
	  allow building behind a firewall Create a 'reset' script to
	  allow resetting the win32 build environment.

2006-10-20 15:59  andi5

	* [r15047] trunk, trunk/packaging/win32/install.sh: Unlink
	  ${SWIG_DIR}\INSTALL because it bites with /bin/install.

2006-10-19 23:58  chris

	* [r15046] trunk/src/engine/engine-interface.scm,
	  trunk/src/report/standard-reports/register.scm,
	  trunk/src/report/standard-reports/transaction.scm: Fix three
	  wrapper-related bugs found and patched by Mike Alexander
	  <mta@umich.edu>. 1) Since the output of (xaccTransGetSplit ...)
	  may now be '(), check for it with (null? ...). 2) Fix the result
	  of a sed mis-ordering: s/gnc:query-get-splits/qof-query-run/g
	  s/gnc:query-get-splits-unique-trans/xaccQueryGetSplitsUniqueTrans/g
	  3) Fix the result of a sed typo:
	  s/gnc:split-corr-account-fullname/SPLIT-CORR-ACCT-FULLNAME/g
	  which should've been
	  s/gnc:split-corr-account-fullname/SPLIT-CORR-ACCT-NAME/g

2006-10-19 08:18  cstim

	* [r15045] trunk/packaging/win32/install.sh: Fix r15040 that
	  accidentally used a hard-coded path

2006-10-19 02:50  chris

	* [r15044] trunk/src/gnome/top-level.c: Remove another unused
	  function. I think I added this function on the swig-redo branch,
	  but it turned out to be obsoleted by the merge because we no
	  longer read 1.8.x state files.

2006-10-19 02:05  chris

	* [r15043]
	  trunk/src/register/register-core/gncmod-register-core.c: Remove
	  unused function.

2006-10-19 01:00  chris

	* [r15042] trunk/src/business/business-core/business-core.scm,
	  trunk/src/engine/engine-interface.scm,
	  trunk/src/import-export/qif-import/qif-merge-groups.scm,
	  trunk/src/report/standard-reports/advanced-portfolio.scm,
	  trunk/src/report/standard-reports/cash-flow.scm,
	  trunk/src/report/standard-reports/transaction.scm: Replace
	  xaccTransGetSplits with xaccTransGetSplitList.
	  'xaccTransGetSplits' doesn't exist. It was a result of an
	  incorrect ordering of sed substitutions:
	  s/gnc:transaction-get-split/xaccTransGetSplit/g
	  s/gnc:transaction-get-splits/xaccTransGetSplitList/g

2006-10-18 21:08  andi5

	* [r15041] trunk/src/core-utils/gnc-gconf-utils.c: Correct
	  gnc_gconf_add/remove_notification to avoid printf'ing NULL and
	  therefore crashes on Solaris and Windows. r14675 had fixed that,
	  r14945 (me) undermined it though.

2006-10-18 19:45  andi5

	* [r15040] trunk/packaging/win32/install.sh: Make gnucash.bat work.

2006-10-18 18:15  andi5

	* [r15039] trunk/src/core-utils/Makefile.am,
	  trunk/src/gnc-module/Makefile.am,
	  trunk/src/gnc-module/test/mod-bar/Makefile.am,
	  trunk/src/gnc-module/test/mod-baz/Makefile.am,
	  trunk/src/gnc-module/test/mod-foo/Makefile.am,
	  trunk/src/import-export/qif-import/qif-import.scm: Make win32
	  compile again. * Add a few GUILE_LIBS * Remove platform specific
	  .so from a load-extension parameter

2006-10-18 18:03  andi5

	* [r15038] trunk/packaging/win32/custom.sh,
	  trunk/packaging/win32/install.sh: Adjust install.sh to better
	  cope with current HEAD. * Replace g-wrap by swig * Bump SVN_REV
	  (prior SVNREV_FLAG) to HEAD * Remove backup files in the
	  repository to cleanup `svn status'

2006-10-18 15:37  cstim

	* [r15037] trunk/packaging/win32/install.sh: Add workaround so
	  that intltoolize doesn't come up with some foolish
	  AC_CONFIG_AUX_DIR; bug#362006

2006-10-18 11:52  cstim

	* [r15036] trunk/packaging/win32/install.sh: Temporarily set the
	  win32 checkout to r15007 until we've added the compiling of SWIG
	  on win32.

2006-10-18 10:15  andi5

	* [r15035] trunk, trunk/src/report/standard-reports/cash-flow.scm:
	  Quote a list of account types to avoid a cash flow crash. Fixes
	  #363068.

2006-10-17 21:46  warlord

	* [r15034] trunk, trunk/src/business/business-core/gncOwner.h:
	  Don't wrap the GncOwner structure.

2006-10-17 20:41  cstim

	* [r15033] branches/2.0/po/de.po: Fix stupid typo in German
	  translation

2006-10-17 20:41  hampton

	* [r15032] trunk/src/bin/gnucash-bin.c: Fix uninitialzed variable
	  error message.

2006-10-17 08:35  cstim

	* [r15031] branches/2.0/src/backend/postgres/test/run-tests.sh:
	  Fix typo in shell script test as reported by Thomas Klausner.
	  Merged 15030 from trunk.

2006-10-17 08:32  cstim

	* [r15030] trunk/src/backend/postgres/test/run-tests.sh: Fix typo
	  in shell script test as reported by Thomas Klausner

2006-10-17 03:04  warlord

	* [r15029] branches/2.0, branches/2.0/src/bin/gnucash-bin.c:
	  Actually get it to work properly. Test first, silly!

2006-10-17 02:32  warlord

	* [r15028] branches/2.0, branches/2.0/src/bin/gnucash-bin.c: use
	  PACKAGE_VERSION for last stable release on the release branch.

2006-10-17 02:31  warlord

	* [r15027] trunk, trunk/src/bin/gnucash-bin.c: r13496@cliodev:
	  warlord | 2006-10-16 22:29:43 -0400 Update for 2.0.2 release.

2006-10-16 03:35  chris

	* [r15026] trunk/src/Makefile.am, trunk/src/app-utils/Makefile.am,
	  trunk/src/app-utils/app-utils.i, trunk/src/base-typemaps.i,
	  trunk/src/business/business-core/Makefile.am,
	  trunk/src/business/business-core/business-core.i,
	  trunk/src/business/dialog-tax-table/Makefile.am,
	  trunk/src/business/dialog-tax-table/dialog-tax-table.i,
	  trunk/src/core-utils/Makefile.am,
	  trunk/src/core-utils/core-utils.i, trunk/src/engine/Makefile.am,
	  trunk/src/engine/engine.i, trunk/src/gnc-module/Makefile.am,
	  trunk/src/gnc-module/gnc-module.i,
	  trunk/src/gnome-utils/Makefile.am,
	  trunk/src/gnome-utils/gnome-utils.i,
	  trunk/src/gnome/Makefile.am, trunk/src/gnome/gnome.i,
	  trunk/src/report/report-gnome/Makefile.am,
	  trunk/src/report/report-gnome/report-gnome.i,
	  trunk/src/report/report-system/Makefile.am,
	  trunk/src/report/report-system/report-system.i: Factor out some
	  common typemaps into src/base-typemaps.i

2006-10-16 01:28  andi5

	* [r15025] trunk, trunk/src/app-utils,
	  trunk/src/business/business-core,
	  trunk/src/business/business-gnome,
	  trunk/src/business/dialog-tax-table, trunk/src/core-utils,
	  trunk/src/engine, trunk/src/gnc-module,
	  trunk/src/gnc-module/test/mod-bar,
	  trunk/src/gnc-module/test/mod-baz,
	  trunk/src/gnc-module/test/mod-foo, trunk/src/gnome,
	  trunk/src/gnome-search, trunk/src/gnome-utils,
	  trunk/src/gnome/schemas, trunk/src/import-export,
	  trunk/src/import-export/binary-import,
	  trunk/src/import-export/qif-import,
	  trunk/src/register/register-core, trunk/src/report/report-gnome,
	  trunk/src/report/report-system: Do not svn:ignore g-wrap files
	  anymore.

2006-10-15 19:02  chris

	* [r15024] trunk, trunk/Makefile.am, trunk/configure.in,
	  trunk/lib/libqof/qof/qofquery.c, trunk/macros/ac_pkg_swig.m4,
	  trunk/macros/g-wrap.m4, trunk/src, trunk/src/Makefile.am,
	  trunk/src/app-utils, trunk/src/app-utils/Makefile.am,
	  trunk/src/app-utils/app-utils.i,
	  trunk/src/app-utils/app-utils.scm,
	  trunk/src/app-utils/c-interface.scm,
	  trunk/src/app-utils/date-utilities.scm,
	  trunk/src/app-utils/gfec.c, trunk/src/app-utils/gfec.h,
	  trunk/src/app-utils/gnc-component-manager.c,
	  trunk/src/app-utils/gnc-component-manager.h,
	  trunk/src/app-utils/gnc-helpers.c,
	  trunk/src/app-utils/gnc-helpers.h,
	  trunk/src/app-utils/gnc-ui-util.c,
	  trunk/src/app-utils/gncmod-app-utils.c,
	  trunk/src/app-utils/guile-util.c,
	  trunk/src/app-utils/gw-app-utils-spec.scm,
	  trunk/src/app-utils/hooks.scm,
	  trunk/src/app-utils/kvp-option-registry.scm,
	  trunk/src/app-utils/option-util.c,
	  trunk/src/app-utils/option-util.h,
	  trunk/src/app-utils/options.scm, trunk/src/app-utils/prefs.scm,
	  trunk/src/app-utils/test/Makefile.am,
	  trunk/src/app-utils/test/test-component-manager,
	  trunk/src/app-utils/test/test-load-module,
	  trunk/src/backend/file/test/Makefile.am,
	  trunk/src/backend/postgres/test/Makefile.am,
	  trunk/src/bin/Makefile.am, trunk/src/bin/gnucash-bin.c,
	  trunk/src/bin/gnucash-valgrind.in, trunk/src/bin/gnucash.in,
	  trunk/src/bin/overrides/Makefile.am,
	  trunk/src/bin/overrides/gnucash-build-env.in,
	  trunk/src/bin/overrides/gnucash-env.in,
	  trunk/src/business/business-core,
	  trunk/src/business/business-core/Makefile.am,
	  trunk/src/business/business-core/business-core.i,
	  trunk/src/business/business-core/business-core.scm,
	  trunk/src/business/business-core/businessmod-core.c,
	  trunk/src/business/business-core/gncBillTerm.h,
	  trunk/src/business/business-core/gncBusGuile.c,
	  trunk/src/business/business-core/gncCustomer.h,
	  trunk/src/business/business-core/gncEntry.c,
	  trunk/src/business/business-core/gncEntry.h,
	  trunk/src/business/business-core/gncInvoice.c,
	  trunk/src/business/business-core/gncInvoice.h,
	  trunk/src/business/business-core/gncJob.h,
	  trunk/src/business/business-core/gncOrder.h,
	  trunk/src/business/business-core/gncOwner.h,
	  trunk/src/business/business-core/gw-business-core-spec.scm,
	  trunk/src/business/business-core/test/Makefile.am,
	  trunk/src/business/business-gnome,
	  trunk/src/business/business-gnome/Makefile.am,
	  trunk/src/business/business-gnome/business-gnome.scm,
	  trunk/src/business/business-gnome/business-options-gnome.c,
	  trunk/src/business/business-gnome/businessmod-gnome.c,
	  trunk/src/business/business-gnome/dialog-invoice.c,
	  trunk/src/business/business-gnome/gw-business-gnome-spec.scm,
	  trunk/src/business/business-ledger/gncEntryLedgerLoad.c,
	  trunk/src/business/business-reports/aging.scm,
	  trunk/src/business/business-reports/business-reports.scm,
	  trunk/src/business/business-reports/easy-invoice.scm,
	  trunk/src/business/business-reports/fancy-invoice.scm,
	  trunk/src/business/business-reports/invoice.scm,
	  trunk/src/business/business-reports/owner-report.scm,
	  trunk/src/business/business-reports/payables.scm,
	  trunk/src/business/business-reports/receivables.scm,
	  trunk/src/business/business-utils/Makefile.am,
	  trunk/src/business/business-utils/business-options.c,
	  trunk/src/business/business-utils/business-options.scm,
	  trunk/src/business/business-utils/business-prefs.scm,
	  trunk/src/business/dialog-tax-table,
	  trunk/src/business/dialog-tax-table/Makefile.am,
	  trunk/src/business/dialog-tax-table/dialog-tax-table.i,
	  trunk/src/business/dialog-tax-table/dialog-tax-table.scm,
	  trunk/src/business/dialog-tax-table/gncmod-dialog-tax-table.c,
	  trunk/src/business/dialog-tax-table/gw-dialog-tax-table-spec.scm,
	  trunk/src/core-utils, trunk/src/core-utils/Makefile.am,
	  trunk/src/core-utils/core-utils.i,
	  trunk/src/core-utils/core-utils.scm,
	  trunk/src/core-utils/gnc-main.c,
	  trunk/src/core-utils/gnc-main.h,
	  trunk/src/core-utils/gw-core-utils-spec.scm, trunk/src/engine,
	  trunk/src/engine/Account.h, trunk/src/engine/Group.c,
	  trunk/src/engine/Group.h, trunk/src/engine/Makefile.am,
	  trunk/src/engine/Query.c, trunk/src/engine/Query.h,
	  trunk/src/engine/Transaction.h,
	  trunk/src/engine/engine-helpers.c,
	  trunk/src/engine/engine-helpers.h,
	  trunk/src/engine/engine-interface.scm,
	  trunk/src/engine/engine-utilities.scm,
	  trunk/src/engine/engine.i, trunk/src/engine/engine.scm,
	  trunk/src/engine/glib-helpers.c,
	  trunk/src/engine/glib-helpers.h, trunk/src/engine/gnc-budget.h,
	  trunk/src/engine/gnc-commodity.c,
	  trunk/src/engine/gnc-commodity.h, trunk/src/engine/gnc-hooks.c,
	  trunk/src/engine/gnc-numeric.scm,
	  trunk/src/engine/gnc-pricedb.c, trunk/src/engine/gnc-pricedb.h,
	  trunk/src/engine/gncmod-engine.c,
	  trunk/src/engine/gw-engine-spec.scm,
	  trunk/src/engine/gw-kvp-spec.scm, trunk/src/engine/kvp-scm.c,
	  trunk/src/engine/test-core/Makefile.am,
	  trunk/src/engine/test/Makefile.am,
	  trunk/src/engine/test/test-create-account.scm,
	  trunk/src/engine/test/test-scm-query-import.scm,
	  trunk/src/gnc-module, trunk/src/gnc-module/Makefile.am,
	  trunk/src/gnc-module/gnc-module.c,
	  trunk/src/gnc-module/gnc-module.i,
	  trunk/src/gnc-module/gnc-module.scm,
	  trunk/src/gnc-module/gw-gnc-module-spec.scm,
	  trunk/src/gnc-module/test/Makefile.am,
	  trunk/src/gnc-module/test/mod-bar,
	  trunk/src/gnc-module/test/mod-bar/Makefile.am,
	  trunk/src/gnc-module/test/mod-bar/bar-gwrap.scm,
	  trunk/src/gnc-module/test/mod-bar/bar.i,
	  trunk/src/gnc-module/test/mod-bar/gnc-mod-bar.c,
	  trunk/src/gnc-module/test/mod-baz,
	  trunk/src/gnc-module/test/mod-baz/Makefile.am,
	  trunk/src/gnc-module/test/mod-baz/baz-gwrap.scm,
	  trunk/src/gnc-module/test/mod-baz/baz.i,
	  trunk/src/gnc-module/test/mod-baz/gnc-mod-baz.c,
	  trunk/src/gnc-module/test/mod-foo,
	  trunk/src/gnc-module/test/mod-foo/Makefile.am,
	  trunk/src/gnc-module/test/mod-foo/foo-gwrap.scm,
	  trunk/src/gnc-module/test/mod-foo/foo.i,
	  trunk/src/gnc-module/test/mod-foo/gnc-mod-foo.c,
	  trunk/src/gnc-module/test/test-gwrapped-c,
	  trunk/src/gnc-module/test/test-load-deps,
	  trunk/src/gnc-module/test/test-scm-multi, trunk/src/gnome,
	  trunk/src/gnome-search/Makefile.am, trunk/src/gnome-utils,
	  trunk/src/gnome-utils/Makefile.am,
	  trunk/src/gnome-utils/dialog-options.c,
	  trunk/src/gnome-utils/dialog-options.h,
	  trunk/src/gnome-utils/gnc-file.c,
	  trunk/src/gnome-utils/gnc-file.h,
	  trunk/src/gnome-utils/gnc-html.h,
	  trunk/src/gnome-utils/gnc-main-window.c,
	  trunk/src/gnome-utils/gnc-main-window.h,
	  trunk/src/gnome-utils/gnc-plugin-menu-additions.c,
	  trunk/src/gnome-utils/gnc-tree-model-account.c,
	  trunk/src/gnome-utils/gnc-tree-model-commodity.c,
	  trunk/src/gnome-utils/gnc-tree-model-price.c,
	  trunk/src/gnome-utils/gncmod-gnome-utils.c,
	  trunk/src/gnome-utils/gnome-utils.i,
	  trunk/src/gnome-utils/gnome-utils.scm,
	  trunk/src/gnome-utils/gw-gnome-utils-spec.scm,
	  trunk/src/gnome-utils/test/Makefile.am,
	  trunk/src/gnome/Makefile.am,
	  trunk/src/gnome/dialog-price-edit-db.c,
	  trunk/src/gnome/dialog-sx-from-trans.c,
	  trunk/src/gnome/dialog-tax-info.c,
	  trunk/src/gnome/gnc-plugin-page-register.c,
	  trunk/src/gnome/gnome.i, trunk/src/gnome/gw-gnc-spec.scm,
	  trunk/src/gnome/top-level.c,
	  trunk/src/import-export/Makefile.am,
	  trunk/src/import-export/hbci/Makefile.am,
	  trunk/src/import-export/log-replay/Makefile.am,
	  trunk/src/import-export/qif-import/Makefile.am,
	  trunk/src/import-export/qif-import/druid-qif-import.c,
	  trunk/src/import-export/qif-import/qif-dialog-utils.scm,
	  trunk/src/import-export/qif-import/qif-file.scm,
	  trunk/src/import-export/qif-import/qif-guess-map.scm,
	  trunk/src/import-export/qif-import/qif-import.scm,
	  trunk/src/import-export/qif-import/qif-merge-groups.scm,
	  trunk/src/import-export/qif-import/qif-objects.scm,
	  trunk/src/import-export/qif-import/qif-parse.scm,
	  trunk/src/import-export/qif-import/qif-to-gnc.scm,
	  trunk/src/import-export/qif-io-core/qif-acct-table.scm,
	  trunk/src/import-export/qif-io-core/qif-bank-xtn-import.scm,
	  trunk/src/import-export/qif-io-core/qif-format-check.scm,
	  trunk/src/import-export/qif-io-core/qif-invst-xtn-import.scm,
	  trunk/src/import-export/qif-io-core/qif-parse.scm,
	  trunk/src/import-export/qif-io-core/test/Makefile.am,
	  trunk/src/import-export/qif-io-core/test/test-import-phase-1.scm,
	  trunk/src/import-export/qif-io-core/test/test-parser.scm,
	  trunk/src/import-export/qif/Makefile.am,
	  trunk/src/import-export/qif/test/Makefile.am,
	  trunk/src/import-export/test/Makefile.am,
	  trunk/src/network-utils/test/Makefile.am,
	  trunk/src/optional/Makefile.am, trunk/src/optional/swig,
	  trunk/src/register/ledger-core/gnc-ledger-display.c,
	  trunk/src/register/register-core/Makefile.am,
	  trunk/src/register/register-core/gncmod-register-core.c,
	  trunk/src/register/register-core/gw-register-core-spec.scm,
	  trunk/src/register/register-core/test/Makefile.am,
	  trunk/src/register/register-gnome/test/Makefile.am,
	  trunk/src/report/locale-specific/us/taxtxf-de_DE.scm,
	  trunk/src/report/locale-specific/us/taxtxf.scm,
	  trunk/src/report/locale-specific/us/test/Makefile.am,
	  trunk/src/report/report-gnome,
	  trunk/src/report/report-gnome/Makefile.am,
	  trunk/src/report/report-gnome/dialog-column-view.c,
	  trunk/src/report/report-gnome/dialog-style-sheet.c,
	  trunk/src/report/report-gnome/gnc-plugin-page-report.c,
	  trunk/src/report/report-gnome/gncmod-report-gnome.c,
	  trunk/src/report/report-gnome/gw-report-gnome-spec.scm,
	  trunk/src/report/report-gnome/report-gnome.i,
	  trunk/src/report/report-gnome/report-gnome.scm,
	  trunk/src/report/report-gnome/test/Makefile.am,
	  trunk/src/report/report-gnome/window-report.c,
	  trunk/src/report/report-system,
	  trunk/src/report/report-system/Makefile.am,
	  trunk/src/report/report-system/commodity-utilities.scm,
	  trunk/src/report/report-system/gnc-report.c,
	  trunk/src/report/report-system/gnc-report.h,
	  trunk/src/report/report-system/gncmod-report-system.c,
	  trunk/src/report/report-system/gw-report-system-spec.scm,
	  trunk/src/report/report-system/html-acct-table.scm,
	  trunk/src/report/report-system/html-barchart.scm,
	  trunk/src/report/report-system/html-piechart.scm,
	  trunk/src/report/report-system/html-scatter.scm,
	  trunk/src/report/report-system/html-style-info.scm,
	  trunk/src/report/report-system/html-style-sheet.scm,
	  trunk/src/report/report-system/html-utilities.scm,
	  trunk/src/report/report-system/options-utilities.scm,
	  trunk/src/report/report-system/report-system.i,
	  trunk/src/report/report-system/report-system.scm,
	  trunk/src/report/report-system/report-utilities.scm,
	  trunk/src/report/report-system/report.scm,
	  trunk/src/report/report-system/test/Makefile.am,
	  trunk/src/report/standard-reports/account-piecharts.scm,
	  trunk/src/report/standard-reports/account-summary.scm,
	  trunk/src/report/standard-reports/advanced-portfolio.scm,
	  trunk/src/report/standard-reports/average-balance.scm,
	  trunk/src/report/standard-reports/balance-sheet.scm,
	  trunk/src/report/standard-reports/budget.scm,
	  trunk/src/report/standard-reports/cash-flow.scm,
	  trunk/src/report/standard-reports/category-barchart.scm,
	  trunk/src/report/standard-reports/daily-reports.scm,
	  trunk/src/report/standard-reports/equity-statement.scm,
	  trunk/src/report/standard-reports/general-journal.scm,
	  trunk/src/report/standard-reports/income-statement.scm,
	  trunk/src/report/standard-reports/net-barchart.scm,
	  trunk/src/report/standard-reports/portfolio.scm,
	  trunk/src/report/standard-reports/price-scatter.scm,
	  trunk/src/report/standard-reports/register.scm,
	  trunk/src/report/standard-reports/standard-reports.scm,
	  trunk/src/report/standard-reports/test/Makefile.am,
	  trunk/src/report/standard-reports/transaction.scm,
	  trunk/src/report/standard-reports/trial-balance.scm,
	  trunk/src/report/stylesheets/stylesheet-easy.scm,
	  trunk/src/report/stylesheets/stylesheet-fancy.scm,
	  trunk/src/report/stylesheets/test/Makefile.am,
	  trunk/src/report/utility-reports/hello-world.scm,
	  trunk/src/report/utility-reports/test-graphing.scm,
	  trunk/src/report/utility-reports/test/Makefile.am,
	  trunk/src/report/utility-reports/view-column.scm,
	  trunk/src/report/utility-reports/welcome-to-gnucash.scm,
	  trunk/src/scm/command-line.scm, trunk/src/scm/main-window.scm,
	  trunk/src/scm/main.scm, trunk/src/scm/price-quotes.scm,
	  trunk/src/scm/printing/print-check.scm,
	  trunk/src/tax/us/test/Makefile.am,
	  trunk/src/tax/us/txf-de_DE.scm: Merge swig-redo branch back into
	  trunk. g-wrap is gone. I, for one, welcome our new swig
	  overlords.

2006-10-15 04:08  chris

	* [r15023] branches/swig-redo/ChangeLog,
	  branches/swig-redo/Makefile.am, branches/swig-redo/art,
	  branches/swig-redo/configure.in,
	  branches/swig-redo/doc/tip_of_the_day.list.in,
	  branches/swig-redo/lib/guile-www/Makefile.am,
	  branches/swig-redo/lib/libqof/backend/file/Makefile.am,
	  branches/swig-redo/lib/libqof/backend/file/qsf-backend.c,
	  branches/swig-redo/lib/libqof/backend/file/qsf-xml-map.c,
	  branches/swig-redo/lib/libqof/qof/Makefile.am,
	  branches/swig-redo/lib/libqof/qof/qof.h,
	  branches/swig-redo/lib/libqof/qof/qofbackend-p.h,
	  branches/swig-redo/lib/libqof/qof/qofbackend.h,
	  branches/swig-redo/lib/libqof/qof/qofbook.c,
	  branches/swig-redo/lib/libqof/qof/qofbook.h,
	  branches/swig-redo/lib/libqof/qof/qofbookmerge.c,
	  branches/swig-redo/lib/libqof/qof/qofchoice.c,
	  branches/swig-redo/lib/libqof/qof/qofchoice.h,
	  branches/swig-redo/lib/libqof/qof/qofclass.h,
	  branches/swig-redo/lib/libqof/qof/qofid-p.h,
	  branches/swig-redo/lib/libqof/qof/qofid.c,
	  branches/swig-redo/lib/libqof/qof/qofid.h,
	  branches/swig-redo/lib/libqof/qof/qofinstance.c,
	  branches/swig-redo/lib/libqof/qof/qofinstance.h,
	  branches/swig-redo/lib/libqof/qof/qofobject-p.h,
	  branches/swig-redo/lib/libqof/qof/qofobject.c,
	  branches/swig-redo/lib/libqof/qof/qofobject.h,
	  branches/swig-redo/lib/libqof/qof/qofquery.c,
	  branches/swig-redo/lib/libqof/qof/qofquery.h,
	  branches/swig-redo/lib/libqof/qof/qofquerycore-p.h,
	  branches/swig-redo/lib/libqof/qof/qofquerycore.c,
	  branches/swig-redo/lib/libqof/qof/qofquerycore.h,
	  branches/swig-redo/lib/libqof/qof/qofsession.c,
	  branches/swig-redo/lib/libqof/qof/qofutil.h,
	  branches/swig-redo/macros/binreloc.m4,
	  branches/swig-redo/macros/legacy_macros.m4,
	  branches/swig-redo/packaging/gnucash.spec.in,
	  branches/swig-redo/packaging/win32,
	  branches/swig-redo/po/POTFILES.skip,
	  branches/swig-redo/src/app-utils/Makefile.am,
	  branches/swig-redo/src/app-utils/gnc-account-merge.c,
	  branches/swig-redo/src/app-utils/gnc-ui-util.c,
	  branches/swig-redo/src/app-utils/test/Makefile.am,
	  branches/swig-redo/src/app-utils/test/test-print-parse-amount.c,
	  branches/swig-redo/src/app-utils/test/test-print-queries.c,
	  branches/swig-redo/src/app-utils/test/test-scm-query-string.c,
	  branches/swig-redo/src/backend/file/gnc-account-xml-v2.c,
	  branches/swig-redo/src/backend/file/gnc-backend-file.c,
	  branches/swig-redo/src/backend/file/gnc-commodity-xml-v2.c,
	  branches/swig-redo/src/backend/file/test/Makefile.am,
	  branches/swig-redo/src/backend/file/test/test-load-backend.c,
	  branches/swig-redo/src/backend/file/test/test-load-example-account.c,
	  branches/swig-redo/src/backend/file/test/test-load-xml2.c,
	  branches/swig-redo/src/backend/file/test/test-save-in-lang.c,
	  branches/swig-redo/src/backend/file/test/test-xml2-is-file.c,
	  branches/swig-redo/src/backend/postgres/putil.c,
	  branches/swig-redo/src/backend/postgres/test/test-db.c,
	  branches/swig-redo/src/backend/postgres/test/test-load-backend.c,
	  branches/swig-redo/src/backend/postgres/test/test-period.c,
	  branches/swig-redo/src/bin/Makefile.am,
	  branches/swig-redo/src/bin/gnucash-bin.c,
	  branches/swig-redo/src/bin/gnucash.in,
	  branches/swig-redo/src/bin/i18n.h.in,
	  branches/swig-redo/src/bin/overrides/Makefile.am,
	  branches/swig-redo/src/bin/test/Makefile.am,
	  branches/swig-redo/src/business/business-core/Makefile.am,
	  branches/swig-redo/src/business/business-core/file/gncmod-business-backend-file.c,
	  branches/swig-redo/src/business/business-core/test/Makefile.am,
	  branches/swig-redo/src/business/business-core/test/test-address.c,
	  branches/swig-redo/src/business/business-core/test/test-business.c,
	  branches/swig-redo/src/business/business-core/test/test-customer.c,
	  branches/swig-redo/src/business/business-core/test/test-employee.c,
	  branches/swig-redo/src/business/business-core/test/test-job.c,
	  branches/swig-redo/src/business/business-core/test/test-vendor.c,
	  branches/swig-redo/src/business/business-gnome/Makefile.am,
	  branches/swig-redo/src/business/business-gnome/schemas/Makefile.am,
	  branches/swig-redo/src/business/business-reports/Makefile.am,
	  branches/swig-redo/src/business/business-utils/Makefile.am,
	  branches/swig-redo/src/business/dialog-tax-table/Makefile.am,
	  branches/swig-redo/src/calculation/expression_parser.c,
	  branches/swig-redo/src/core-utils/Makefile.am,
	  branches/swig-redo/src/core-utils/gnc-gconf-utils.c,
	  branches/swig-redo/src/core-utils/gnc-gconf-utils.h,
	  branches/swig-redo/src/core-utils/gnc-glib-utils.c,
	  branches/swig-redo/src/core-utils/gnc-glib-utils.h,
	  branches/swig-redo/src/engine/Account.c,
	  branches/swig-redo/src/engine/Account.h,
	  branches/swig-redo/src/engine/Group.c,
	  branches/swig-redo/src/engine/Group.h,
	  branches/swig-redo/src/engine/Makefile.am,
	  branches/swig-redo/src/engine/Period.c,
	  branches/swig-redo/src/engine/SX-book.c,
	  branches/swig-redo/src/engine/SX-book.h,
	  branches/swig-redo/src/engine/Transaction.c,
	  branches/swig-redo/src/engine/binreloc.c,
	  branches/swig-redo/src/engine/binreloc.h,
	  branches/swig-redo/src/engine/cashobjects.c,
	  branches/swig-redo/src/engine/gnc-budget.c,
	  branches/swig-redo/src/engine/gnc-engine.c,
	  branches/swig-redo/src/engine/gnc-lot.c,
	  branches/swig-redo/src/engine/gnc-path.c,
	  branches/swig-redo/src/engine/gnc-path.h,
	  branches/swig-redo/src/engine/gnc-pricedb.c,
	  branches/swig-redo/src/engine/gncla-dir.h.in,
	  branches/swig-redo/src/engine/test/Makefile.am,
	  branches/swig-redo/src/engine/test/test-commodities.c,
	  branches/swig-redo/src/engine/test/test-date.c,
	  branches/swig-redo/src/engine/test/test-group-vs-book.c,
	  branches/swig-redo/src/engine/test/test-guid.c,
	  branches/swig-redo/src/engine/test/test-load-engine.c,
	  branches/swig-redo/src/engine/test/test-lots.c,
	  branches/swig-redo/src/engine/test/test-numeric.c,
	  branches/swig-redo/src/engine/test/test-object.c,
	  branches/swig-redo/src/engine/test/test-period.c,
	  branches/swig-redo/src/engine/test/test-query.c,
	  branches/swig-redo/src/engine/test/test-querynew.c,
	  branches/swig-redo/src/engine/test/test-resolve-file-path.c,
	  branches/swig-redo/src/engine/test/test-scm-query.c,
	  branches/swig-redo/src/engine/test/test-split-vs-account.c,
	  branches/swig-redo/src/engine/test/test-transaction-reversal.c,
	  branches/swig-redo/src/engine/test/test-transaction-voiding.c,
	  branches/swig-redo/src/gnc-module/Makefile.am,
	  branches/swig-redo/src/gnc-module/gnc-module.c,
	  branches/swig-redo/src/gnc-module/test/test-dynload.c,
	  branches/swig-redo/src/gnc-test-env,
	  branches/swig-redo/src/gnome,
	  branches/swig-redo/src/gnome-search/Makefile.am,
	  branches/swig-redo/src/gnome-search/search.glade,
	  branches/swig-redo/src/gnome-utils/Makefile.am,
	  branches/swig-redo/src/gnome-utils/dialog-account.c,
	  branches/swig-redo/src/gnome-utils/dialog-preferences.c,
	  branches/swig-redo/src/gnome-utils/dialog-reset-warnings.c,
	  branches/swig-redo/src/gnome-utils/dialog-utils.c,
	  branches/swig-redo/src/gnome-utils/druid-gconf-setup.c,
	  branches/swig-redo/src/gnome-utils/glade/transfer.glade,
	  branches/swig-redo/src/gnome-utils/gnc-date-format.c,
	  branches/swig-redo/src/gnome-utils/gnc-dialog.c,
	  branches/swig-redo/src/gnome-utils/gnc-dir.h.in,
	  branches/swig-redo/src/gnome-utils/gnc-druid-provider-file-gnome.c,
	  branches/swig-redo/src/gnome-utils/gnc-embedded-window.c,
	  branches/swig-redo/src/gnome-utils/gnc-file.c,
	  branches/swig-redo/src/gnome-utils/gnc-gnome-utils.c,
	  branches/swig-redo/src/gnome-utils/gnc-main-window.c,
	  branches/swig-redo/src/gnome-utils/gnc-plugin.c,
	  branches/swig-redo/src/gnome-utils/gnc-plugin.h,
	  branches/swig-redo/src/gnome-utils/gnc-query-list.c,
	  branches/swig-redo/src/gnome-utils/gnc-tree-model-account-types.c,
	  branches/swig-redo/src/gnome-utils/gnc-tree-model-account-types.h,
	  branches/swig-redo/src/gnome-utils/gnc-tree-view.c,
	  branches/swig-redo/src/gnome-utils/schemas/Makefile.am,
	  branches/swig-redo/src/gnome-utils/search-param.c,
	  branches/swig-redo/src/gnome-utils/search-param.h,
	  branches/swig-redo/src/gnome-utils/test/test-gnc-recurrence.c,
	  branches/swig-redo/src/gnome/Makefile.am,
	  branches/swig-redo/src/gnome/dialog-print-check.c,
	  branches/swig-redo/src/gnome/druid-acct-period.c,
	  branches/swig-redo/src/gnome/druid-hierarchy.c,
	  branches/swig-redo/src/gnome/glade/account.glade,
	  branches/swig-redo/src/gnome/glade/commodities.glade,
	  branches/swig-redo/src/gnome/glade/price.glade,
	  branches/swig-redo/src/gnome/glade/stocks.glade,
	  branches/swig-redo/src/gnome/gnc-plugin-page-account-tree.c,
	  branches/swig-redo/src/gnome/gnucash.desktop.in,
	  branches/swig-redo/src/gnome/gnucash.desktop.in.in,
	  branches/swig-redo/src/gnome/schemas/Makefile.am,
	  branches/swig-redo/src/gnome/schemas/apps_gnucash_warnings.schemas.in,
	  branches/swig-redo/src/gnome/top-level.c,
	  branches/swig-redo/src/gnome/window-reconcile.c,
	  branches/swig-redo/src/import-export/Makefile.am,
	  branches/swig-redo/src/import-export/hbci/Makefile.am,
	  branches/swig-redo/src/import-export/hbci/dialog-hbcitrans.c,
	  branches/swig-redo/src/import-export/hbci/dialog-hbcitrans.h,
	  branches/swig-redo/src/import-export/hbci/druid-hbci-initial.c,
	  branches/swig-redo/src/import-export/hbci/gnc-file-aqb-import.c,
	  branches/swig-redo/src/import-export/hbci/gnc-file-aqb-import.h,
	  branches/swig-redo/src/import-export/hbci/gnc-hbci-kvp.c,
	  branches/swig-redo/src/import-export/hbci/gnc-hbci-transfer.c,
	  branches/swig-redo/src/import-export/hbci/gnc-hbci-utils.c,
	  branches/swig-redo/src/import-export/hbci/gnc-hbci-utils.h,
	  branches/swig-redo/src/import-export/hbci/gnc-plugin-hbci-ui.xml,
	  branches/swig-redo/src/import-export/hbci/gnc-plugin-hbci.c,
	  branches/swig-redo/src/import-export/hbci/hbci-interaction.c,
	  branches/swig-redo/src/import-export/hbci/hbci-interaction.h,
	  branches/swig-redo/src/import-export/hbci/schemas/Makefile.am,
	  branches/swig-redo/src/import-export/import-account-matcher.c,
	  branches/swig-redo/src/import-export/import-match-map.c,
	  branches/swig-redo/src/import-export/mt940/Makefile.am,
	  branches/swig-redo/src/import-export/mt940/gnc-mt940-import.c,
	  branches/swig-redo/src/import-export/mt940/gnc-mt940-import.h,
	  branches/swig-redo/src/import-export/mt940/gnc-plugin-mt940-ui.xml,
	  branches/swig-redo/src/import-export/mt940/gnc-plugin-mt940.c,
	  branches/swig-redo/src/import-export/mt940/gnc-plugin-mt940.h,
	  branches/swig-redo/src/import-export/mt940/gncmod-mt940-import.c,
	  branches/swig-redo/src/import-export/qif-import/Makefile.am,
	  branches/swig-redo/src/import-export/qif-import/test/Makefile.am,
	  branches/swig-redo/src/import-export/qif-io-core/Makefile.am,
	  branches/swig-redo/src/import-export/qif/Makefile.am,
	  branches/swig-redo/src/import-export/schemas/Makefile.am,
	  branches/swig-redo/src/import-export/test/Makefile.am,
	  branches/swig-redo/src/import-export/test/test-import-parse.c,
	  branches/swig-redo/src/network-utils/test/Makefile.am,
	  branches/swig-redo/src/register/ledger-core/split-register-control.c,
	  branches/swig-redo/src/register/ledger-core/split-register.c,
	  branches/swig-redo/src/register/register-core/Makefile.am,
	  branches/swig-redo/src/report/locale-specific/us/Makefile.am,
	  branches/swig-redo/src/report/locale-specific/us/test/Makefile.am,
	  branches/swig-redo/src/report/report-gnome/Makefile.am,
	  branches/swig-redo/src/report/report-system/Makefile.am,
	  branches/swig-redo/src/report/report-system/test/Makefile.am,
	  branches/swig-redo/src/report/standard-reports/Makefile.am,
	  branches/swig-redo/src/report/standard-reports/budget.scm,
	  branches/swig-redo/src/report/standard-reports/test/Makefile.am,
	  branches/swig-redo/src/report/standard-reports/transaction.scm,
	  branches/swig-redo/src/report/stylesheets/Makefile.am,
	  branches/swig-redo/src/report/stylesheets/test/Makefile.am,
	  branches/swig-redo/src/report/utility-reports/Makefile.am,
	  branches/swig-redo/src/report/utility-reports/test/Makefile.am,
	  branches/swig-redo/src/scm/Makefile.am,
	  branches/swig-redo/src/tax/us/Makefile.am: Rebase the swig-redo
	  branch on trunk at r15000. Based on the number of merge
	  conflicts (almost every Makefile.am) I'm rebasing the branch
	  before merging into trunk.

2006-10-14 03:15  chris

	* [r15022]
	  branches/swig-redo/src/app-utils/test/test-component-manager:
	  Remove disabled test of removed guile api.

2006-10-13 20:11  andi5

	* [r15021] branches/swig-redo, branches/swig-redo/src,
	  branches/swig-redo/src/Makefile.am: Make src before its
	  subdirectories so that swig-runtime.h exists early enough.
	  Svn-ignore that file.

2006-10-13 19:56  andi5

	* [r15020] branches/swig-redo, branches/swig-redo/configure.in:
	  Complete r15018 by removing the Makefile's in src/optional/swig
	  from configure.in.

2006-10-13 19:43  chris

	* [r15019] branches/swig-redo/src/Makefile.am,
	  branches/swig-redo/src/swig-runtime.h: Drop the committed
	  swig-runtime.h and add a rule to generate it.

2006-10-13 19:08  andi5

	* [r15018] branches/swig-redo,
	  branches/swig-redo/src/optional/Makefile.am,
	  branches/swig-redo/src/optional/swig: Drop src/optional/swig.
	* [r15017] branches/swig-redo,
	  branches/swig-redo/src/app-utils/Makefile.am,
	  branches/swig-redo/src/business/business-core/Makefile.am,
	  branches/swig-redo/src/business/dialog-tax-table/Makefile.am,
	  branches/swig-redo/src/core-utils/Makefile.am,
	  branches/swig-redo/src/engine/Makefile.am,
	  branches/swig-redo/src/gnc-module/Makefile.am,
	  branches/swig-redo/src/gnc-module/test/mod-bar/Makefile.am,
	  branches/swig-redo/src/gnc-module/test/mod-baz/Makefile.am,
	  branches/swig-redo/src/gnc-module/test/mod-foo/Makefile.am,
	  branches/swig-redo/src/gnome-utils/Makefile.am,
	  branches/swig-redo/src/gnome/Makefile.am,
	  branches/swig-redo/src/report/report-gnome/Makefile.am,
	  branches/swig-redo/src/report/report-system/Makefile.am: Call
	  swig as $(SWIG) and make these rules conditional on
	  BUILDING_FROM_SVN.

2006-10-13 13:36  andi5

	* [r15016] branches/swig-redo,
	  branches/swig-redo/src/core-utils/Makefile.am: Add
	  GNUCASH_SEPARATE_BUILDDIR symlinks for core-utils.scm.
	* [r15015] branches/swig-redo,
	  branches/swig-redo/src/business/business-reports/Makefile.am,
	  branches/swig-redo/src/report/utility-reports/Makefile.am: Readd
	  .scm-links to CLEANFILES in two directories.

2006-10-13 08:28  cstim

	* [r15014] trunk/src/import-export/test/Makefile.am: Fix missing
	  library for debian-libtool as reported by Sigve Indregard.

2006-10-12 22:15  warlord

	* [r15013] branches/swig-redo/configure.in: Conditionalize swig to
	  SVN/SVK builds only. - add an AM_CONDITIONAL: BUILDING_FROM_SVN
	  - only test for swig in configure when building from SVN TODO:
	  Update Makefiles to conditionalize swig.

2006-10-12 21:26  andi5

	* [r15012] branches/swig-redo,
	  branches/swig-redo/src/gnc-module/test/mod-bar/Makefile.am,
	  branches/swig-redo/src/gnc-module/test/mod-baz/Makefile.am,
	  branches/swig-redo/src/gnc-module/test/mod-foo/Makefile.am,
	  branches/swig-redo/src/gnome-utils/gnc-main-window.c,
	  branches/swig-redo/src/gnome/dialog-price-edit-db.c,
	  branches/swig-redo/src/gnome/dialog-tax-info.c,
	  branches/swig-redo/src/gnome/gnc-plugin-page-register.c: Readd
	  gnc-module/test/mod-{foo,bar,baz}/swig files to BUILT_SOURCES.
	  Cosmetic change for a few header inclusions.

2006-10-12 00:52  andi5

	* [r15011] branches/swig-redo,
	  branches/swig-redo/src/app-utils/Makefile.am,
	  branches/swig-redo/src/business/business-core/Makefile.am,
	  branches/swig-redo/src/business/dialog-tax-table/Makefile.am,
	  branches/swig-redo/src/core-utils/Makefile.am,
	  branches/swig-redo/src/engine/Makefile.am,
	  branches/swig-redo/src/gnc-module/Makefile.am,
	  branches/swig-redo/src/gnc-module/test/mod-bar/Makefile.am,
	  branches/swig-redo/src/gnc-module/test/mod-baz/Makefile.am,
	  branches/swig-redo/src/gnc-module/test/mod-foo/Makefile.am,
	  branches/swig-redo/src/gnome-utils/Makefile.am,
	  branches/swig-redo/src/gnome/Makefile.am,
	  branches/swig-redo/src/report/report-gnome/Makefile.am,
	  branches/swig-redo/src/report/report-system/Makefile.am:
	  Distribute SWIG interface files. Remove generated wrapper
	  sources from BUILT_SOURCES and add them to MAINTAINERCLEANFILES.

2006-10-11 20:55  andi5

	* [r15010] branches/swig-redo, branches/swig-redo/Makefile.am,
	  branches/swig-redo/src/bin/Makefile.am,
	  branches/swig-redo/src/bin/gnucash-valgrind.in,
	  branches/swig-redo/src/bin/gnucash.in,
	  branches/swig-redo/src/bin/overrides/Makefile.am,
	  branches/swig-redo/src/bin/overrides/gnucash-build-env.in,
	  branches/swig-redo/src/bin/overrides/gnucash-env.in,
	  branches/swig-redo/src/engine/Makefile.am,
	  branches/swig-redo/src/gnome/Makefile.am,
	  branches/swig-redo/src/import-export/Makefile.am,
	  branches/swig-redo/src/import-export/log-replay/Makefile.am,
	  branches/swig-redo/src/import-export/qif-import/Makefile.am:
	  Remove even more remnants of g-wrap.

2006-10-11 20:55  chris

	* [r15009] trunk/src/engine/gnc-budget.c,
	  trunk/src/engine/gnc-budget.h,
	  trunk/src/engine/gw-engine-spec.scm,
	  trunk/src/gnome/gnc-plugin-page-budget.c,
	  trunk/src/report/standard-reports/budget.scm: Allow budget
	  values to default to unset, rather than zero. Main patch by
	  Gregory Alexander <gregalexa@gmail.com>. On editing, interpret a
	  blank as an unset budget value. On reporting, show "." for unset
	  budget values. Add bugdet functions for testing whether a budget
	  value is set or not, and for unsetting it.

2006-10-11 20:49  chris

	* [r15008] branches/swig-redo/src/gnome-utils/gnome-utils.scm:
	  Load the guile module containing the swig wrappers for the
	  gnome-utils module.

2006-10-11 17:09  andi5

	* [r15007] trunk/packaging/win32/goffice-0.3.0-patch.diff,
	  trunk/packaging/win32/install.sh: Repost
	  goffice-0.3.0-patch.diff, with gtk-doc.m4 included.

2006-10-11 03:03  chris

	* [r15006]
	  branches/swig-redo/src/report/standard-reports/register.scm: Use
	  '() instead of #f for the empty query object.

2006-10-11 01:25  andi5

	* [r15005] branches/swig-redo,
	  branches/swig-redo/src/gnome-utils/gnc-main-window.c,
	  branches/swig-redo/src/gnome-utils/gnc-tree-model-commodity.c,
	  branches/swig-redo/src/gnome-utils/gnc-tree-model-price.c,
	  branches/swig-redo/src/gnome/dialog-price-edit-db.c,
	  branches/swig-redo/src/gnome/dialog-sx-from-trans.c,
	  branches/swig-redo/src/gnome/dialog-tax-info.c,
	  branches/swig-redo/src/gnome/gnc-plugin-page-register.c,
	  branches/swig-redo/src/register/ledger-core/gnc-ledger-display.c:
	  Fix build by adding a few guile header includes. Again replace
	  two g_malloc's of r15003 by g_new0.

2006-10-11 00:57  chris

	* [r15004]
	  trunk/src/register/ledger-core/split-register-control.c: This
	  fixes a bug in r14495. The bug is that auto-completed
	  transactions aren't correctly marked as pending. This bug is
	  probably responsible for the crashes like those in bug #348469.
	  In general, the register makes it very difficult to consistently
	  distiguish between beginning to edit a transaction that's being
	  edited in another register and beginning to edit the blank
	  transaction, which is already open for editing, but isn't marked
	  pending so that we can pretend it hasn't been opened if it never
	  gets modified. Fortunately, the auto-completion code only runs
	  on the blank transaction, so we can assume it's not being edited
	  in another register. This patch goes ahead and marks the blank
	  transaction as pending. BP

2006-10-11 00:44  andi5

	* [r15003] branches/swig-redo,
	  branches/swig-redo/src/gnome-utils/gnc-main-window.c,
	  branches/swig-redo/src/gnome-utils/gnc-tree-model-account.c,
	  branches/swig-redo/src/gnome-utils/gnc-tree-model-commodity.c,
	  branches/swig-redo/src/gnome-utils/gnc-tree-model-price.c:
	  Replace some malloc's by g_malloc.

2006-10-11 00:39  chris

	* [r15002] trunk/src/register/ledger-core/split-register.c: Ensure
	  that the blank transaction is marked as the pending transaction
	  when it is modified. This fixes a bug where editing the blank
	  transaction, moving off of the transaction line to a split line,
	  leaving the split line unedited and then closing the register
	  will incorrectly leave the transaction open without asking. The
	  bug fixed by this commit is possibly responsible for some of the
	  crashes like bug #348469. BP

2006-10-11 00:33  andi5

	* [r15001] branches/swig-redo,
	  branches/swig-redo/src/gnome-utils/gnc-main-window.c: Include
	  guile headers in gnc-main-window.c.

2006-10-11 00:07  andi5

	* [r15000] branches/swig-redo, branches/swig-redo/configure.in,
	  branches/swig-redo/macros/g-wrap.m4: Remove last g-wrap
	  occurences in configure.in and the file g-wrap.m4.

2006-10-11 00:00  chris

	* [r14999]
	  branches/swig-redo/src/app-utils/gnc-component-manager.c,
	  branches/swig-redo/src/app-utils/gnc-component-manager.h,
	  branches/swig-redo/src/app-utils/gnc-ui-util.c,
	  branches/swig-redo/src/app-utils/test/Makefile.am: Remove the
	  guile portions of gnucash's component manager.

2006-10-10 23:59  chris

	* [r14998] branches/swig-redo/src/app-utils/test/test-load-module:
	  Use a better method for testing in test-load-module.

2006-10-10 23:08  warlord

	* [r14997] branches/swig-redo/configure.in,
	  branches/swig-redo/src/app-utils/Makefile.am,
	  branches/swig-redo/src/app-utils/test/Makefile.am,
	  branches/swig-redo/src/backend/file/test/Makefile.am,
	  branches/swig-redo/src/backend/postgres/test/Makefile.am,
	  branches/swig-redo/src/business/business-core/Makefile.am,
	  branches/swig-redo/src/business/business-core/test/Makefile.am,
	  branches/swig-redo/src/business/business-gnome/Makefile.am,
	  branches/swig-redo/src/business/business-reports/Makefile.am,
	  branches/swig-redo/src/business/business-utils/Makefile.am,
	  branches/swig-redo/src/business/dialog-tax-table/Makefile.am,
	  branches/swig-redo/src/core-utils/Makefile.am,
	  branches/swig-redo/src/engine/Makefile.am,
	  branches/swig-redo/src/engine/test/Makefile.am,
	  branches/swig-redo/src/gnome-search/Makefile.am,
	  branches/swig-redo/src/gnome-utils/Makefile.am,
	  branches/swig-redo/src/gnome-utils/test/Makefile.am,
	  branches/swig-redo/src/gnome/Makefile.am,
	  branches/swig-redo/src/import-export/Makefile.am,
	  branches/swig-redo/src/import-export/hbci/Makefile.am,
	  branches/swig-redo/src/import-export/mt940/Makefile.am,
	  branches/swig-redo/src/import-export/qif-import/Makefile.am,
	  branches/swig-redo/src/import-export/qif-io-core/test/Makefile.am,
	  branches/swig-redo/src/import-export/qif/Makefile.am,
	  branches/swig-redo/src/import-export/qif/test/Makefile.am,
	  branches/swig-redo/src/import-export/test/Makefile.am,
	  branches/swig-redo/src/network-utils/test/Makefile.am,
	  branches/swig-redo/src/register/register-core/Makefile.am,
	  branches/swig-redo/src/register/register-core/test/Makefile.am,
	  branches/swig-redo/src/register/register-gnome/test/Makefile.am,
	  branches/swig-redo/src/report/locale-specific/us/test/Makefile.am,
	  branches/swig-redo/src/report/report-gnome/Makefile.am,
	  branches/swig-redo/src/report/report-gnome/test/Makefile.am,
	  branches/swig-redo/src/report/report-system/Makefile.am,
	  branches/swig-redo/src/report/report-system/test/Makefile.am,
	  branches/swig-redo/src/report/standard-reports/test/Makefile.am,
	  branches/swig-redo/src/report/stylesheets/test/Makefile.am,
	  branches/swig-redo/src/report/utility-reports/Makefile.am,
	  branches/swig-redo/src/report/utility-reports/test/Makefile.am,
	  branches/swig-redo/src/tax/us/test/Makefile.am: Remove more
	  remnants of G-wrap - make sure we compile with GUILE_INCS and
	  link with GUILE_LIBS - remove G_WRAP compile and link macros -
	  remove G_WRAP module and lib dirs - make sure .scm-links are
	  built in every place where they're used.

2006-10-10 21:55  warlord

	* [r14996] branches/swig-redo/configure.in: Rip out all g-wrap
	  configure checks; we don't need 'em anymore.

2006-10-10 18:33  warlord

	* [r14995] branches/swig-redo/configure.in,
	  branches/swig-redo/macros/ac_pkg_swig.m4: Update the swig
	  requirement to 1.3.28 (needed for %delobject) Make the swig
	  version check failure an error instead of a warning, because we
	  really do need swig to build. This could change if we modify the
	  build system to distribute the swig-generated files so we don't
	  need swig at build time, just at 'make dist' (or when building
	  from SVN). But that can happen later.

2006-10-10 16:19  chris

	* [r14994] branches/swig-redo/src/engine/engine.i: Fix typo in
	  custom typemap.

2006-10-10 16:16  chris

	* [r14993] branches/swig-redo/src/engine/engine.i: Generate
	  correct wrapper for gnc_quote_source_set_fq_installed().

2006-10-10 04:05  chris

	* [r14992]
	  branches/swig-redo/src/gnc-module/test/mod-bar/bar-gwrap.scm,
	  branches/swig-redo/src/gnc-module/test/mod-baz/baz-gwrap.scm,
	  branches/swig-redo/src/gnc-module/test/mod-foo/foo-gwrap.scm:
	  Delete gwrap files for gnc-module tests.

2006-10-10 04:03  chris

	* [r14991] branches/swig-redo/src/gnc-module/test/mod-bar/bar.i,
	  branches/swig-redo/src/gnc-module/test/mod-baz/baz.i,
	  branches/swig-redo/src/gnc-module/test/mod-foo/foo.i: Add
	  interface definitions for gnc-module tests from last commit.

2006-10-10 03:57  chris

	* [r14990] branches/swig-redo/src/gnc-module/test/Makefile.am,
	  branches/swig-redo/src/gnc-module/test/mod-bar,
	  branches/swig-redo/src/gnc-module/test/mod-bar/Makefile.am,
	  branches/swig-redo/src/gnc-module/test/mod-bar/gnc-mod-bar.c,
	  branches/swig-redo/src/gnc-module/test/mod-baz,
	  branches/swig-redo/src/gnc-module/test/mod-baz/Makefile.am,
	  branches/swig-redo/src/gnc-module/test/mod-baz/gnc-mod-baz.c,
	  branches/swig-redo/src/gnc-module/test/mod-foo,
	  branches/swig-redo/src/gnc-module/test/mod-foo/Makefile.am,
	  branches/swig-redo/src/gnc-module/test/mod-foo/gnc-mod-foo.c,
	  branches/swig-redo/src/gnc-module/test/test-gwrapped-c,
	  branches/swig-redo/src/gnc-module/test/test-load-deps,
	  branches/swig-redo/src/gnc-module/test/test-scm-multi: Convert
	  all the gnc-module tests to use swig instead of gwrap.

2006-10-10 02:40  chris

	* [r14989] branches/swig-redo/configure.in,
	  branches/swig-redo/src/app-utils/app-utils.i,
	  branches/swig-redo/src/app-utils/gnc-helpers.c,
	  branches/swig-redo/src/app-utils/gnc-helpers.h,
	  branches/swig-redo/src/business/business-core/business-core.i,
	  branches/swig-redo/src/business/business-gnome/businessmod-gnome.c,
	  branches/swig-redo/src/business/dialog-tax-table/dialog-tax-table.i,
	  branches/swig-redo/src/core-utils/core-utils.i,
	  branches/swig-redo/src/engine/engine-helpers.c,
	  branches/swig-redo/src/engine/engine-helpers.h,
	  branches/swig-redo/src/engine/engine.i,
	  branches/swig-redo/src/engine/engine.scm,
	  branches/swig-redo/src/engine/glib-helpers.c,
	  branches/swig-redo/src/engine/glib-helpers.h,
	  branches/swig-redo/src/gnc-module/gnc-module.i,
	  branches/swig-redo/src/gnome-utils/gnc-file.h,
	  branches/swig-redo/src/gnome-utils/gnome-utils.i,
	  branches/swig-redo/src/gnome/gnome.i,
	  branches/swig-redo/src/report/report-gnome/report-gnome.i,
	  branches/swig-redo/src/report/report-system/html-acct-table.scm,
	  branches/swig-redo/src/report/report-system/report-system.i,
	  branches/swig-redo/src/report/utility-reports/hello-world.scm:
	  Force CFLAGS to include -Wno-unused. This is currently required
	  because swig generates code unused variables. Add prototypes for
	  public swig-generated functions. Remove some extraneous
	  references to g-wrap. Remove some old debugging code.

2006-10-10 01:25  chris

	* [r14988] branches/swig-redo/src/app-utils/Makefile.am: Remove
	  deleted kvp-options-registry.scm from Makefile.am.

2006-10-10 00:37  chris

	* [r14987] branches/swig-redo/src/app-utils/gw-app-utils-spec.scm,
	  branches/swig-redo/src/business/business-core/gw-business-core-spec.scm,
	  branches/swig-redo/src/business/business-gnome/gw-business-gnome-spec.scm,
	  branches/swig-redo/src/business/dialog-tax-table/gw-dialog-tax-table-spec.scm,
	  branches/swig-redo/src/core-utils/gw-core-utils-spec.scm,
	  branches/swig-redo/src/engine/gw-engine-spec.scm,
	  branches/swig-redo/src/engine/gw-kvp-spec.scm,
	  branches/swig-redo/src/gnc-module/gw-gnc-module-spec.scm,
	  branches/swig-redo/src/gnome-utils/gw-gnome-utils-spec.scm,
	  branches/swig-redo/src/gnome/gw-gnc-spec.scm,
	  branches/swig-redo/src/register/register-core/gw-register-core-spec.scm,
	  branches/swig-redo/src/report/report-gnome/gw-report-gnome-spec.scm,
	  branches/swig-redo/src/report/report-system/gw-report-system-spec.scm:
	  Delete all the gw-*-spec.scm files. Don't need 'em no mo'.

2006-10-10 00:34  chris

	* [r14986] branches/swig-redo/src/app-utils,
	  branches/swig-redo/src/business/business-core,
	  branches/swig-redo/src/business/business-gnome,
	  branches/swig-redo/src/business/dialog-tax-table,
	  branches/swig-redo/src/core-utils,
	  branches/swig-redo/src/engine,
	  branches/swig-redo/src/gnc-module, branches/swig-redo/src/gnome,
	  branches/swig-redo/src/gnome-utils,
	  branches/swig-redo/src/report/report-gnome,
	  branches/swig-redo/src/report/report-system: Update svn:ignore
	  for swig-*.c

2006-10-10 00:14  chris

	* [r14985] branches/swig-redo/src/app-utils/prefs.scm,
	  branches/swig-redo/src/bin/gnucash-bin.c,
	  branches/swig-redo/src/core-utils/Makefile.am,
	  branches/swig-redo/src/core-utils/core-utils.i,
	  branches/swig-redo/src/core-utils/core-utils.scm,
	  branches/swig-redo/src/core-utils/gnc-main.c,
	  branches/swig-redo/src/core-utils/gnc-main.h,
	  branches/swig-redo/src/import-export/qif-import/qif-file.scm,
	  branches/swig-redo/src/report/report-gnome/report-gnome.scm,
	  branches/swig-redo/src/scm/main.scm,
	  branches/swig-redo/src/scm/price-quotes.scm: Convert the
	  core-utils "module" (more like "directory") from gwrap to swig.
	  All at once: Add the interface definition. Add a new guile
	  module to replace the gw-core-utils. Build and load the swig
	  module (from the new guile module). Use more glib in
	  gnc-main.[ch] Incidentally, enable guile backtraces
	  unconditionally.

2006-10-10 00:13  chris

	* [r14984] branches/swig-redo/src/gnc-module/Makefile.am,
	  branches/swig-redo/src/gnc-module/gnc-module.c,
	  branches/swig-redo/src/gnc-module/gnc-module.i,
	  branches/swig-redo/src/gnc-module/gnc-module.scm: Convert
	  gnc-module from gwrap to swig. All at once: Add the interface
	  definition. Build and load (from guile) the swig module.

2006-10-10 00:12  chris

	* [r14983] branches/swig-redo/src/app-utils/Makefile.am,
	  branches/swig-redo/src/app-utils/test/Makefile.am,
	  branches/swig-redo/src/backend/file/test/Makefile.am,
	  branches/swig-redo/src/backend/postgres/test/Makefile.am,
	  branches/swig-redo/src/business/business-core/businessmod-core.c,
	  branches/swig-redo/src/business/business-core/test/Makefile.am,
	  branches/swig-redo/src/engine/Makefile.am,
	  branches/swig-redo/src/engine/Query.c,
	  branches/swig-redo/src/engine/Query.h,
	  branches/swig-redo/src/engine/engine.scm,
	  branches/swig-redo/src/engine/gncmod-engine.c,
	  branches/swig-redo/src/engine/test-core/Makefile.am,
	  branches/swig-redo/src/engine/test/Makefile.am,
	  branches/swig-redo/src/gnome-utils/Makefile.am,
	  branches/swig-redo/src/gnome/Makefile.am: Remove all uses of
	  gwrap related to the engine module. Remove some unneeded
	  functions and temporary code.
	* [r14982] branches/swig-redo/src/app-utils/app-utils.i,
	  branches/swig-redo/src/app-utils/guile-util.c,
	  branches/swig-redo/src/business/business-core/gncBusGuile.c,
	  branches/swig-redo/src/business/business-gnome/dialog-invoice.c,
	  branches/swig-redo/src/engine/glib-helpers.c,
	  branches/swig-redo/src/engine/glib-helpers.h,
	  branches/swig-redo/src/gnome-utils/dialog-options.c,
	  branches/swig-redo/src/gnome/gnc-plugin-page-register.c,
	  branches/swig-redo/src/import-export/qif-import/druid-qif-import.c:
	  Convert runtime code related to core engine types from gwrap to
	  swig api. Remove some temporary swig<->gwrap typemaps that
	  aren't needed anymore because more types have been swigified.
	  Remove some unneeded functions.

2006-10-10 00:11  chris

	* [r14981] branches/swig-redo/src/app-utils/options.scm,
	  branches/swig-redo/src/business/business-core/business-core.scm,
	  branches/swig-redo/src/business/business-reports/aging.scm,
	  branches/swig-redo/src/business/business-reports/business-reports.scm,
	  branches/swig-redo/src/business/business-reports/easy-invoice.scm,
	  branches/swig-redo/src/business/business-reports/fancy-invoice.scm,
	  branches/swig-redo/src/business/business-reports/invoice.scm,
	  branches/swig-redo/src/business/business-reports/owner-report.scm,
	  branches/swig-redo/src/engine/engine-interface.scm,
	  branches/swig-redo/src/engine/engine-utilities.scm,
	  branches/swig-redo/src/engine/test/test-create-account.scm,
	  branches/swig-redo/src/import-export/qif-import/qif-dialog-utils.scm,
	  branches/swig-redo/src/import-export/qif-import/qif-guess-map.scm,
	  branches/swig-redo/src/import-export/qif-import/qif-merge-groups.scm,
	  branches/swig-redo/src/import-export/qif-import/qif-to-gnc.scm,
	  branches/swig-redo/src/import-export/qif-io-core/qif-acct-table.scm,
	  branches/swig-redo/src/import-export/qif-io-core/qif-bank-xtn-import.scm,
	  branches/swig-redo/src/import-export/qif-io-core/qif-invst-xtn-import.scm,
	  branches/swig-redo/src/import-export/qif-io-core/test/test-import-phase-1.scm,
	  branches/swig-redo/src/report/locale-specific/us/taxtxf-de_DE.scm,
	  branches/swig-redo/src/report/locale-specific/us/taxtxf.scm,
	  branches/swig-redo/src/report/report-system/commodity-utilities.scm,
	  branches/swig-redo/src/report/report-system/html-acct-table.scm,
	  branches/swig-redo/src/report/report-system/html-utilities.scm,
	  branches/swig-redo/src/report/report-system/report-utilities.scm,
	  branches/swig-redo/src/report/standard-reports/account-piecharts.scm,
	  branches/swig-redo/src/report/standard-reports/account-summary.scm,
	  branches/swig-redo/src/report/standard-reports/advanced-portfolio.scm,
	  branches/swig-redo/src/report/standard-reports/average-balance.scm,
	  branches/swig-redo/src/report/standard-reports/balance-sheet.scm,
	  branches/swig-redo/src/report/standard-reports/budget.scm,
	  branches/swig-redo/src/report/standard-reports/cash-flow.scm,
	  branches/swig-redo/src/report/standard-reports/category-barchart.scm,
	  branches/swig-redo/src/report/standard-reports/daily-reports.scm,
	  branches/swig-redo/src/report/standard-reports/equity-statement.scm,
	  branches/swig-redo/src/report/standard-reports/general-journal.scm,
	  branches/swig-redo/src/report/standard-reports/income-statement.scm,
	  branches/swig-redo/src/report/standard-reports/net-barchart.scm,
	  branches/swig-redo/src/report/standard-reports/portfolio.scm,
	  branches/swig-redo/src/report/standard-reports/price-scatter.scm,
	  branches/swig-redo/src/report/standard-reports/register.scm,
	  branches/swig-redo/src/report/standard-reports/transaction.scm,
	  branches/swig-redo/src/report/standard-reports/trial-balance.scm,
	  branches/swig-redo/src/report/utility-reports/hello-world.scm:
	  Automated rename of swig-wrapped engine functions related to
	  Budgets, Lots, Groups, Splits, Transactions, and Accounts to
	  their swig-names. #### Split Stuff
	  s/gnc:split-get-guid/gncSplitGetGUID/g s/gnc:split-get-balance
	  /xaccSplitGetBalance /g s/gnc:split-get-memo/xaccSplitGetMemo/g
	  s/gnc:split-get-action/xaccSplitGetAction/g
	  s/gnc:split-get-reconcile-state/xaccSplitGetReconcile/g
	  s/gnc:split-get-reconciled-date/gnc-split-get-date-reconciled/g
	  s/gnc:split-get-amount/xaccSplitGetAmount/g
	  s/gnc:split-get-share-price/xaccSplitGetSharePrice/g
	  s/gnc:split-get-value/xaccSplitGetValue/g
	  s/gnc:split-get-account/xaccSplitGetAccount/g
	  s/gnc:split-get-parent/xaccSplitGetParent/g
	  s/gnc:split-get-other-split/xaccSplitGetOtherSplit/g
	  s/gnc:split-compare-account-full-names/xaccSplitCompareAccountFullNames/g
	  s/gnc:split-compare-account-codes/xaccSplitCompareAccountCodes/g
	  s/gnc:split-compare-other-account-full-names/xaccSplitCompareOtherAccountFullNames/g
	  s/gnc:split-compare-other-account-codes/xaccSplitCompareOtherAccountCodes/g
	  s/gnc:split-get-corr-account-name/xaccSplitGetCorrAccountName/g
	  s/gnc:split-get-corr-account-full-name-internal/xaccSplitGetCorrAccountFullName/g
	  s/gnc:split-get-lot/xaccSplitGetLot/g
	  s/gnc:split-void-former-amount/xaccSplitVoidFormerAmount/g
	  s/gnc:split-destroy/xaccSplitDestroy/g
	  s/gnc:split-create/xaccMallocSplit/g
	  s/gnc:split-set-value/xaccSplitSetValue/g
	  s/gnc:split-set-base-value/xaccSplitSetBaseValue/g
	  s/gnc:split-set-memo/xaccSplitSetMemo/g
	  s/gnc:split-set-action/xaccSplitSetAction/g
	  s/gnc:split-set-reconcile/xaccSplitSetReconcile/g
	  s/gnc:split-set-share-price/xaccSplitSetSharePrice/g
	  s/gnc:split-set-amount/xaccSplitSetAmount/g
	  s/gnc:split-set-share-price-and-amount/xaccSplitSetSharePriceAndAmount/g
	  #### Transaction Stuff
	  s/gnc:transaction-get-guid/gncTransGetGUID/g
	  s/gnc:transaction-get-split/xaccTransGetSplit/g
	  s/gnc:transaction-get-splits/xaccTransGetSplitList/g
	  s/gnc:transaction-get-num/xaccTransGetNum/g
	  s/gnc:transaction-get-description/xaccTransGetDescription/g
	  s/gnc:transaction-get-notes/xaccTransGetNotes/g
	  s/gnc:transaction-get-void-status/xaccTransGetVoidStatus/g
	  s/gnc:transaction-order/xaccTransOrder/g
	  s/gnc:transaction-get-date-posted/gnc-transaction-get-date-posted/g
	  s/gnc:transaction-get-date-entered/gnc-transaction-get-date-entered/g
	  s/gnc:transaction-get-account-value/xaccTransGetAccountValue/g
	  s/gnc:transaction-get-txn-type/xaccTransGetTxnType/g
	  s/gnc:transaction-destroy/xaccTransDestroy/g
	  s/gnc:transaction-begin-edit/xaccTransBeginEdit/g
	  s/gnc:transaction-commit-edit/xaccTransCommitEdit/g
	  s/gnc:transaction-is-open/xaccTransIsOpen/g
	  s/gnc:transaction-append-split/xaccTransAppendSplit/g
	  s/gnc:transaction-set-date /xaccTransSetDate /g
	  s/gnc:transaction-set-date-time-pair/gnc-transaction-set-date/g
	  s/gnc:transaction-set-xnum/xaccTransSetNum/g
	  s/gnc:transaction-set-description/xaccTransactionSetDescription/g
	  s/gnc:transaction-set-notes/xaccTransSetNotes/g
	  s/gnc:transaction-create/xaccMallocTransaction/g #### Account
	  stuff s/gnc:account-get-guid/gncAccountGetGUID/g
	  s/gnc:account-lookup/xaccAccountLookup/g s/gnc:malloc-account
	  /xaccMallocAccount /g
	  s/gnc:account-begin-edit/xaccAccountBeginEdit/g
	  s/gnc:account-commit-edit/xaccAccountCommitEdit/g
	  s/gnc:account-insert-split/xaccSplitSetAccount/g
	  s/gnc:account-set-name/xaccAccountSetName/g
	  s/gnc:account-set-code/xaccAccountSetCode/g
	  s/gnc:account-set-description/xaccAccountSetDescription/g
	  s/gnc:account-set-notes/xaccAccountSetNotes/g
	  s/gnc:account-get-name/xaccAccountGetName/g
	  s/gnc:account-get-code/xaccAccountGetCode/g
	  s/gnc:account-get-description/xaccAccountGetDescription/g
	  s/gnc:account-get-notes/xaccAccountGetNotes/g
	  s/gnc:account-get-tax-related/xaccAccountGetTaxRelated/g
	  s/gnc:account-get-tax-US-code/xaccAccountGetTaxUSCode/g
	  s/gnc:account-get-tax-US-payer-name-source/xaccAccountGetTaxUSPayerNameSource/g
	  s/gnc:account-get-children/xaccAccountGetChildren/g
	  s/gnc:account-get-parent-account/xaccAccountGetParentAccount/g
	  s/gnc:account-get-parent/xaccAccountGetParent/g
	  s/gnc:account-get-balance /xaccAccountGetBalance /g
	  s/gnc:account-get-split-list /xaccAccountGetSplitList /g
	  s/gnc:get-account-from-full-name/xaccGetAccountFromFullName/g
	  s/gnc:account-insert-subaccount/xaccAccountInsertSubAccount/g
	  s/gnc:account-separator-string/gnc-get-account-separator-string/g
	  #### Group stuff s/gnc:group-get-book/xaccGroupGetBook/g
	  s/gnc:malloc-account-group/xaccMallocAccountGroup/g
	  s/gnc:account-group-begin-edit/xaccAccountGroupBeginEdit/g
	  s/gnc:account-group-destroy/xaccAccountGroupDestroy/g
	  s/gnc:group-merge-accounts/xaccGroupMergeAccounts/g
	  s/gnc:group-concat-group/xaccGroupConcatGroup/g
	  s/gnc:group-get-num-subaccounts/xaccGroupGetNumSubAccounts/g
	  s/gnc:group-get-num-accounts/xaccGroupGetNumAccounts/g
	  s/gnc:group-get-account-list/xaccGroupGetAccountListSorted/g
	  s/gnc:group-get-account/xaccGroupGetAccount/g
	  s/gnc:group-get-parent/xaccGroupGetParentAccount/g
	  s/gnc:group-insert-account/xaccGroupInsertAccount/g
	  s/gnc:group-get-subaccounts/xaccGroupGetSubAccountsSorted/g
	  s/gnc:lot-closed?/gnc-lot-is-closed/g
	  s/gnc:lot-get-splits/gnc-lot-get-split-list/g
	  s/gnc:lot-get-balance/gnc-lot-get-balance/g
	  s/gnc:budget-get-guid/gncBudgetGetGUID/g
	  s/gnc:budget-lookup/gnc-budget-lookup/g
	  s/gnc:budget-get-/gnc-budget-get-/g

2006-10-10 00:10  chris

	* [r14980] branches/swig-redo/src/app-utils/options.scm,
	  branches/swig-redo/src/business/business-reports/aging.scm,
	  branches/swig-redo/src/business/business-reports/owner-report.scm,
	  branches/swig-redo/src/engine/test/test-scm-query-import.scm,
	  branches/swig-redo/src/import-export/qif-import/qif-merge-groups.scm,
	  branches/swig-redo/src/report/report-system/commodity-utilities.scm,
	  branches/swig-redo/src/report/report-system/report-utilities.scm,
	  branches/swig-redo/src/report/standard-reports/average-balance.scm,
	  branches/swig-redo/src/report/standard-reports/daily-reports.scm,
	  branches/swig-redo/src/report/standard-reports/general-journal.scm,
	  branches/swig-redo/src/report/standard-reports/register.scm,
	  branches/swig-redo/src/report/standard-reports/transaction.scm:
	  Automated rename of Query-related swig-wrapped engine functions
	  to their swig-names.
	  s/gnc:malloc-query/qof-query-create-for-splits/g
	  s/gnc:free-query/qof-query-destroy/g
	  s/gnc:query-invert/qof-query-invert/g
	  s/gnc:query-merge/qof-query-merge/g
	  s/gnc:query-get-splits/qof-query-run/g
	  s/gnc:query-get-splits-unique-trans/xaccQueryGetSplitsUniqueTrans/g
	  s/gnc:query-get-transactions/xaccQueryGetTransactions/g
	  s/gnc:query-get-lots/xaccQueryGetLots/g
	  s/gnc:query-add-account-match/xaccQueryAddAccountMatch/g
	  s/gnc:query-add-single-account-match/xaccQueryAddSingleAccountMatch/g
	  s/gnc:query-add-description-match/xaccQueryAddDescriptionMatch/g
	  s/gnc:query-add-value-match/xaccQueryAddValueMatch/g
	  s/gnc:query-add-date-match-timepair/xaccQueryAddDateMatchTS/g
	  s/gnc:query-add-date-match/xaccQueryAddDateMatch/g
	  s/gnc:query-add-cleared-match/xaccQueryAddClearedMatch/g
	  s/gnc:query-set-sort-increasing/qof-query-set-sort-increasing/g
	  s/gnc:query-set-max-results/qof-query-set-max-results/g
	  s/gnc:query->scm/gnc-query2scm/g s/gnc:scm->query/gnc-scm2query/g

2006-10-10 00:09  chris

	* [r14979] branches/swig-redo/src/app-utils/app-utils.scm,
	  branches/swig-redo/src/app-utils/date-utilities.scm,
	  branches/swig-redo/src/app-utils/hooks.scm,
	  branches/swig-redo/src/app-utils/options.scm,
	  branches/swig-redo/src/business/business-gnome/business-gnome.scm,
	  branches/swig-redo/src/business/business-reports/aging.scm,
	  branches/swig-redo/src/business/business-reports/easy-invoice.scm,
	  branches/swig-redo/src/business/business-reports/fancy-invoice.scm,
	  branches/swig-redo/src/business/business-reports/invoice.scm,
	  branches/swig-redo/src/business/business-reports/owner-report.scm,
	  branches/swig-redo/src/business/business-utils/business-options.scm,
	  branches/swig-redo/src/business/business-utils/business-prefs.scm,
	  branches/swig-redo/src/engine/engine-interface.scm,
	  branches/swig-redo/src/engine/gnc-numeric.scm,
	  branches/swig-redo/src/engine/test/test-create-account.scm,
	  branches/swig-redo/src/engine/test/test-scm-query-import.scm,
	  branches/swig-redo/src/import-export/qif-import/qif-dialog-utils.scm,
	  branches/swig-redo/src/import-export/qif-import/qif-file.scm,
	  branches/swig-redo/src/import-export/qif-import/qif-guess-map.scm,
	  branches/swig-redo/src/import-export/qif-import/qif-merge-groups.scm,
	  branches/swig-redo/src/import-export/qif-import/qif-objects.scm,
	  branches/swig-redo/src/import-export/qif-import/qif-parse.scm,
	  branches/swig-redo/src/import-export/qif-import/qif-to-gnc.scm,
	  branches/swig-redo/src/import-export/qif-io-core/qif-acct-table.scm,
	  branches/swig-redo/src/import-export/qif-io-core/qif-bank-xtn-import.scm,
	  branches/swig-redo/src/import-export/qif-io-core/qif-format-check.scm,
	  branches/swig-redo/src/import-export/qif-io-core/qif-invst-xtn-import.scm,
	  branches/swig-redo/src/import-export/qif-io-core/qif-parse.scm,
	  branches/swig-redo/src/import-export/qif-io-core/test/test-import-phase-1.scm,
	  branches/swig-redo/src/import-export/qif-io-core/test/test-parser.scm,
	  branches/swig-redo/src/report/locale-specific/us/taxtxf-de_DE.scm,
	  branches/swig-redo/src/report/locale-specific/us/taxtxf.scm,
	  branches/swig-redo/src/report/report-gnome/report-gnome.scm,
	  branches/swig-redo/src/report/report-system/commodity-utilities.scm,
	  branches/swig-redo/src/report/report-system/html-acct-table.scm,
	  branches/swig-redo/src/report/report-system/html-barchart.scm,
	  branches/swig-redo/src/report/report-system/html-piechart.scm,
	  branches/swig-redo/src/report/report-system/html-scatter.scm,
	  branches/swig-redo/src/report/report-system/html-style-info.scm,
	  branches/swig-redo/src/report/report-system/html-style-sheet.scm,
	  branches/swig-redo/src/report/report-system/html-utilities.scm,
	  branches/swig-redo/src/report/report-system/report-system.scm,
	  branches/swig-redo/src/report/report-system/report-utilities.scm,
	  branches/swig-redo/src/report/report-system/report.scm,
	  branches/swig-redo/src/report/standard-reports/account-piecharts.scm,
	  branches/swig-redo/src/report/standard-reports/account-summary.scm,
	  branches/swig-redo/src/report/standard-reports/advanced-portfolio.scm,
	  branches/swig-redo/src/report/standard-reports/average-balance.scm,
	  branches/swig-redo/src/report/standard-reports/balance-sheet.scm,
	  branches/swig-redo/src/report/standard-reports/budget.scm,
	  branches/swig-redo/src/report/standard-reports/cash-flow.scm,
	  branches/swig-redo/src/report/standard-reports/category-barchart.scm,
	  branches/swig-redo/src/report/standard-reports/daily-reports.scm,
	  branches/swig-redo/src/report/standard-reports/equity-statement.scm,
	  branches/swig-redo/src/report/standard-reports/general-journal.scm,
	  branches/swig-redo/src/report/standard-reports/income-statement.scm,
	  branches/swig-redo/src/report/standard-reports/net-barchart.scm,
	  branches/swig-redo/src/report/standard-reports/portfolio.scm,
	  branches/swig-redo/src/report/standard-reports/price-scatter.scm,
	  branches/swig-redo/src/report/standard-reports/register.scm,
	  branches/swig-redo/src/report/standard-reports/transaction.scm,
	  branches/swig-redo/src/report/standard-reports/trial-balance.scm,
	  branches/swig-redo/src/report/stylesheets/stylesheet-easy.scm,
	  branches/swig-redo/src/report/stylesheets/stylesheet-fancy.scm,
	  branches/swig-redo/src/report/utility-reports/hello-world.scm,
	  branches/swig-redo/src/scm/command-line.scm,
	  branches/swig-redo/src/scm/main-window.scm,
	  branches/swig-redo/src/scm/price-quotes.scm,
	  branches/swig-redo/src/tax/us/txf-de_DE.scm: Automated rename of
	  engine swig-wrapped functions to their swig-names.
	  s/gnc:query-set-book/qof-query-set-book/g
	  s/gnc:account-get-commodity/xaccAccountGetCommodity/g
	  s/gnc:account-set-commodity/xaccAccountSetCommodity/g
	  s/gnc:transaction-get-currency/xaccTransGetCurrency/g
	  s/gnc:transaction-set-currency/xaccTransSetCurrency/g
	  s/'query-and/QOF-QUERY-AND/g s/'query-or/QOF-QUERY-OR/g
	  s/'query-compare-equal/QOF-COMPARE-EQUAL/g
	  s/'\?amt-sgn-match-either/QOF-NUMERIC-MATCH-ANY/g
	  s/'\?amt-sgn-match-credit/QOF-NUMERIC-MATCH-CREDIT/g
	  s/'\?amt-sgn-match-debit/QOF-NUMERIC-MATCH-DEBIT/g
	  s/'\?cleared-match-no/CLEARED-NO/g
	  s/'\?cleared-match-cleared/CLEARED-CLEARED/g
	  s/'\?cleared-match-reconciled/CLEARED-RECONCILED/g
	  s/'\?cleared-match-frozen/CLEARED-FROZEN/g
	  s/'\?cleared-match-voided/CLEARED-VOIDED/g
	  s/'guid-match-all/QOF-GUID-MATCH-ALL/g
	  s/'guid-match-any/QOF-GUID-MATCH-ANY/g
	  s/'guid-match-none/QOF-GUID-MATCH-NONE/g
	  s/'query-txn-match-all/QUERY-TXN-MATCH-ALL/g
	  s/'query-txn-match-any/QUERY-TXN-MATCH-ANY/g #### Kvp Stuff
	  s/kvp-type-gint64/KVP-TYPE-GINT64/g
	  s/kvp-type-double/KVP-TYPE-DOUBLE/g
	  s/kvp-type-numeric/KVP-TYPE-NUMERIC/g
	  s/kvp-type-string/KVP-TYPE-STRING/g
	  s/kvp-type-guid/KVP-TYPE-GUID/g
	  s/kvp-type-timespec/KVP-TYPE-TIMESPEC/g
	  s/kvp-type-binary/KVP-TYPE-BINARY/g
	  s/kvp-type-glist/KVP-TYPE-GLIST/g
	  s/kvp-type-frame/KVP-TYPE-FRAME/g
	  s/gnc:kvp-frame-delete-at-path/gnc-kvp-frame-delete-at-path/g
	  s/gnc:kvp-frame-set-slot-path/kvp-frame-set-slot-path-gslist/g
	  s/gnc:kvp-frame-get-slot-path/kvp-frame-get-slot-path-gslist/g
	  s/gnc:book-get-slots/gnc-book-get-slots/g #### QofIDType Stuff
	  s/gnc:id-book/QOF-ID-BOOK-SCM/g
	  s/gnc:query-default-sort/QUERY-DEFAULT-SORT/g
	  s/gnc:split-lot/SPLIT-LOT/g s/gnc:split-trans/SPLIT-TRANS/g
	  s/gnc:split-account /SPLIT-ACCOUNT /g
	  s/gnc:split-value/SPLIT-VALUE/g s/gnc:split-memo/SPLIT-MEMO/g
	  s/gnc:split-date-reconciled/SPLIT-DATE-RECONCILED/g
	  s/gnc:trans-date-posted/TRANS-DATE-POSTED/g
	  s/gnc:trans-desc/TRANS-DESCRIPTION/g s/gnc:trans-num/TRANS-NUM/g
	  s/gnc:account-code)/ACCOUNT-CODE-)/g
	  s/gnc:split-account-fullname/SPLIT-ACCT-FULLNAME/g
	  s/gnc:split-corr-account-fullname/SPLIT-CORR-ACCT-FULLNAME/g
	  s/gnc:split-corr-account-code/SPLIT-CORR-ACCT-CODE/g
	  s/gnc:invoice-from-txn/INVOICE-FROM-TXN/g
	  s/gnc:invoice-owner/INVOICE-OWNER/g
	  s/gnc:owner-parentg/OWNER-PARENTG/g
	  s/gnc:owner-from-lot/OWNER-FROM-LOT/g
	  s/gnc:invoice-from-lot/INVOICE-FROM-LOT/g
	  s/gnc:query-add-guid-match/qof-query-add-guid-match/g
	  s/gnc:query-set-sort-order/qof-query-set-sort-order/g ####
	  Session Stuff s/gnc:session-new/qof-session-new/g
	  s/gnc:session-get-book/qof-session-get-book/g #### Book stuff
	  s/gnc:book-get-group/xaccGetAccountGroup/g
	  s/gnc:book-get-template-group/gnc-book-get-template-group/g
	  s/gnc:book-get-commodity-table/gnc-commodity-table-get-table/g
	  s/gnc:book-get-pricedb/gnc-pricedb-get-db/g
	  s/gnc:book-kvp-changed/qof-book-kvp-changed/g
	  s/gnc:print-date/gnc-print-date/g
	  s/gnc:commodity-create/gnc-commodity-new/g
	  s/gnc:commodity-get-exchange-code/gnc-commodity-get-cusip/g
	  s/gnc:commodity-is-currency?/gnc-commodity-is-currency/g
	  s/gnc:commodity-equiv?/gnc-commodity-equiv/g # oops, this gets
	  some unwanted functions, oh well.
	  s/gnc:commodity-/gnc-commodity-/g
	  s/gnc:double-to-gnc-numeric/double-to-gnc-numeric/g
	  s/gnc:numeric-collector/zymurgy/g s/gnc:numeric-/gnc-numeric-/g
	  s/zymurgy/gnc:numeric-collector/g
	  s/gnc:timepair-canonical-day-time/timespecCanonicalDayTime/g
	  s/gnc:build-dotgnucash-path/gnc-build-dotgnucash-path/g
	  s/gnc:\*report-hook\*/HOOK-REPORT/g
	  s/gnc:\*save-options-hook\*/HOOK-SAVE-OPTIONS/g
	  s/gnc:hook-add-dangler/gnc-hook-add-scm-dangler/g
	  s/gnc:hook-run-danglers-real/gnc-hook-run/g #### Price stuff
	  s/gnc:price-create/gnc-price-create/g
	  s/gnc:price-get-guid/gncPriceGetGUID/g
	  s/gnc:price-unref/gnc-price-unref/g
	  s/gnc:price-set-commodity/gnc-price-set-commodity/g
	  s/gnc:price-set-currency/gnc-price-set-currency/g
	  s/gnc:price-set-time/gnc-price-set-time/g
	  s/gnc:price-set-source/gnc-price-set-source/g
	  s/gnc:price-set-type/gnc-price-set-type/g
	  s/gnc:price-set-value/gnc-price-set-value/g
	  s/gnc:price-get-commodity/gnc-price-get-commodity/g
	  s/gnc:price-get-currency/gnc-price-get-currency/g
	  s/gnc:price-get-time/gnc-price-get-time/g
	  #s/gnc:price-set-source/gnc-price-set-source/g
	  #s/gnc:price-set-type/gnc-price-set-type/g
	  s/gnc:price-get-value/gnc-price-get-value/g
	  s/gnc:price-list-destroy/gnc-price-list-destroy/g
	  s/gnc:pricedb-/gnc-pricedb-/g
	  s/gnc:quote-source-set-fq-installed/gnc-quote-source-set-fq-installed/g

2006-10-10 00:08  chris

	* [r14978] branches/swig-redo/src/app-utils/app-utils.i,
	  branches/swig-redo/src/app-utils/gnc-helpers.c,
	  branches/swig-redo/src/app-utils/hooks.scm,
	  branches/swig-redo/src/app-utils/option-util.c,
	  branches/swig-redo/src/business/business-core/business-core.i,
	  branches/swig-redo/src/engine/engine-helpers.c,
	  branches/swig-redo/src/engine/gnc-hooks.c,
	  branches/swig-redo/src/engine/kvp-scm.c,
	  branches/swig-redo/src/import-export/qif-import/druid-qif-import.c:
	  Another pass through converting the engine module from gwrap to
	  swig. Remove some temporary swig<->gwrap typemaps that are no
	  longer needed because some more types have been swigified.
	  Convert some runtime code for some engine types from gwrap to
	  the swig api. Remove a lot of gwrap-specific C code for handling
	  gwrapped enums. Use '() instead of #f for the empty object.
	* [r14977] branches/swig-redo/src/engine/engine-helpers.h,
	  branches/swig-redo/src/engine/gnc-numeric.scm,
	  branches/swig-redo/src/engine/gw-engine-spec.scm,
	  branches/swig-redo/src/import-export/qif-import/qif-guess-map.scm:
	  Remove some unused engine functions. Remove some gwrap-specific
	  guile type-checking code.

2006-10-10 00:07  chris

	* [r14976] branches/swig-redo/src/app-utils/options.scm,
	  branches/swig-redo/src/business/business-reports/owner-report.scm,
	  branches/swig-redo/src/import-export/qif-import/qif-dialog-utils.scm,
	  branches/swig-redo/src/import-export/qif-import/qif-guess-map.scm,
	  branches/swig-redo/src/import-export/qif-import/qif-to-gnc.scm,
	  branches/swig-redo/src/import-export/qif-io-core/qif-acct-table.scm,
	  branches/swig-redo/src/report/locale-specific/us/taxtxf-de_DE.scm,
	  branches/swig-redo/src/report/locale-specific/us/taxtxf.scm,
	  branches/swig-redo/src/report/report-system/html-acct-table.scm,
	  branches/swig-redo/src/report/report-system/report-utilities.scm,
	  branches/swig-redo/src/report/standard-reports/advanced-portfolio.scm,
	  branches/swig-redo/src/report/standard-reports/standard-reports.scm,
	  branches/swig-redo/src/report/standard-reports/transaction.scm:
	  Automated rename of AccountType-related swig-wrapped functions
	  to their swig-names. s/gnc:account-get-type-string
	  /xaccAccountGetTypeStr /g
	  s/gnc:account-get-type-string$/xaccAccountGetTypeStr/g
	  s/gnc:account-get-type /xaccAccountGetType /g
	  s/gnc:account-set-type/xaccAccountSetType/g
	* [r14975] branches/swig-redo/src/app-utils/guile-util.c,
	  branches/swig-redo/src/app-utils/option-util.c,
	  branches/swig-redo/src/app-utils/options.scm,
	  branches/swig-redo/src/app-utils/prefs.scm,
	  branches/swig-redo/src/business/business-reports/owner-report.scm,
	  branches/swig-redo/src/business/business-reports/payables.scm,
	  branches/swig-redo/src/business/business-reports/receivables.scm,
	  branches/swig-redo/src/report/locale-specific/us/taxtxf-de_DE.scm,
	  branches/swig-redo/src/report/locale-specific/us/taxtxf.scm,
	  branches/swig-redo/src/report/report-system/report-utilities.scm,
	  branches/swig-redo/src/report/standard-reports/account-piecharts.scm,
	  branches/swig-redo/src/report/standard-reports/account-summary.scm,
	  branches/swig-redo/src/report/standard-reports/advanced-portfolio.scm,
	  branches/swig-redo/src/report/standard-reports/average-balance.scm,
	  branches/swig-redo/src/report/standard-reports/balance-sheet.scm,
	  branches/swig-redo/src/report/standard-reports/budget.scm,
	  branches/swig-redo/src/report/standard-reports/cash-flow.scm,
	  branches/swig-redo/src/report/standard-reports/category-barchart.scm,
	  branches/swig-redo/src/report/standard-reports/daily-reports.scm,
	  branches/swig-redo/src/report/standard-reports/equity-statement.scm,
	  branches/swig-redo/src/report/standard-reports/income-statement.scm,
	  branches/swig-redo/src/report/standard-reports/net-barchart.scm,
	  branches/swig-redo/src/report/standard-reports/standard-reports.scm,
	  branches/swig-redo/src/report/standard-reports/transaction.scm,
	  branches/swig-redo/src/report/standard-reports/trial-balance.scm:
	  Convert AccountType from gwrap to swig. This type had to be done
	  by hand for several reasons, most obviously because the same
	  guile symbols that are used for account-types are sometimes used
	  with other meanings. This conversion was tedious and
	  error-prone. This is a potentially risky source of bugs. - Use
	  '() instead of #f for the empty object. - Convert the runtime
	  code that uses AccountType to use the swig api. - Incidentally
	  this fixes an existing bug where the AccountType C<->guile
	  mapping was broken, with the effect of no longer showing
	  Account-type specific debit/credit column headers in the
	  register.

2006-10-10 00:06  chris

	* [r14974] branches/swig-redo/src/engine/Makefile.am,
	  branches/swig-redo/src/engine/engine.i,
	  branches/swig-redo/src/engine/engine.scm,
	  branches/swig-redo/src/engine/gncmod-engine.c: Begin the
	  conversion of the engine module from gwrap to swig. - Add the
	  interface definition. - Build and load the swig module. (Unlike
	  other commits, gwrap is not removed yet, so that there are fully
	  functional intermediate states.)

2006-10-10 00:05  chris

	* [r14973] branches/swig-redo/src/engine/Account.h,
	  branches/swig-redo/src/engine/Group.c,
	  branches/swig-redo/src/engine/Group.h,
	  branches/swig-redo/src/engine/Query.c,
	  branches/swig-redo/src/engine/Query.h,
	  branches/swig-redo/src/engine/Transaction.h,
	  branches/swig-redo/src/engine/engine-helpers.c,
	  branches/swig-redo/src/engine/engine-helpers.h,
	  branches/swig-redo/src/engine/glib-helpers.c,
	  branches/swig-redo/src/engine/glib-helpers.h,
	  branches/swig-redo/src/engine/gnc-budget.h,
	  branches/swig-redo/src/engine/gnc-commodity.c,
	  branches/swig-redo/src/engine/gnc-commodity.h,
	  branches/swig-redo/src/engine/gnc-pricedb.c,
	  branches/swig-redo/src/engine/gnc-pricedb.h,
	  branches/swig-redo/src/gnome-utils/gnc-file.c,
	  branches/swig-redo/src/report/report-system/report-utilities.scm:
	  Prepare the engine module for swigification. - Remove undefined
	  functions - Use more specific types for GList-of-objects. - Use
	  gboolean instead of int in some appropriate places. - Convert
	  some macros to functions. - Implement gnc_scm_to_gslist_string()
	  and publicize gnc_query_scm2path(), both of which will be useful
	  for type-mapping. - Use #t/#f instead of 1/0 in some guile code.

2006-10-10 00:04  chris

	* [r14972]
	  branches/swig-redo/src/app-utils/kvp-option-registry.scm: Delete
	  kvp-option-registry.scm left-over from last commit.

2006-10-10 00:03  chris

	* [r14971] branches/swig-redo/src/app-utils/app-utils.i,
	  branches/swig-redo/src/app-utils/app-utils.scm,
	  branches/swig-redo/src/app-utils/kvp-option-registry.scm,
	  branches/swig-redo/src/app-utils/option-util.c,
	  branches/swig-redo/src/app-utils/option-util.h,
	  branches/swig-redo/src/business/business-ledger/gncEntryLedgerLoad.c,
	  branches/swig-redo/src/business/business-utils/business-prefs.scm,
	  branches/swig-redo/src/gnome-utils/gnome-utils.scm,
	  branches/swig-redo/src/tax/us/txf-de_DE.scm: Move the KVP option
	  registry implementation from guile into C. - Unwrap some
	  C->guile->C round-trips. - This removes a dependence on the
	  gwrap-provided representation of a wrapped QofIdType.

2006-10-10 00:02  chris

	* [r14970] branches/swig-redo/src/bin/gnucash-bin.c,
	  branches/swig-redo/src/engine/engine-utilities.scm,
	  branches/swig-redo/src/scm/price-quotes.scm: Move all of the
	  Session handling for the price-quotes loading from guile to C.
	  (This is only related to swigification insofar as it removes the
	  need to wrap some Backend code.)

2006-10-10 00:01  chris

	* [r14969] branches/swig-redo/src/app-utils/gfec.c,
	  branches/swig-redo/src/app-utils/gfec.h,
	  branches/swig-redo/src/bin/gnucash-bin.c,
	  branches/swig-redo/src/gnome/top-level.c,
	  branches/swig-redo/src/scm/main-window.scm: Move the code that
	  loads old-style state files from guile into C. Move some file
	  evaluation code from gnucash-bin.c into gfec.c. (This is only
	  related to swigification insofar as it removes the need to wrap
	  some Session code.)

2006-10-10 00:00  chris

	* [r14968] branches/swig-redo/src/app-utils/c-interface.scm,
	  branches/swig-redo/src/app-utils/date-utilities.scm,
	  branches/swig-redo/src/app-utils/gw-app-utils-spec.scm,
	  branches/swig-redo/src/app-utils/options.scm,
	  branches/swig-redo/src/business/business-reports/aging.scm,
	  branches/swig-redo/src/business/business-reports/fancy-invoice.scm,
	  branches/swig-redo/src/business/business-reports/owner-report.scm,
	  branches/swig-redo/src/business/business-utils/business-options.scm,
	  branches/swig-redo/src/gnome-utils/gnome-utils.scm,
	  branches/swig-redo/src/import-export/qif-import/druid-qif-import.c,
	  branches/swig-redo/src/import-export/qif-import/qif-dialog-utils.scm,
	  branches/swig-redo/src/import-export/qif-import/qif-guess-map.scm,
	  branches/swig-redo/src/import-export/qif-import/qif-merge-groups.scm,
	  branches/swig-redo/src/import-export/qif-import/qif-to-gnc.scm,
	  branches/swig-redo/src/import-export/qif-io-core/qif-acct-table.scm,
	  branches/swig-redo/src/import-export/qif-io-core/qif-bank-xtn-import.scm,
	  branches/swig-redo/src/import-export/qif-io-core/qif-invst-xtn-import.scm,
	  branches/swig-redo/src/report/locale-specific/us/taxtxf-de_DE.scm,
	  branches/swig-redo/src/report/locale-specific/us/taxtxf.scm,
	  branches/swig-redo/src/report/report-system/commodity-utilities.scm,
	  branches/swig-redo/src/report/report-system/html-acct-table.scm,
	  branches/swig-redo/src/report/report-system/html-style-info.scm,
	  branches/swig-redo/src/report/report-system/html-utilities.scm,
	  branches/swig-redo/src/report/report-system/options-utilities.scm,
	  branches/swig-redo/src/report/report-system/report-utilities.scm,
	  branches/swig-redo/src/report/standard-reports/account-piecharts.scm,
	  branches/swig-redo/src/report/standard-reports/account-summary.scm,
	  branches/swig-redo/src/report/standard-reports/advanced-portfolio.scm,
	  branches/swig-redo/src/report/standard-reports/average-balance.scm,
	  branches/swig-redo/src/report/standard-reports/balance-sheet.scm,
	  branches/swig-redo/src/report/standard-reports/budget.scm,
	  branches/swig-redo/src/report/standard-reports/cash-flow.scm,
	  branches/swig-redo/src/report/standard-reports/category-barchart.scm,
	  branches/swig-redo/src/report/standard-reports/daily-reports.scm,
	  branches/swig-redo/src/report/standard-reports/equity-statement.scm,
	  branches/swig-redo/src/report/standard-reports/general-journal.scm,
	  branches/swig-redo/src/report/standard-reports/income-statement.scm,
	  branches/swig-redo/src/report/standard-reports/net-barchart.scm,
	  branches/swig-redo/src/report/standard-reports/portfolio.scm,
	  branches/swig-redo/src/report/standard-reports/price-scatter.scm,
	  branches/swig-redo/src/report/standard-reports/register.scm,
	  branches/swig-redo/src/report/standard-reports/transaction.scm,
	  branches/swig-redo/src/report/standard-reports/trial-balance.scm,
	  branches/swig-redo/src/report/utility-reports/hello-world.scm,
	  branches/swig-redo/src/scm/main-window.scm,
	  branches/swig-redo/src/scm/price-quotes.scm: Automated rename of
	  swig-wrapped app-utils functions to their swig-names.
	  s/gnc:get-current-group)/gnc-get-current-group)/g
	  s/gnc:get-current-book/gnc-get-current-book/g
	  s/gnc:gettext-helper/gnc-gettext-helper/g
	  s/gnc:option-db-/gnc-option-db-/g
	  s/gnc:default-currency/gnc-default-currency/g
	  s/gnc:default-report-currency/gnc-default-report-currency/g
	  s/gnc:default-print-info/gnc-default-print-info/g
	  s/gnc:option-invoke-callback/gncp_option_invoke_callback/g
	  s/gnc:locale-default-iso-currency-code/gnc-locale-default-iso-currency-code/g
	  s/gnc:account-get-full-name/gnc-account-get-full-name/g
	  s/gnc:commodity-print-info/gnc-commodity-print-info/g
	  s/gnc:account-print-info/gnc-account-print-info/g
	  s/gnc:share-print-info-places/gnc-share-print-info-places/g
	  s/gnc:account-reverse-balance?/gnc-reverse-balance/g
	  s/gnc:is-euro-currency/gnc-is-euro-currency/g
	  s/gnc:convert-to-euro/gnc-convert-to-euro/g
	  s/gnc:convert-from-euro/gnc-convert-from-euro/g
	  s/gnc:commodity-table-get-quotable-commodities-info/gnc-commodity-table-get-quotable-commodities/g
	  s/gnc:accounting-period-start/gnc-accounting-period-fiscal-start/g
	  s/gnc:accounting-period-end/gnc-accounting-period-fiscal-end/g
	  s/gnc:amount->string/xaccPrintAmount/g

2006-10-09 23:59  chris

	* [r14967] branches/swig-redo/src/app-utils/app-utils.scm,
	  branches/swig-redo/src/app-utils/option-util.c,
	  branches/swig-redo/src/app-utils/option-util.h: Convert runtime
	  code from gwrap to swig api. Also, publicize
	  gnc_option_db_register_option() and load the swig module instead
	  of the gwrap module from guile.
	* [r14966] branches/swig-redo/src/app-utils/Makefile.am,
	  branches/swig-redo/src/app-utils/app-utils.i,
	  branches/swig-redo/src/app-utils/gncmod-app-utils.c: Begin to
	  convert the app-utils module from gwrap to swig. Add the
	  interface definition. Build and load the swig module.

2006-10-09 23:58  chris

	* [r14965]
	  branches/swig-redo/src/business/business-gnome/business-gnome.scm,
	  branches/swig-redo/src/business/business-reports/business-reports.scm,
	  branches/swig-redo/src/gnome-utils/gnome-utils.scm,
	  branches/swig-redo/src/report/report-gnome/report-gnome.scm,
	  branches/swig-redo/src/report/report-system/html-utilities.scm,
	  branches/swig-redo/src/report/report-system/report-utilities.scm,
	  branches/swig-redo/src/report/report-system/report.scm,
	  branches/swig-redo/src/report/standard-reports/budget.scm,
	  branches/swig-redo/src/report/standard-reports/cash-flow.scm,
	  branches/swig-redo/src/report/utility-reports/hello-world.scm,
	  branches/swig-redo/src/report/utility-reports/test-graphing.scm,
	  branches/swig-redo/src/report/utility-reports/view-column.scm,
	  branches/swig-redo/src/scm/main-window.scm,
	  branches/swig-redo/src/scm/price-quotes.scm,
	  branches/swig-redo/src/scm/printing/print-check.scm: Automated
	  rename of swig-wrapped guile-utils functions to their
	  swig-names. s/gnc:option-dialog-new/gnc-options-dialog-new/g
	  s/gnc:option-dialog-destroy/gnc-options-dialog-destroy/g
	  s/gnc:option-dialog-build-contents/gnc-options-dialog-build-contents/g
	  s/gnc:option-dialog-set-callbacks/gnc-options-dialog-set-scm-callbacks/g
	  s/gnc:print-session/gnc-print-session/g
	  s/gnc:error-dialog/gnc-error-dialog/g
	  s/gnc:verify-dialog/gnc-verify-dialog/g
	  s/gnc:info-dialog/gnc-info-dialog/g
	  s/gnc:warning-dialog/gnc-warning-dialog/g
	  s/gnc:add-extension/gnc-add-scm-extension/g
	  s/gnc:html-encode-string/gnc-html-encode-string/g
	  s/gnc:html-build-url/gnc-build-url/g
	  s/gnc:set-busy-cursor/gnc-set-busy-cursor/g
	  s/gnc:unset-busy-cursor/gnc-unset-busy-cursor/g
	  s/gnc:window-show-progress/gnc-window-show-progress/g
	  s/gnc:ui-is-running?/gnucash-ui-is-running/g
	  s/gnc:url-type-customer/URL-TYPE-CUSTOMER/g
	  s/gnc:url-type-file/URL-TYPE-FILE/g
	  s/gnc:url-type-jump/URL-TYPE-JUMP/g
	  s/gnc:url-type-http/URL-TYPE-HTTP/g
	  s/gnc:url-type-ftp/URL-TYPE-FTP/g
	  s/gnc:url-type-secure/URL-TYPE-SECURE/g
	  s/gnc:url-type-register/URL-TYPE-REGISTER/g
	  s/gnc:url-type-accttree/URL-TYPE-ACCTTREE/g
	  s/gnc:url-type-report/URL-TYPE-REPORT/g
	  s/gnc:url-type-options/URL-TYPE-OPTIONS/g
	  s/gnc:url-type-scheme/URL-TYPE-SCHEME/g
	  s/gnc:url-type-help/URL-TYPE-HELP/g
	  s/gnc:url-type-xmldata/URL-TYPE-XMLDATA/g
	  s/gnc:url-type-price/URL-TYPE-PRICE/g
	  s/gnc:url-type-other/URL-TYPE-OTHER/g

2006-10-09 23:57  chris

	* [r14964] branches/swig-redo/src/gnome-utils/dialog-options.c,
	  branches/swig-redo/src/gnome-utils/dialog-options.h,
	  branches/swig-redo/src/gnome-utils/gnc-html.h,
	  branches/swig-redo/src/gnome-utils/gnc-main-window.c,
	  branches/swig-redo/src/gnome-utils/gnc-main-window.h,
	  branches/swig-redo/src/gnome-utils/gnc-plugin-menu-additions.c,
	  branches/swig-redo/src/gnome-utils/gnome-utils.scm,
	  branches/swig-redo/src/gnome/dialog-price-edit-db.c,
	  branches/swig-redo/src/import-export/qif-import/druid-qif-import.c,
	  branches/swig-redo/src/import-export/qif-import/qif-parse.scm,
	  branches/swig-redo/src/report/report-gnome/dialog-column-view.c,
	  branches/swig-redo/src/report/report-gnome/dialog-style-sheet.c,
	  branches/swig-redo/src/report/report-gnome/report-gnome.i,
	  branches/swig-redo/src/report/report-gnome/report-gnome.scm,
	  branches/swig-redo/src/report/report-gnome/window-report.c,
	  branches/swig-redo/src/scm/price-quotes.scm: More converting of
	  the gnome-utils module from gwrap to swig. Rename
	  gnc_build_options_dialog_contents() to
	  gnc_options_dialog_build_contents() for consistency. Remove some
	  undefined functions. Privatize a #define. Convert runtime code
	  from gwrap to swig. Use '() instead of #f for the empty object.
	  Remove some temporary swig<->gwrap typemaps that are no longer
	  needed.

2006-10-09 23:56  chris

	* [r14963] branches/swig-redo/src/gnome-utils/Makefile.am,
	  branches/swig-redo/src/gnome-utils/gncmod-gnome-utils.c,
	  branches/swig-redo/src/gnome-utils/gnome-utils.i,
	  branches/swig-redo/src/report/report-system/report-utilities.scm:
	  Convert the gnome-utils module from gwrap to swig. Add the
	  interface definition. Build and load the swig module. Use ""
	  instead of #f to represent an empty string.
	* [r14962]
	  branches/swig-redo/src/report/report-system/Makefile.am,
	  branches/swig-redo/src/report/report-system/gnc-report.c,
	  branches/swig-redo/src/report/report-system/gnc-report.h,
	  branches/swig-redo/src/report/report-system/gncmod-report-system.c,
	  branches/swig-redo/src/report/report-system/report-system.i,
	  branches/swig-redo/src/report/report-system/report-system.scm,
	  branches/swig-redo/src/report/report-system/report.scm,
	  branches/swig-redo/src/report/utility-reports/view-column.scm,
	  branches/swig-redo/src/report/utility-reports/welcome-to-gnucash.scm:
	  Convert the report-system module form gwrap to swig. All at
	  once: Add the interface definiton. Convert the runtime code from
	  gwrap to swig. Rename wrapped function calls to their
	  swig-names. Use '() instead of #f for the empty object. Use gint
	  instead of int in gnc-report.[ch]

2006-10-09 23:55  chris

	* [r14961] branches/swig-redo/src/report/report-gnome/Makefile.am,
	  branches/swig-redo/src/report/report-gnome/dialog-column-view.c,
	  branches/swig-redo/src/report/report-gnome/gnc-plugin-page-report.c,
	  branches/swig-redo/src/report/report-gnome/gncmod-report-gnome.c,
	  branches/swig-redo/src/report/report-gnome/report-gnome.i,
	  branches/swig-redo/src/report/report-gnome/report-gnome.scm,
	  branches/swig-redo/src/report/report-gnome/window-report.c:
	  Convert the report-gnome module from gwrap to swig. All at once:
	  Add the interface definition. Convert the runtime code from
	  gwrap to swig. Rename wrapped function calls to their swig-names.

2006-10-09 23:54  chris

	* [r14960]
	  branches/swig-redo/src/register/register-core/Makefile.am,
	  branches/swig-redo/src/register/register-core/gncmod-register-core.c:
	  Un-gwrap the register-core module. We don't actually use it, so
	  there's no point in swigifying it.
	* [r14959]
	  branches/swig-redo/src/import-export/qif-import/qif-file.scm,
	  branches/swig-redo/src/import-export/qif-import/qif-import.scm,
	  branches/swig-redo/src/import-export/qif-import/qif-merge-groups.scm,
	  branches/swig-redo/src/import-export/qif-import/qif-to-gnc.scm:
	  Rename wrapped functions in the gnome module to their
	  swig-names. gnc-progress-dialog-new
	  gnc-progress-dialog-set-title gnc-progress-dialog-set-heading
	  gnc-progress-dialog-set-value gnc-progress-dialog-update
	  gnc-progress-dialog-destroy Also, we have to load the swig
	  module directly from guile in one case, because our gnome module
	  isn't actually a gnucash module. Go figure.

2006-10-09 23:53  chris

	* [r14958] branches/swig-redo/src/app-utils/app-utils.scm,
	  branches/swig-redo/src/import-export/qif-import/qif-import.scm,
	  branches/swig-redo/src/scm/main.scm,
	  branches/swig-redo/src/scm/price-quotes.scm: Convert guile uses
	  of the gnome gwrap module to uses of swig. Or just remove the
	  usage if it wasn't needed.

2006-10-09 23:52  chris

	* [r14957] branches/swig-redo/src/gnome/Makefile.am,
	  branches/swig-redo/src/gnome/gnome.i: Setup the gnome module for
	  swig instead of gwrap.

2006-10-09 23:51  chris

	* [r14956]
	  branches/swig-redo/src/business/business-core/business-core.scm,
	  branches/swig-redo/src/business/business-reports/aging.scm,
	  branches/swig-redo/src/business/business-reports/business-reports.scm,
	  branches/swig-redo/src/business/business-reports/easy-invoice.scm,
	  branches/swig-redo/src/business/business-reports/fancy-invoice.scm,
	  branches/swig-redo/src/business/business-reports/invoice.scm,
	  branches/swig-redo/src/business/business-reports/owner-report.scm,
	  branches/swig-redo/src/business/business-utils/business-options.scm:
	  Automated rename of swig-wrapped functions for the business
	  module: s/gnc:invoice-lookup /gncInvoiceLookupFlip /g
	  s/gnc:invoice-get-guid /gncInvoiceReturnGUID /g
	  s/gnc:invoice-get-owner /gncInvoiceGetOwner /g
	  s/gnc:invoice-get-id /gncInvoiceGetID /g s/gnc:invoice-get-book
	  /gncInvoiceGetBook /g s/gnc:invoice-get-posted-lot
	  /gncInvoiceGetPostedLot /g s/gnc:invoice-get-posted-txn
	  /gncInvoiceGetPostedTxn /g s/gnc:invoice-get-currency
	  /gncInvoiceGetCurrency /g s/gnc:invoice-get-date-posted
	  /gncInvoiceGetDatePosted /g s/gnc:invoice-get-date-due
	  /gncInvoiceGetDateDue /g s/gnc:invoice-get-entries
	  /gncInvoiceGetEntries /g s/gnc:invoice-get-billing-id
	  /gncInvoiceGetBillingID /g s/gnc:invoice-get-terms
	  /gncInvoiceGetTerms /g s/gnc:invoice-get-notes
	  /gncInvoiceGetNotes /g s/gnc:invoice-get-invoice-from-lot
	  /gncInvoiceGetInvoiceFromLot /g
	  s/gnc:invoice-get-invoice-from-txn /gncInvoiceGetInvoiceFromTxn
	  /g s/gnc:owner-get-type/gncOwnerGetType/g s/gnc:owner-get-guid
	  /gncOwnerReturnGUID /g s/gnc:owner-get-end-owner
	  /gncOwnerGetEndOwner /g s/gnc:owner-get-name /gncOwnerGetName /g
	  s/gnc:owner-create /gncOwnerCreate /g
	  s/gnc:owner-create)/gncOwnerCreate)/g s/gnc:owner-destroy
	  /gncOwnerDestroy /g
	  s/gnc:owner-init-customer/gncOwnerInitCustomer/g
	  s/gnc:owner-init-employee/gncOwnerInitEmployee/g
	  s/gnc:owner-init-job/gncOwnerInitJob/g
	  s/gnc:owner-init-vendor/gncOwnerInitVendor/g
	  s/gnc:owner-get-customer /gncOwnerGetCustomer /g
	  s/gnc:owner-get-employee /gncOwnerGetEmployee /g
	  s/gnc:owner-get-job /gncOwnerGetJob /g s/gnc:owner-get-vendor
	  /gncOwnerGetVendor /g s/gnc:owner-get-owner-from-list
	  /gncOwnerGetOwnerFromLot /g s/gnc:owner-copy-into-owner
	  /gncOwnerCopy /g s/gnc:owner-is-valid? /gncOwnerIsValid /g
	  s/'gnc-owner-customer/GNC-OWNER-CUSTOMER/g
	  s/'gnc-owner-vendor/GNC-OWNER-VENDOR/g
	  s/'gnc-owner-employee/GNC-OWNER-EMPLOYEE/g
	  s/'gnc-owner-job/GNC-OWNER-JOB/g s/(gnc-owner-customer)/(eqv?
	  type GNC-OWNER-CUSTOMER)/g s/(gnc-owner-vendor)/(eqv? type
	  GNC-OWNER-VENDOR)/g s/(gnc-owner-employee)/(eqv? type
	  GNC-OWNER-EMPLOYEE)/g s/(gnc-owner-job)/(eqv? type
	  GNC-OWNER-JOB)/g s/'gnc-amount-type-value/GNC-AMT-TYPE-VALUE/g
	  s/'gnc-amount-type-percent/GNC-AMT-TYPE-PERCENT/g
	  s/gnc:taxtable-lookup /gncTaxTableLookupFlip /g
	  s/gnc:taxtable-get-guid /gncTaxTableReturnGUID /g
	  s/gnc:vendor-lookup /gncVendorLookupFlip /g s/gnc:vendor-get-id
	  /gncVendorGetID /g s/gnc:vendor-get-guid /gncVendorReturnGUID /g
	  s/gnc:vendor-get-addr /gncVendorGetAddr /g
	  s/gnc:address-get-addr1 /gncAddressGetAddr1 /g
	  s/gnc:address-get-addr2 /gncAddressGetAddr2 /g
	  s/gnc:address-get-addr3 /gncAddressGetAddr3 /g
	  s/gnc:address-get-addr4 /gncAddressGetAddr4 /g
	  s/gnc:bill-term-get-description /gncBillTermGetDescription /g
	  s/gnc:customer-lookup /gncCustomerLookupFlip /g
	  s/gnc:customer-get-id /gncCustomerGetID /g
	  s/gnc:customer-get-name /gncCustomerGetName /g
	  s/gnc:customer-get-addr /gncCustomerGetAddr /g
	  s/gnc:customer-get-shipaddr /gncCustomerGetShipAddr /g
	  s/gnc:customer-get-notes /gncCustomerGetNotes /g
	  s/gnc:customer-get-currency /gncCustomerGetCurrency /g
	  s/gnc:customer-get-id /gncCustomerGetID /g
	  s/gnc:customer-get-guid /gncCustomerReturnGUID /g
	  s/gnc:employee-lookup /gncEmployeeLookupFlip /g
	  s/gnc:employee-get-id /gncEmployeeGetID /g
	  s/gnc:employee-get-guid /gncEmployeeReturnGUID /g
	  s/gnc:employee-get-addr /gncEmployeeGetAddr /g
	  s/gnc:entry-get-date /gncEntryGetDate /g
	  s/gnc:entry-get-description /gncEntryGetDescription /g
	  s/gnc:entry-get-action /gncEntryGetAction /g
	  s/gnc:entry-get-quantity /gncEntryGetQuantity /g
	  s/gnc:entry-get-inv-price /gncEntryGetInvPrice /g
	  s/gnc:entry-get-inv-discount /gncEntryGetInvDiscount /g
	  s/gnc:entry-get-inv-discount-type /gncEntryGetInvDiscountType /g
	  s/gnc:entry-get-bill-price /gncEntryGetBillPrice /g
	  s/gnc:entry-get-inv-taxable /gncEntryGetInvTaxable /g
	  s/gnc:entry-get-inv-tax-table /gncEntryGetInvTaxTable /g
	  s/gnc:entry-get-bill-taxable /gncEntryGetBillTaxable /g
	  s/gnc:entry-get-bill-tax-table /gncEntryGetBillTaxTable /g
	  s/gnc:entry-get-value /gncEntryReturnValue /g
	  s/gnc:entry-get-tax-value /gncEntryReturnTaxValue /g
	  s/gnc:entry-get-discount-value /gncEntryReturnDiscountValue /g
	  s/gnc:entry-get-tax-values /gncEntryReturnTaxValues /g
	  s/gnc:entry-get-invoice /gncEntryGetInvoice /g
	  s/gnc:entry-get-bill /gncEntryGetBill /g s/gnc:entry-get-Order
	  /gncEntryGetOrder /g s/gnc:job-lookup /gncJobLookupFlip /g
	  s/gnc:job-get-guid /gncJobReturnGUID /g s/gnc:job-get-owner
	  /gncJobGetOwner /g s/gnc:order-get-reference
	  /gncOrderGetReference /g
	  s/gnc:url-type-customer/URL-TYPE-CUSTOMER/g
	  s/gnc:url-type-vendor/URL-TYPE-VENDOR/g
	  s/gnc:url-type-employee/URL-TYPE-EMPLOYEE/g
	  s/gnc:url-type-invoice/URL-TYPE-INVOICE/g
	  s/gnc:url-type-ownerreport/URL-TYPE-OWNERREPORT/g
	  s/gnc:url-type-job/URL-TYPE-JOB/g

2006-10-09 23:50  chris

	* [r14955]
	  branches/swig-redo/src/business/business-core/business-core.scm,
	  branches/swig-redo/src/business/business-reports/business-reports.scm,
	  branches/swig-redo/src/business/business-reports/easy-invoice.scm,
	  branches/swig-redo/src/business/business-reports/fancy-invoice.scm,
	  branches/swig-redo/src/business/business-reports/invoice.scm,
	  branches/swig-redo/src/business/business-reports/owner-report.scm,
	  branches/swig-redo/src/business/business-utils/business-options.scm,
	  branches/swig-redo/src/business/business-utils/business-prefs.scm:
	  Convert guile code in the business module to use swig
	  conventions. These conversions were made manually. They involve:
	  - using '() instead of "" for the the empty object. - a more
	  direct handling of wrapped enumeration values. - loading the
	  swig modules instead of the gwrap modules.

2006-10-09 23:49  chris

	* [r14954]
	  branches/swig-redo/src/business/business-gnome/business-options-gnome.c,
	  branches/swig-redo/src/business/business-gnome/dialog-invoice.c,
	  branches/swig-redo/src/business/business-utils/business-options.c:
	  Convert all gwrap runtime code into swig code for the business
	  module.
	* [r14953]
	  branches/swig-redo/src/business/business-core/gncEntry.c,
	  branches/swig-redo/src/business/business-core/gncEntry.h,
	  branches/swig-redo/src/business/business-core/gncInvoice.c,
	  branches/swig-redo/src/business/business-core/gncInvoice.h: Use
	  some typedefs to get more specific C typing that coresponds with
	  the level of detail that we want to type in guile.

2006-10-09 23:48  chris

	* [r14952]
	  branches/swig-redo/src/business/business-core/Makefile.am,
	  branches/swig-redo/src/business/business-core/businessmod-core.c,
	  branches/swig-redo/src/business/business-core/test/Makefile.am,
	  branches/swig-redo/src/business/business-gnome/Makefile.am,
	  branches/swig-redo/src/business/business-gnome/business-gnome.scm,
	  branches/swig-redo/src/business/business-gnome/businessmod-gnome.c,
	  branches/swig-redo/src/business/dialog-tax-table/Makefile.am,
	  branches/swig-redo/src/business/dialog-tax-table/dialog-tax-table.scm,
	  branches/swig-redo/src/business/dialog-tax-table/gncmod-dialog-tax-table.c:
	  Build and initialize swig instead of g-wrap in the business
	  modules This includes some temporary use of g-wrap to handle
	  some types that aren't converted to swig yet.

2006-10-09 23:47  chris

	* [r14951]
	  branches/swig-redo/src/business/business-core/gncBillTerm.h,
	  branches/swig-redo/src/business/business-core/gncCustomer.h,
	  branches/swig-redo/src/business/business-core/gncInvoice.c,
	  branches/swig-redo/src/business/business-core/gncInvoice.h,
	  branches/swig-redo/src/business/business-core/gncJob.h,
	  branches/swig-redo/src/business/business-core/gncOrder.h,
	  branches/swig-redo/src/business/business-core/gncOwner.h:
	  Prepare the business code for swigification. Remove some
	  undefined functions. Convert some macros to functions.
	  Regularize a structure name. Conditionally #ifdef out some yucky
	  macros during swig-processing.

2006-10-09 23:46  chris

	* [r14950]
	  branches/swig-redo/src/business/business-core/business-core.i,
	  branches/swig-redo/src/business/dialog-tax-table/dialog-tax-table.i:
	  Add SWIG interface definitions for the business modules.

2006-10-09 23:44  chris

	* [r14949] branches/swig-redo/Makefile.am,
	  branches/swig-redo/configure.in,
	  branches/swig-redo/macros/ac_pkg_swig.m4,
	  branches/swig-redo/src/Makefile.am,
	  branches/swig-redo/src/swig-runtime.h: Initial support for SWIG.
	  Add a SWIG autoconf macro; add swig to the configure.in; Add the
	  SWIG runtime system.

2006-10-09 23:05  jsled

	* [r14948] branches/sx-cleanup/src/app-utils/Makefile.am,
	  branches/sx-cleanup/src/app-utils/gnc-sx-instance-model.c,
	  branches/sx-cleanup/src/app-utils/gnc-sx-instance-model.h,
	  branches/sx-cleanup/src/core-utils/gnc-glib-utils.c,
	  branches/sx-cleanup/src/core-utils/gnc-glib-utils.h,
	  branches/sx-cleanup/src/gnome-utils/Makefile.am,
	  branches/sx-cleanup/src/gnome-utils/gnc-dense-cal-model.c,
	  branches/sx-cleanup/src/gnome-utils/gnc-dense-cal-model.h,
	  branches/sx-cleanup/src/gnome-utils/gnc-dense-cal-store.c,
	  branches/sx-cleanup/src/gnome-utils/gnc-dense-cal-store.h,
	  branches/sx-cleanup/src/gnome-utils/gnc-dense-cal.c,
	  branches/sx-cleanup/src/gnome-utils/gnc-dense-cal.h,
	  branches/sx-cleanup/src/gnome-utils/gnc-sx-instance-dense-cal-adapter.c,
	  branches/sx-cleanup/src/gnome-utils/gnc-sx-instance-dense-cal-adapter.h,
	  branches/sx-cleanup/src/gnome/Makefile.am,
	  branches/sx-cleanup/src/gnome/dialog-sx-editor.c,
	  branches/sx-cleanup/src/gnome/dialog-sx-editor.h,
	  branches/sx-cleanup/src/gnome/dialog-sx-from-trans.c,
	  branches/sx-cleanup/src/gnome/dialog-sx-since-last-run.c,
	  branches/sx-cleanup/src/gnome/gnc-plugin-page-sx-list.c,
	  branches/sx-cleanup/src/gnome/gnc-plugin-page-sx-list.h,
	  branches/sx-cleanup/src/gnome/gnc-sx-list-tree-model-adapter.c,
	  branches/sx-cleanup/src/gnome/gnc-sx-list-tree-model-adapter.h:
	  Break all new classes out into individual files, mostly from
	  gnc-plugin-page-sx-list.[ch] and gnc-dense-cal.[ch].

2006-10-09 19:47  jsled

	* [r14947] trunk/ChangeLog, trunk/art, trunk/art/banner.svgz,
	  trunk/art/icon.svgz, trunk/art/logo.svgz, trunk/art/splash.svgz:
	  Add 2.0 art source files.

2006-10-09 16:45  andi5

	* [r14945] trunk, trunk/src/core-utils/gnc-gconf-utils.c,
	  trunk/src/core-utils/gnc-gconf-utils.h,
	  trunk/src/gnome-utils/dialog-utils.c,
	  trunk/src/gnome/dialog-print-check.c: Lessen restriction of the
	  parameter whoami of the gnc_gconf_add/ remove_notification
	  functions. Now the pair of section and whoami has to be unique,
	  as GncMainWindow adds notifications to two different sections.
	  Extends r14675. Remove a superfluous leading slash and doubly
	  defined gconf key macros. BP
	* [r14944] trunk, trunk/src/gnome-utils/gnc-main-window.c,
	  trunk/src/gnome/schemas/apps_gnucash_warnings.schemas.in: Remove
	  "closing last window" confirmation dialog and corresponding
	  warning (reverting r14580). Fixes #355392.

2006-10-09 11:45  cstim

	* [r14940] trunk/src/gnome/druid-hierarchy.c: Avoid markup in
	  translatable messages. Bug#360459

2006-10-08 16:55  wilddev

	* [r14936] tags/2.0.2: Tagging the 2.0.2 release of GnuCash
	* [r14935] branches/2.0/ChangeLog, branches/2.0/NEWS,
	  branches/2.0/configure.in: update to release 2.0.2

2006-10-06 16:17  andi5

	* [r14933] branches/2.0, branches/2.0/configure.in:
	  Unconditionally call AC_CONFIG_HEADERS for libgsf and goffice
	  config header files. This way automake and config.status agree
	  upon the list of these files. Otherwise, in rare cases, make
	  distclean might not remove a file stamp-h5, making distcheck
	  fail. approved by warlord. merged from r14932.

2006-10-06 16:02  andi5

	* [r14932] trunk, trunk/configure.in: Unconditionally call
	  AC_CONFIG_HEADERS for libgsf and goffice config header files.
	  This way automake and config.status agree upon the list of these
	  files. Otherwise, in rare cases, make distclean might not remove
	  a file stamp-h5, making distcheck fail.

2006-10-06 11:48  andi5

	* [r14931] branches/2.0, branches/2.0/ChangeLog: Add ChangeLog
	  entries.

2006-10-05 09:30  andi5

	* [r14930] branches/2.0,
	  branches/2.0/src/report/standard-reports/transaction.scm: Quote
	  an empty scheme list and avoid crash of transaction report on
	  empty session. Fixes #359412. approved by cstim. merged from
	  r14926.

2006-10-04 21:18  andi5

	* [r14929] branches/2.0,
	  branches/2.0/src/business/business-gnome/schemas/Makefile.am,
	  branches/2.0/src/gnome-utils/schemas/Makefile.am,
	  branches/2.0/src/gnome/schemas/Makefile.am,
	  branches/2.0/src/import-export/hbci/schemas/Makefile.am,
	  branches/2.0/src/import-export/schemas/Makefile.am: Fix
	  Makefiles for .schemas file installation. srcdir contains the
	  .schemas.in files, but not the generated .schemas files. Fixes
	  make distcheck. merged from r14925.

2006-10-04 13:12  andi5

	* [r14928] branches/2.0,
	  branches/2.0/src/gnome-utils/glade/transfer.glade: Fix for bug
	  #359471. Remove the glade hookup of gnc_xfer_dialog_close_cb()
	  to the close signal. This callback doesn't handle aborting
	  correctly when called directly, but it will behave correctly
	  when called indirectly from close_handler(). The "response"
	  callback will now be called for all actions that close the
	  dialog. merged from r14927.

2006-10-04 02:30  chris

	* [r14927] trunk/src/gnome-utils/glade/transfer.glade: Fix for bug
	  #359471. Remove the glade hookup of gnc_xfer_dialog_close_cb()
	  to the close signal. This callback doesn't handle aborting
	  correctly when called directly, but it will behave correctly
	  when called indirectly from close_handler(). The "response"
	  callback will now be called for all actions that close the
	  dialog.

2006-10-03 21:13  andi5

	* [r14926] trunk,
	  trunk/src/report/standard-reports/transaction.scm: Quote an
	  empty scheme list and avoid crash of transaction report on empty
	  session. Fixes #359412. BP

2006-10-03 14:14  cstim

	* [r14925] trunk/src/business/business-gnome/schemas/Makefile.am,
	  trunk/src/gnome-utils/schemas/Makefile.am,
	  trunk/src/gnome/schemas/Makefile.am,
	  trunk/src/import-export/hbci/schemas/Makefile.am,
	  trunk/src/import-export/schemas/Makefile.am: Fix Makefiles for
	  .schemas file installation. srcdir contains the .schemas.in
	  files, but not the generated .schemas files. Fixes make
	  distcheck. BP

2006-10-03 09:19  cstim

	* [r14924] branches/2.0/po/fr.po: Updated French translaction by
	  Fabrice Kurz

2006-10-02 17:37  andi5

	* [r14923] trunk, trunk/src/gnome-utils/dialog-account.c: Correct
	  account compatibility check with top level account.

2006-10-02 14:58  cstim

	* [r14922] branches/2.0/src/app-utils/test/Makefile.am,
	  branches/2.0/src/backend/file/test/Makefile.am,
	  branches/2.0/src/bin/test/Makefile.am,
	  branches/2.0/src/business/business-core/test/Makefile.am,
	  branches/2.0/src/engine/test/Makefile.am,
	  branches/2.0/src/import-export/test/Makefile.am,
	  branches/2.0/src/network-utils/test/Makefile.am,
	  branches/2.0/src/report/locale-specific/us/test/Makefile.am,
	  branches/2.0/src/report/report-system/test/Makefile.am,
	  branches/2.0/src/report/standard-reports/test/Makefile.am,
	  branches/2.0/src/report/stylesheets/test/Makefile.am,
	  branches/2.0/src/report/utility-reports/test/Makefile.am: Add
	  library dir for test runtime where necessary, as discussed on
	  gnucash-devel. Merges from trunk: 11831, 14770, 14771, 14921.

2006-10-02 14:02  cstim

	* [r14921] trunk/src/app-utils/test/Makefile.am,
	  trunk/src/bin/test/Makefile.am,
	  trunk/src/business/business-core/test/Makefile.am,
	  trunk/src/import-export/test/Makefile.am,
	  trunk/src/network-utils/test/Makefile.am,
	  trunk/src/report/locale-specific/us/test/Makefile.am,
	  trunk/src/report/report-system/test/Makefile.am,
	  trunk/src/report/standard-reports/test/Makefile.am,
	  trunk/src/report/stylesheets/test/Makefile.am,
	  trunk/src/report/utility-reports/test/Makefile.am: Add library
	  dir for test runtime where necessary, as discussed on
	  gnucash-devel

2006-10-02 13:12  cstim

	* [r14920] trunk/src/network-utils/test/Makefile.am: Revert
	  r14919; maybe this wasn't the correct fix.

2006-10-02 12:13  cstim

	* [r14919] trunk/src/network-utils/test/Makefile.am: Add library
	  dir for test runtime

2006-10-02 11:55  cstim

	* [r14918] trunk/packaging/win32/custom.sh: Update openssl version
	  number as reported by Thomas Arildsen

2006-10-01 21:22  jsled

	* [r14917] branches/sx-cleanup/src/doc/sx.rst,
	  branches/sx-cleanup/src/gnome/dialog-sx-since-last-run.c,
	  branches/sx-cleanup/src/gnome/dialog-sx-since-last-run.h,
	  branches/sx-cleanup/src/gnome/gnc-plugin-basic-commands.c,
	  branches/sx-cleanup/src/gnome/gnc-plugin-page-sx-list.c,
	  branches/sx-cleanup/src/gnome/gnc-plugin-page-sx-list.h:
	  Auto-create support. - add a 'created' state - extend SLR model
	  for instance-state sensitivity control (so 'Created'-state
	  instances won't be changed) - add a "SLR summary" - hook-up menu
	  and book-open hooks for appropriately displaying the SLR dialog
	  or an info dialog. Fix bug in temporal instance saving.

2006-10-01 21:14  jsled

	* [r14916] branches/sx-cleanup/src/engine/SchedXaction.c: Be
	  defensive.

2006-10-01 20:18  cstim

	* [r14915] branches/2.0/ChangeLog, branches/2.0/po/fr.po: Updated
	  French translaction by Fabrice Kurz

2006-10-01 20:11  cstim

	* [r14914] branches/2.0/po/de.po: Small string fix for German
	  translation

2006-09-30 17:40  jsled

	* [r14913]
	  branches/sx-cleanup/src/gnome/dialog-sx-since-last-run.c,
	  branches/sx-cleanup/src/gnome/glade/sched-xact.glade: Fix bug in
	  viewing SLR-created transactions; add accel to Review option.

2006-09-30 16:56  jsled

	* [r14912] branches/sx-cleanup/src/doc/sx.rst,
	  branches/sx-cleanup/src/gnome/dialog-sx-since-last-run.c: Focus
	  first unbound variable on SLR dialog "OK" with unbound variables.

2006-09-30 15:14  jsled

	* [r14911] branches/sx-cleanup/src/doc/sx.rst,
	  branches/sx-cleanup/src/gnome/dialog-sx-since-last-run.c,
	  branches/sx-cleanup/src/gnome/glade/sched-xact.glade: Add
	  "review created transactions" checkbox, support.

2006-09-29 20:10  jsled

	* [r14910] trunk/src/gnome-utils/search-param.c,
	  trunk/src/gnome-utils/search-param.h: missing ">"s

2006-09-29 18:55  jsled

	* [r14909] branches/sx-cleanup/src/doc/sx.rst,
	  branches/sx-cleanup/src/gnome/dialog-sx-since-last-run.c,
	  branches/sx-cleanup/src/gnome/glade/sched-xact.glade,
	  branches/sx-cleanup/src/gnome/gnc-plugin-page-sx-list.c,
	  branches/sx-cleanup/src/gnome/gnc-plugin-page-sx-list.h:
	  since-last-run variable handling, `remind`er constraints,
	  consistency checking, Transaction creation. More model fleshing
	  out.

2006-09-27 20:36  warlord

	* [r14908] trunk, trunk/lib/libqof/qof/qofquery.c: Don't pass a
	  pointer to a pointer. It's just expecting the pointer.

2006-09-27 17:08  warlord

	* [r14907] branches/2.0, branches/2.0/ChangeLog,
	  branches/2.0/src/gnome-utils/gnc-query-list.c: Initialize sort
	  order in query lists. Fixes #357481. merged from r14905.

2006-09-27 17:07  warlord

	* [r14906] branches/2.0, branches/2.0/ChangeLog,
	  branches/2.0/lib/libqof/qof/qofclass.h,
	  branches/2.0/lib/libqof/qof/qofquery.c,
	  branches/2.0/lib/libqof/qof/qofquerycore-p.h,
	  branches/2.0/lib/libqof/qof/qofquerycore.c,
	  branches/2.0/lib/libqof/qof/qofquerycore.h,
	  branches/2.0/src/engine/Transaction.c: Add the ability to
	  override the default sort (#150799). Override the Transaction
	  Number to sort numerically. * lib/libqof/qof/qofclass.h: *
	  lib/libqof/qof/qofquery.c: * lib/libqof/qof/qofquerycore-p.h: *
	  lib/libqof/qof/qofquerycore.[ch]: - Publish the QofCompareFunc
	  prototype. - Add a new QofParam param_compfcn parameter - Change
	  QofQuery to use the param_compfcn over the default type compare
	  function. - create (and publish) a qof API to compare strings as
	  numbers: qof_string_number_compare_func() *
	  src/engine/Transaction.c: Assign TRANS_NUM to use
	  qof_string_numer_compare_func() approved by cstim merged from
	  r14903 and r14904

2006-09-27 13:55  andi5

	* [r14905] trunk, trunk/src/gnome-utils/gnc-query-list.c:
	  Initialize sort order in query lists. Fixes #357481. BP

2006-09-27 13:46  warlord

	* [r14904] trunk, trunk/lib/libqof/qof/qofquerycore.c: Missed one
	  patch hunk in r14903. We need stdlib.h for strtol().

2006-09-27 13:39  warlord

	* [r14903] trunk, trunk/ChangeLog,
	  trunk/lib/libqof/qof/qofclass.h,
	  trunk/lib/libqof/qof/qofquery.c,
	  trunk/lib/libqof/qof/qofquerycore-p.h,
	  trunk/lib/libqof/qof/qofquerycore.c,
	  trunk/lib/libqof/qof/qofquerycore.h,
	  trunk/src/engine/Transaction.c: Add the ability to override the
	  default sort (#150799). Override the Transaction Number to sort
	  numerically. * lib/libqof/qof/qofclass.h: *
	  lib/libqof/qof/qofquery.c: * lib/libqof/qof/qofquerycore-p.h: *
	  lib/libqof/qof/qofquerycore.[ch]: - Publish the QofCompareFunc
	  prototype. - Add a new QofParam param_compfcn parameter - Change
	  QofQuery to use the param_compfcn over the default type compare
	  function. - create (and publish) a qof API to compare strings as
	  numbers: qof_string_number_compare_func() *
	  src/engine/Transaction.c: Assign TRANS_NUM to use
	  qof_string_numer_compare_func()

2006-09-27 13:30  warlord

	* [r14902] trunk, trunk/ChangeLog,
	  trunk/lib/libqof/qof/qofbookmerge.c,
	  trunk/lib/libqof/qof/qofclass.c,
	  trunk/lib/libqof/qof/qofclass.h,
	  trunk/lib/libqof/qof/qofquery-deserial.c,
	  trunk/lib/libqof/qof/qofquery-serialize.c,
	  trunk/lib/libqof/qof/qofquery.c,
	  trunk/lib/libqof/qof/qofquerycore.c,
	  trunk/lib/libqof/qof/qofquerycore.h,
	  trunk/lib/libqof/qof/qofsession.c,
	  trunk/lib/libqof/qof/qofsql.c, trunk/lib/libqof/qof/qofutil.c,
	  trunk/src/backend/postgres/gncquery.c, trunk/src/engine/Query.c,
	  trunk/src/engine/Query.h, trunk/src/engine/Transaction.c,
	  trunk/src/engine/engine-helpers.c,
	  trunk/src/gnome-search/search-core-type.c,
	  trunk/src/gnome-search/search-string.c,
	  trunk/src/gnome-search/search-string.h: Revert r14892 in order
	  to try a different approach.

2006-09-26 23:47  warlord

	* [r14901] trunk, trunk/ChangeLog,
	  trunk/lib/libqof/qof/qofquery.c,
	  trunk/lib/libqof/qof/qofquery.h: Implement SubQuery
	  functionality in QOF: qof_query_run_subquery() Now you can run
	  one query off of the results of another query.

2006-09-26 22:09  andi5

	* [r14899] trunk, trunk/src/gnome-utils/dialog-account.c: Ease
	  account type changes in the account dialog after OK is clicked.
	  Before, we did not enforce compatibility with the parent account
	  and suggested to change only children or children and all parent
	  accounts up to the top-level one. We do enforce it now and only
	  need to look at the children. The filling of the hash of
	  (children) account (type) changes has been replaced by showing
	  the user a filtered account tree and the types are adjusted
	  recursively once the user verified the change. This is another
	  attempt to resolve #344966.

2006-09-26 22:08  andi5

	* [r14898] trunk,
	  trunk/src/import-export/import-account-matcher.c: Free a list in
	  import-account-matcher.c.
	* [r14897] trunk, trunk/src/gnome-utils/dialog-account.c: Make the
	  account type list in the account dialog dynamically filtered
	  based on compatibility to the parent account. * add
	  gnc_account_parent_changed_cb. Filter by valid_types & parent
	  compatible types * add aw->preferred_account_type to remember
	  what we chose but may not work currently * make valid_types a
	  guint32 (was GList*) * last_used_account_type is only set in
	  gnc_ui_to_account
	* [r14896] trunk,
	  trunk/src/gnome-utils/gnc-tree-model-account-types.c,
	  trunk/src/gnome-utils/gnc-tree-model-account-types.h: f_model is
	  not always set in gnc_tree_model_account_types_get_selection
	  because of a bug in gtk+ (#357791). Also add
	  gnc_tree_model_account_types_get_mask.
	* [r14895] trunk,
	  trunk/src/gnome-utils/gnc-tree-model-account-types.c,
	  trunk/src/gnome-utils/gnc-tree-model-account-types.h: Add
	  gnc_tree_model_account_types_set_mask and bind mask to the
	  filter model instead using it as data of the filter function,
	  because those can only be set once per filter.

2006-09-26 22:07  andi5

	* [r14894] trunk, trunk/src/engine/Account.c,
	  trunk/src/engine/Account.h: Add xaccAccountTypesCompatibleWith
	  and change xaccAccountTypesCompatible to use that.
	* [r14893] trunk, trunk/ChangeLog,
	  trunk/src/gnome-utils/dialog-account.c: Revert r14591 (bug
	  344966) to prepare another solution.

2006-09-26 00:36  warlord

	* [r14892] trunk, trunk/ChangeLog,
	  trunk/lib/libqof/qof/qofbookmerge.c,
	  trunk/lib/libqof/qof/qofclass.c,
	  trunk/lib/libqof/qof/qofclass.h,
	  trunk/lib/libqof/qof/qofquery-deserial.c,
	  trunk/lib/libqof/qof/qofquery-serialize.c,
	  trunk/lib/libqof/qof/qofquery.c,
	  trunk/lib/libqof/qof/qofquerycore.c,
	  trunk/lib/libqof/qof/qofquerycore.h,
	  trunk/lib/libqof/qof/qofsession.c,
	  trunk/lib/libqof/qof/qofsql.c, trunk/lib/libqof/qof/qofutil.c,
	  trunk/src/backend/postgres/gncquery.c, trunk/src/engine/Query.c,
	  trunk/src/engine/Query.h, trunk/src/engine/Transaction.c,
	  trunk/src/engine/engine-helpers.c,
	  trunk/src/gnome-search/search-core-type.c,
	  trunk/src/gnome-search/search-string.c,
	  trunk/src/gnome-search/search-string.h: Add a new
	  QOF_TYPE_NUMSTRING to add numeric sorts. (#150799). This new
	  type is like QOF_TYPE_STRING but it sorts numerically (first)
	  and then sorts alphanumerically (by the tail of the number).
	  Added the QOF Type, the gnome-search support, and modified
	  TRANS_NUM to use the new type.

2006-09-25 11:58  cstim

	* [r14891] branches/2.0/ChangeLog, branches/2.0/po/ne.po: Updated
	  complete Nepali translation by Subir Pradhanang et al.

2006-09-23 23:46  warlord

	* [r14890] branches/2.0, branches/2.0/ChangeLog,
	  branches/2.0/src/gnome/druid-acct-period.c,
	  branches/2.0/src/gnome/gnc-plugin-page-account-tree.c,
	  branches/2.0/src/gnome/window-reconcile.c: disable lot scrubbing
	  during Check & Repair (#357370). Lots are supposed to be
	  disabled in the 2.0 release until we get the cap-gains code
	  working. IMHO the cap-gains code should deal with extra txn
	  splits instead of creating additional txns. (approved by chris)
	  Merge from r14888.
	* [r14889] branches/2.0, branches/2.0/ChangeLog,
	  branches/2.0/src/register/ledger-core/split-register-control.c,
	  branches/2.0/src/register/ledger-core/split-register.c,
	  branches/2.0/src/register/ledger-core/split-register.h: Avoid
	  crash from opening transaction in more than one register. Bug
	  #347089. In any case where we might be opening the transaction
	  and marking it as the pending transaction, check first if it's
	  already open. If it is, we assume that it's being edited by
	  another register. We report the error and abort the action that
	  would have opened the transaction. suspend events around the
	  Commit(). (approved by warlord and chris) Merge from r14495 and
	  r14887.

2006-09-23 22:51  warlord

	* [r14888] trunk, trunk/ChangeLog,
	  trunk/src/gnome/druid-acct-period.c,
	  trunk/src/gnome/gnc-plugin-page-account-tree.c,
	  trunk/src/gnome/window-reconcile.c: disable lot scrubbing during
	  Check & Repair (#357370). Lots are supposed to be disabled in
	  the 2.0 release until we get the cap-gains code working. IMHO
	  the cap-gains code should deal with extra txn splits instead of
	  creating additional txns. BP

2006-09-23 22:31  warlord

	* [r14887] trunk, trunk/ChangeLog,
	  trunk/src/register/ledger-core/split-register-control.c,
	  trunk/src/register/ledger-core/split-register.c: suspend events
	  around the Commit(). Fixes #347089 when combined with r14495. BP

2006-09-23 11:10  cstim

	* [r14886] branches/2.0/po/de.po: Small update to German
	  translation

2006-09-23 03:09  warlord

	* [r14885] branches/2.0, branches/2.0/ChangeLog,
	  branches/2.0/src/backend/file/gnc-backend-file.c,
	  branches/2.0/src/gnome-utils/gnc-file.c: Do not complain about
	  non-existent files if we save to a new file. In pass one we
	  ignore the error returned by stat and call qof_session_begin
	  with create_if_nonexistent=TRUE for a second run. Merge from
	  r14865.
	* [r14884] branches/2.0, branches/2.0/ChangeLog,
	  branches/2.0/lib/libqof/qof/qofbackend.h,
	  branches/2.0/src/backend/file/gnc-backend-file.c,
	  branches/2.0/src/gnome-utils/gnc-file.c: If the file type wasn't
	  recognized, check whether this failed because of no read
	  permission and give appropriate user feedback if yes. Feel free
	  to adjust the wording. Merge from r14791.

2006-09-23 03:08  warlord

	* [r14883] branches/2.0, branches/2.0/ChangeLog,
	  branches/2.0/src/backend/file/gnc-backend-file.c: Fix error
	  checking for non-existing filenames. #351351. Will now always
	  give a "file not found" message on nonexisting paths or
	  filenames. Merge from r14789.

2006-09-22 20:26  warlord

	* [r14882] branches/2.0, branches/2.0/ChangeLog, branches/2.0/src,
	  branches/2.0/src/bin/gnucash-bin.c: Adjust the "development
	  version" message for the 2.0.1 release. (approved by cstim)
	  Merge of r14587.

2006-09-22 13:32  cstim

	* [r14881] trunk/packaging/win32/install.sh: Remove -no-undefined
	  from make because configure.in sets it now

2006-09-22 13:28  cstim

	* [r14880] trunk/configure.in: Add -no-undefined to LDFLAGS
	  because libtool on Windows requires this argument and we fulfil
	  it anyway

2006-09-21 19:14  cstim

	* [r14879] trunk/packaging/win32/install.sh: Add more path
	  elements when creating the win32 startup scripts

2006-09-21 10:05  cstim

	* [r14877] trunk/packaging/win32/install.sh: Revert last change
	  when perl modifies in-place - that doesn't work on windows

2006-09-20 08:42  cstim

	* [r14876] branches/2.0, branches/2.0/packaging/gnucash.spec.in:
	  Add pixmaps to RPM. Fixes #355695. Back-ported from r14839.

2006-09-20 08:41  cstim

	* [r14875] branches/2.0, branches/2.0/packaging/gnucash.spec.in:
	  We don't have a mime-info. Fixes #355676. Back-ported from
	  r14838.

2006-09-20 08:40  cstim

	* [r14874] branches/2.0, branches/2.0/packaging/gnucash.spec.in:
	  RPM Build Requires libtool-ltdl-devel. Fixes #355656.
	  Back-ported from r14837.

2006-09-19 19:02  cstim

	* [r14873] trunk/src/import-export/hbci/gnc-plugin-hbci-ui.xml,
	  trunk/src/import-export/hbci/gnc-plugin-hbci.c: Add mt942 and
	  CSV file types for aqbanking import

2006-09-19 18:50  cstim

	* [r14872] trunk/src/import-export/hbci/Makefile.am,
	  trunk/src/import-export/hbci/gnc-dtaus-import.c,
	  trunk/src/import-export/hbci/gnc-dtaus-import.h,
	  trunk/src/import-export/hbci/gnc-file-aqb-import.c,
	  trunk/src/import-export/hbci/gnc-file-aqb-import.h,
	  trunk/src/import-export/hbci/gnc-plugin-hbci.c: Move
	  gnc-dtaus-import.[hc] files to filename gnc-file-aqb-import.[hc]
	  because these are not limited to dtaus import.

2006-09-19 18:44  cstim

	* [r14871] trunk/ChangeLog, trunk/configure.in,
	  trunk/src/import-export/Makefile.am,
	  trunk/src/import-export/mt940/Makefile.am,
	  trunk/src/import-export/mt940/gnc-mt940-import.c,
	  trunk/src/import-export/mt940/gnc-mt940-import.h,
	  trunk/src/import-export/mt940/gnc-plugin-mt940-ui.xml,
	  trunk/src/import-export/mt940/gnc-plugin-mt940.c,
	  trunk/src/import-export/mt940/gnc-plugin-mt940.h,
	  trunk/src/import-export/mt940/gncmod-mt940-import.c: Remove
	  mt940 module completely from the build and SVN because all of
	  its functionality has been moved into the hbci (aqbanking)
	  module.

2006-09-19 11:00  cstim

	* [r14870] trunk/packaging/win32/install.sh: Properly detect
	  installed or uninstalled expat. Propose packaging command for
	  cross-compiled gnucash.

2006-09-19 09:03  cstim

	* [r14869] trunk/src/engine/binreloc.c: Eventually implement full
	  relocation functionality on win32 as well.

2006-09-19 08:59  cstim

	* [r14868] trunk/src/engine/gnc-engine.c: Revert r14862 here
	  because the initialization from gnucash-bin.c is also sufficient
	  for win32.

2006-09-19 03:15  hampton

	* [r14867] trunk/src/engine/binreloc.c: Eliminate some compile
	  warnings.

2006-09-19 00:56  andi5

	* [r14866] trunk/ChangeLog, trunk/src/gnome-search/search.glade,
	  trunk/src/gnome/glade/account.glade,
	  trunk/src/gnome/glade/commodities.glade,
	  trunk/src/gnome/glade/price.glade,
	  trunk/src/gnome/glade/stocks.glade: Use some more automatic
	  scrollbars in GtkScrolledWindow's.

2006-09-19 00:52  andi5

	* [r14865] trunk/ChangeLog,
	  trunk/src/backend/file/gnc-backend-file.c,
	  trunk/src/gnome-utils/gnc-file.c: Do not complain about
	  non-existent files if we save to a new file. In pass one we
	  ignore the error returned by stat and call qof_session_begin
	  with create_if_nonexistent=TRUE for a second run. BP

2006-09-18 20:58  cstim

	* [r14864] trunk/src/engine/binreloc.c: Unfortunately binreloc
	  doesn't have program code for Windows. Will be added later.

2006-09-18 20:49  cstim

	* [r14863] trunk/packaging/win32/install.sh: Binreloc needs
	  explicit configure argument on cross-compile

2006-09-18 20:43  cstim

	* [r14862] trunk/ChangeLog, trunk/Makefile.am, trunk/configure.in,
	  trunk/macros/binreloc.m4, trunk/src/bin/gnucash-bin.c,
	  trunk/src/engine/Makefile.am, trunk/src/engine/binreloc.c,
	  trunk/src/engine/binreloc.h, trunk/src/engine/gnc-engine.c,
	  trunk/src/engine/gnc-path.c, trunk/src/engine/gncla-dir.h.in:
	  Implement automatic relocation of previously compiled-in paths.
	  With the exception of the env variables in src/bin/gnucash we're
	  fully relocatable now.

2006-09-18 19:57  cstim

	* [r14861] trunk/packaging/win32/install.sh: Fix erroneous
	  cross-compiling g-wrap args

2006-09-18 19:10  cstim

	* [r14860] trunk/configure.in, trunk/packaging/win32/install.sh:
	  Also allow user-defined overrides for g-wrap. Necessary if
	  build-time g-wrap is different from the run-time one during
	  cross-compile.

2006-09-18 16:16  cstim

	* [r14859] trunk/packaging/win32/install.sh: Forgot one step
	  necessary for guile and cross-compiling.

2006-09-18 16:11  cstim

	* [r14858] trunk/packaging/win32/README,
	  trunk/packaging/win32/custom.sh,
	  trunk/packaging/win32/install.sh: Fully explain a cross-compile
	  build of gnucash/mingw32 on Linux.

2006-09-18 15:45  cstim

	* [r14857] trunk/configure.in: Allow the user to override the
	  guile flags. Necessary when build-time guile and run-time guile
	  are different, i.e. when cross-compiling.

2006-09-18 15:31  cstim

	* [r14856] trunk/macros/legacy_macros.m4: Small cleanup for crufty
	  guile version check macro

2006-09-18 09:50  cstim

	* [r14855] trunk/packaging/win32/README,
	  trunk/packaging/win32/custom.sh,
	  trunk/packaging/win32/install.sh: Convert shell scripts from DOS
	  CR-LF linefeeds to unix LF.

2006-09-17 13:45  cstim

	* [r14854] trunk/packaging/win32/custom.sh,
	  trunk/packaging/win32/install.sh: More cross-compile
	  preparations - goffice needs a cross-compile libtool as well.

2006-09-17 11:03  cstim

	* [r14853] trunk/packaging/win32/custom.sh,
	  trunk/packaging/win32/install.sh: More cross-compile
	  preparations.

2006-09-16 18:56  jsled

	* [r14852] branches/sx-cleanup/ChangeLog,
	  branches/sx-cleanup/src/doc/sx.rst,
	  branches/sx-cleanup/src/engine/SchedXaction.h,
	  branches/sx-cleanup/src/gnome/Makefile.am,
	  branches/sx-cleanup/src/gnome/dialog-sx-editor.c,
	  branches/sx-cleanup/src/gnome/dialog-sx-since-last-run.c,
	  branches/sx-cleanup/src/gnome/dialog-sx-since-last-run.h,
	  branches/sx-cleanup/src/gnome/dialog-sxsincelast.c,
	  branches/sx-cleanup/src/gnome/dialog-sxsincelast.h,
	  branches/sx-cleanup/src/gnome/glade/sched-xact.glade,
	  branches/sx-cleanup/src/gnome/gnc-plugin-basic-commands.c,
	  branches/sx-cleanup/src/gnome/gnc-plugin-page-sx-list.c,
	  branches/sx-cleanup/src/gnome/gnc-plugin-page-sx-list.h: New,
	  simplified implementation of the SinceLastRun dialog. Extensions
	  of GncSxInstanceModel to support (variable parsing, single/flat
	  upcoming-instance list). 2006-09-16 Joshua Sled
	  <jsled@asynchronous.org> * src/gnome/gnc-plugin-page-sx-list.c
	  (sxsl_get_sx_vars): Add variable extraction to instance-model
	  creation. The GncSxInstances now has a hashtable of variables
	  parsed from the formula, and the GncSxInstance has a copy of
	  that variables hash. Not finished, but mostly in place. *
	  src/gnome/dialog-sx-since-last-run.c: New, simplified version of
	  the since-last-run dialog. GncSxSlrTreeModelAdapter.

2006-09-15 21:11  cstim

	* [r14851] trunk/packaging/win32/custom.sh,
	  trunk/packaging/win32/install.sh: Further prepare
	  cross-compiling mingw32/gnucash

2006-09-15 19:29  cstim

	* [r14850] trunk/packaging/win32/README,
	  trunk/packaging/win32/install.sh: Initial hints on how to start
	  a cross-compile

2006-09-15 13:41  cstim

	* [r14849] trunk/packaging/win32/custom.sh: Update openssl URL

2006-09-15 11:22  cstim

	* [r14848] trunk/packaging/win32/custom.sh,
	  trunk/packaging/win32/install.sh: Add GUILE_CPPFLAGS/LDFLAGS.
	  Add optional --host=mingw32 argument if someone tries
	  cross-compiling.

2006-09-15 10:47  cstim

	* [r14847] trunk/macros/legacy_macros.m4: Add cross-compiling
	  workaround to AC_TRY_RUN

2006-09-14 16:27  cstim

	* [r14846] trunk/configure.in: Add cross-compiling workaround to
	  AC_TRY_RUN macros

2006-09-14 15:33  cstim

	* [r14845] trunk/packaging/win32/create_cross_mingw.sh: Add script
	  for building a cross-compile mingw toolchain on Linux. Taken
	  from http://www.mingw.org/MinGWiki/index.php/BuildMingwCross and
	  updated.

2006-09-14 10:31  andi5

	* [r14844] trunk/packaging/win32/install.sh: Install slib to
	  another location and avoid the need for the environment variable
	  SCHEME_LIBRARY_PATH or another implementation of
	  library-vicinity in guile.init. You must have unset this env var
	  now. Add g-wrap modules directory to gnucash.bat. GnuCash runs
	  equally "well" in- and outside MSYS now for me.

2006-09-13 18:35  andi5

	* [r14843] trunk/packaging/win32/goffice-0.3.0-patch.diff,
	  trunk/packaging/win32/install.sh,
	  trunk/packaging/win32/intltool-merge: install.sh cleanups, as we
	  build-depend on ActivePerl now * remove [no-xml] intltool
	  workarounds and intltool-merge fake script * move all goffice
	  changes to the patch file

2006-09-13 17:11  andi5

	* [r14842] trunk/packaging/win32/install.sh: Replace 'MS-DOS by
	  'ms-dos as software-type in guile.init (slib).

2006-09-13 14:22  cstim

	* [r14841] trunk/ChangeLog, trunk/src/bin/gnucash-bin.c,
	  trunk/src/import-export/hbci/gnc-plugin-hbci-ui.xml,
	  trunk/src/import-export/hbci/gnc-plugin-hbci.c,
	  trunk/src/import-export/mt940/gnc-plugin-mt940-ui.xml,
	  trunk/src/import-export/mt940/gnc-plugin-mt940.c: Move the MT940
	  importer action from the mt940 into the hbci plugin because in
	  the hbci plugin everything is already there. From now on, MT940
	  importing is available as soon as --enable-hbci is switched on.
	  The mt940 plugin can be removed from SVN now.

2006-09-13 05:17  warlord

	* [r14839] trunk, trunk/packaging/gnucash.spec.in: Add pixmaps to
	  RPM. Fixes #355695. BP

2006-09-13 00:12  warlord

	* [r14838] trunk, trunk/packaging/gnucash.spec.in: We don't have a
	  mime-info. Fixes #355676. BP

2006-09-12 22:36  warlord

	* [r14837] trunk, trunk/packaging/gnucash.spec.in: RPM Build
	  Requires libtool-ltdl-devel. Fixes #355656. BP

2006-09-12 17:26  cstim

	* [r14836] branches/2.0/po/en_GB.po: Updated British English
	  translation by Nigel Titley

2006-09-12 13:41  cstim

	* [r14835] trunk/src/bin/Makefile.am, trunk/src/bin/gnucash-bin.c,
	  trunk/src/engine/Makefile.am, trunk/src/engine/gnc-engine.c,
	  trunk/src/engine/gnc-path.c, trunk/src/engine/gnc-path.h,
	  trunk/src/engine/gncla-dir.h.in,
	  trunk/src/gnome-utils/gnc-gnome-utils.c: Fix and clarify path
	  names that were mixed up. In particular, two different
	  GNC_LIBDIR macros were defined: One in gncla-dir.h as libdir,
	  and another one from configure.in as pkglibdir in the CFLAGS.
	  This was a big mess. Now the pathnames should all follow
	  automake conventions.

2006-09-12 07:34  andi5

	* [r14834] trunk/packaging/win32/install.sh: install.sh: Install
	  gconf schema files to
	  ${GNUCASH_PREFIX}/etc/gconf/gconf.xml.defaults. I suppose this
	  is what most distributions do as post-install step. If GnuCash
	  and Gnome are not installed to the same prefix (standard), the
	  gconf druid will pop up once GnuCash is started. GnuCash will
	  automagically add the correct lines to ~/.gconf.path, shut down
	  gconfd and load the default values, if you choose the default
	  selections. The others seem unadvisable to me for windows, so
	  another commit might hide the druid.

2006-09-12 07:16  andi5

	* [r14833] trunk/packaging/win32/install.sh: Build Guile and
	  GnuCash by `make LDFLAGS="$SOME_FLAGS -no-undefined"' and avoid
	  patching Makefiles and rerunning config.status. Tested on 1
	  system so far.

2006-09-11 13:50  cstim

	* [r14832] trunk/packaging/win32/install.sh: Make sure the g-wrap
	  files are modified only once

2006-09-10 10:55  andi5

	* [r14831] trunk/packaging/win32/goffice-0.3.0-patch.diff,
	  trunk/packaging/win32/install.sh: install.sh fixes: * Rename
	  input dll in libz.dll.a from bin/zlib1.dll to zlib1.dll * Add
	  AUTOTOOLS_DIR\\bin to PATH of gnucash.bat because
	  libgncmodule-0.dll depends on libltdl-3.dll * correct
	  goffice/Makefile.am to put libgoffice_{init,shutdown} into
	  interface library

2006-09-09 23:15  andi5

	* [r14830] trunk/src/gnome-utils/Makefile.am: Remove gnc-dir.h
	  from BUILT_SOURCES

2006-09-09 22:34  andi5

	* [r14829] trunk/packaging/win32/install.sh: install.sh fixes: *
	  indent needs libintl-2.dll (copy intl.dll) * add freetype2
	  pkg-config file * add GNOME_{CPP,LD}FLAGS for
	  inst_{libgsf,goffice,gnucash}

2006-09-08 15:51  cstim

	* [r14828] trunk/packaging/win32/custom.sh: Upgrade Gnome packages
	  to lates gnome-2.16 release

2006-09-08 15:44  cstim

	* [r14827] trunk/packaging/win32/install.sh: Fix forgotten
	  sub-path of g-wrap

2006-09-08 15:18  cstim

	* [r14826] trunk/src/gnome-utils/gnc-druid-provider-file-gnome.c:
	  Fix warning about unused static function if glob.h is unavailable

2006-09-08 14:00  cstim

	* [r14825] trunk/packaging/win32/install.sh: Fix -no-undefined
	  flag for g-wrap; fix zlib header flags for gsf

2006-09-08 11:04  cstim

	* [r14824] trunk/src/bin/Makefile.am, trunk/src/bin/i18n.h.in,
	  trunk/src/gnome-utils/Makefile.am,
	  trunk/src/gnome-utils/gnc-dir.h.in: Remove obsolete/unused
	  generated headers; all directory paths are now in
	  src/engine/gnc-path.c.

2006-09-08 11:02  cstim

	* [r14823] trunk/src/bin/gnucash-bin.c: Add includes that had been
	  included by the obsolete i18n.h header

2006-09-07 21:02  cstim

	* [r14822] trunk/src/bin/gnucash-bin.c,
	  trunk/src/engine/gnc-engine.c, trunk/src/engine/gnc-path.c,
	  trunk/src/gnome-utils/Makefile.am,
	  trunk/src/gnome-utils/dialog-utils.c,
	  trunk/src/gnome-utils/druid-gconf-setup.c,
	  trunk/src/gnome-utils/gnc-gnome-utils.c,
	  trunk/src/gnome/druid-hierarchy.c: Replace every hard-coded
	  directory path with the respective call to gnc_path. (Except for
	  the qsf and dwi backends, but they are not being maintained
	  right now anyway.)

2006-09-07 20:37  cstim

	* [r14821] trunk/ChangeLog, trunk/src/engine/Makefile.am,
	  trunk/src/engine/gnc-path.c, trunk/src/engine/gnc-path.h,
	  trunk/src/engine/gncla-dir.h.in: Add new file with utility
	  functions to retrieve the needed directory paths. All
	  compile-time vs. runtime path lookups will be implemented
	  exactly in this file.

2006-09-07 18:31  cstim

	* [r14820] trunk/packaging/win32/install.sh: No need to remove
	  files during win32 install

2006-09-07 16:32  hampton

	* [r14819] trunk/ChangeLog, trunk/src/backend/postgres/putil.c,
	  trunk/src/backend/postgres/test/test-db.c,
	  trunk/src/backend/postgres/test/test-load-backend.c,
	  trunk/src/backend/postgres/test/test-period.c: Include config.h
	  a couple of places.

2006-09-07 16:14  hampton

	* [r14818] trunk/src/engine/gnc-budget.c: Use the glib-compat.h
	  file for backward compatible function names.

2006-09-07 15:52  cstim

	* [r14817] trunk/packaging/win32/gnucash.iss.in: Further improve
	  setup file creation script

2006-09-07 15:49  cstim

	* [r14816] trunk/packaging/win32/install.sh: After installation,
	  try to create a suitable command.com script.

2006-09-07 12:49  cstim

	* [r14815] trunk/packaging/win32/install.sh: Fix automated path
	  setup of gnucash script. Should now probably work.

2006-09-07 11:55  cstim

	* [r14814]
	  trunk/src/business/business-core/gw-business-core-spec.scm: Add
	  include config.h that was missing in g-wrap wrapper.

2006-09-07 11:38  cstim

	* [r14813] trunk/src/engine/gnc-budget.c: Replace deprecated glib
	  function if new glib is available

2006-09-07 11:08  cstim

	* [r14812] trunk/src/gnome-utils/Makefile.am,
	  trunk/src/gnome-utils/gnc-date-format.c: Need lib/libc for
	  missing libc function. Need to include localtime_r to get the
	  declaration

2006-09-07 10:51  cstim

	* [r14811] trunk/src/backend/file/gnc-backend-file.c: On Windows,
	  before unlink() we need to chmod() the lock file for write
	  access.

2006-09-06 15:49  cstim

	* [r14810] trunk/configure.in: Remove duplicate setting of
	  platform_win32 automake conditional

2006-09-06 15:01  cstim

	* [r14809] trunk/configure.in, trunk/packaging/win32,
	  trunk/packaging/win32/gnucash.iss.in: Add first draft script for
	  creating a setup.exe installer package on win32.

2006-09-06 12:23  cstim

	* [r14808] trunk/packaging/win32/install.sh: Further improve
	  script-based gnucash building. Added popt include and ldflags
	  because ./configure would fail without them.

2006-09-06 12:15  cstim

	* [r14807] trunk/src/gnc-module/gnc-module.c,
	  trunk/src/gnc-module/test/test-dynload.c: Get rid of warnings
	  from libtool header on windows/mingw32

2006-09-06 11:46  cstim

	* [r14806] trunk/configure.in, trunk/lib/libqof/qof/qofutil.h,
	  trunk/macros/legacy_macros.m4: On Windows/mingw32, scanf only
	  accepts %I64d for long long integers. Reference that gave me
	  this hint: http://acm.pku.edu.cn/JudgeOnline/faq.htm

2006-09-06 11:07  cstim

	* [r14805] trunk/configure.in: Move check for windows platform
	  even more up front.

2006-09-06 09:35  cstim

	* [r14804] trunk/src/business/business-core/Makefile.am,
	  trunk/src/business/business-gnome/Makefile.am,
	  trunk/src/business/business-reports/Makefile.am,
	  trunk/src/business/business-utils/Makefile.am,
	  trunk/src/business/dialog-tax-table/Makefile.am: Last round of
	  Makefile and symlink cleanup. Gnucash should build fine without
	  symlinks now.

2006-09-06 09:26  cstim

	* [r14803] trunk/src/bin/gnucash-bin.c: For windows, ignore
	  gnc_engine_is_initialized check for now because it doesn't work
	  correctly.

2006-09-06 09:19  cstim

	* [r14802] trunk/packaging/win32/install.sh: Include all of my
	  known prerequisites to successfully compile gnucash: Fix g-wrap;
	  Use -no-undefined properly; Speed up build by excluding tests
	  and don't relink; Try to set up paths in script correctly; Speed
	  up runtime module loading by excluding dependency_libs.

2006-09-05 19:41  cstim

	* [r14801] trunk/src/engine/gw-kvp-spec.scm: Add last missing
	  #include config.h

2006-09-05 18:00  cstim

	* [r14800] trunk/src/app-utils/gnc-account-merge.c,
	  trunk/src/app-utils/test/test-print-parse-amount.c,
	  trunk/src/app-utils/test/test-print-queries.c,
	  trunk/src/app-utils/test/test-scm-query-string.c,
	  trunk/src/backend/file/test/test-load-backend.c,
	  trunk/src/backend/file/test/test-load-example-account.c,
	  trunk/src/backend/file/test/test-load-xml2.c,
	  trunk/src/backend/file/test/test-save-in-lang.c,
	  trunk/src/backend/file/test/test-xml2-is-file.c,
	  trunk/src/business/business-core/file/gncmod-business-backend-file.c,
	  trunk/src/business/business-core/test/test-address.c,
	  trunk/src/business/business-core/test/test-business.c,
	  trunk/src/business/business-core/test/test-customer.c,
	  trunk/src/business/business-core/test/test-employee.c,
	  trunk/src/business/business-core/test/test-job.c,
	  trunk/src/business/business-core/test/test-vendor.c,
	  trunk/src/calculation/expression_parser.c,
	  trunk/src/engine/Period.c, trunk/src/engine/cashobjects.c,
	  trunk/src/engine/gnc-budget.c, trunk/src/engine/gnc-lot.c,
	  trunk/src/engine/test/test-commodities.c,
	  trunk/src/engine/test/test-date.c,
	  trunk/src/engine/test/test-group-vs-book.c,
	  trunk/src/engine/test/test-guid.c,
	  trunk/src/engine/test/test-load-engine.c,
	  trunk/src/engine/test/test-lots.c,
	  trunk/src/engine/test/test-numeric.c,
	  trunk/src/engine/test/test-object.c,
	  trunk/src/engine/test/test-period.c,
	  trunk/src/engine/test/test-query.c,
	  trunk/src/engine/test/test-querynew.c,
	  trunk/src/engine/test/test-resolve-file-path.c,
	  trunk/src/engine/test/test-scm-query.c,
	  trunk/src/engine/test/test-split-vs-account.c,
	  trunk/src/engine/test/test-transaction-reversal.c,
	  trunk/src/engine/test/test-transaction-voiding.c,
	  trunk/src/gnome-utils/gnc-dialog.c,
	  trunk/src/gnome-utils/test/test-gnc-recurrence.c,
	  trunk/src/import-export/hbci/gnc-hbci-kvp.c,
	  trunk/src/import-export/import-match-map.c,
	  trunk/src/import-export/test/test-import-parse.c: Add #include
	  config.h at all places where it has been missing.

2006-09-05 17:31  cstim

	* [r14799] trunk/lib/libqof/qof/qofbookmerge.c: Fix missing
	  include config.h. Also fix still-used deprecated typedef.

2006-09-05 15:50  cstim

	* [r14798] trunk/lib/libqof/qof/qofutil.h: Error out if none of
	  the two SCANF formats are defined in config.h.

2006-09-05 14:38  cstim

	* [r14797] trunk/configure.in: Fix typo that prevented the correct
	  error on unrecognized scanf conventions

2006-09-05 13:38  cstim

	* [r14796] trunk/lib/libqof/qof/qofsession.c: For windows, clean
	  up error conditions before trying again to load the session.

2006-09-04 16:27  cstim

	* [r14795] trunk/src/app-utils/gnc-ui-util.c: Make sure not to
	  pass NULL to PERR() message macro

2006-09-04 08:11  andi5

	* [r14794] trunk/packaging/win32/custom.sh,
	  trunk/packaging/win32/install.sh: Add Glade-3, as it seems to
	  run smoothly with gnome widgets and simply looks good. One day
	  someone could try to integrate devhelp.

2006-09-03 21:48  andi5

	* [r14793] trunk/packaging/win32/custom.sh,
	  trunk/packaging/win32/install.sh: Add ActivePerl. This is a
	  download of ~8MB only used by intltool, providing a working
	  XML::Parser module, but by far the easiest solution when trying
	  to avoid recreating configure scripts with [no-xml]. If it is
	  accepted, these adjustments for libgsf, goffice and gnucash can
	  be removed.

2006-09-03 21:08  andi5

	* [r14792] trunk/packaging/win32/custom.sh,
	  trunk/packaging/win32/install.sh: Readd expat-bin
	  (xmlparse,xmltok), freetype-dev, jpeg-bin and zlib-dev. Correct
	  libxml-2.0.pc.

2006-09-03 20:14  cstim

	* [r14791] trunk/ChangeLog, trunk/lib/libqof/qof/qofbackend.h,
	  trunk/src/backend/file/gnc-backend-file.c,
	  trunk/src/gnome-utils/gnc-file.c: If the file type wasn't
	  recognized, check whether this failed because of no read
	  permission and give appropriate user feedback if yes. Feel free
	  to adjust the wording. BP

2006-09-03 19:54  andi5

	* [r14790] trunk/packaging/win32/custom.sh,
	  trunk/packaging/win32/install.sh: Split glade installer into
	  small gtk/gnome/other packages, add libglade. Still experimental.

2006-09-03 11:07  cstim

	* [r14789] trunk/ChangeLog,
	  trunk/src/backend/file/gnc-backend-file.c: Fix error checking
	  for non-existing filenames. Will now always give a "file not
	  found" message on nonexisting paths or filenames. #351351. BP

2006-09-03 10:23  cstim

	* [r14788] trunk/src/backend/file/gnc-backend-file.c: Replace
	  hardcoded dir separator by the glib macro

2006-09-03 10:13  andi5

	* [r14787] trunk/packaging/win32/custom.sh,
	  trunk/packaging/win32/install.sh: Add OpenSSL install function
	  as libgnomeui needs libssl32.dll. Add environment variable
	  LIBGLADE_MODULE_PATH. glade_require("gnome"); works now, Glade-2
	  does not load gnome widgets, GnuCash is untested.

2006-09-02 19:19  cstim

	* [r14786] trunk/lib/libqof/qof/qofsession.c: Fix typo

2006-09-02 19:18  cstim

	* [r14785] trunk/lib/libqof/qof/qofsession.c: For windows, fall
	  back to the file backend if a colon was in the URL name.

2006-09-02 15:44  cstim

	* [r14784] trunk/src/gnome-utils/dialog-utils.c,
	  trunk/src/gnome/druid-hierarchy.c: Fully specify the correct
	  subdirectory for windows; the prefix will be determined at
	  runtime

2006-09-02 08:52  cstim

	* [r14783] trunk/src/engine/Makefile.am: Revert r14780; doesn't
	  help for mingw/win32.

2006-09-01 21:33  andi5

	* [r14782] trunk/packaging/win32/pi.sh: Add pi.sh, a postinstall
	  script of mingw.

2006-09-01 21:10  cstim

	* [r14781] trunk/src/import-export/hbci/gnc-hbci-transfer.c: Fix
	  crash when querying data of the already deleted
	  template_list_store of the transfer dialog.

2006-09-01 20:29  cstim

	* [r14780] trunk/src/engine/Makefile.am: Use PATH_SEPARATOR
	  variable for GUILE_LOAD_PATH for windows.

2006-09-01 20:23  cstim

	* [r14779] trunk/src/engine/Makefile.am: Fix parallel build as
	  proposed by Mike Alexander <mta@umich.edu>

2006-09-01 15:45  cstim

	* [r14778] trunk/src/bin/Makefile.am, trunk/src/bin/gnucash.in:
	  Use the PATH_SEPARATOR variable from ./configure during path
	  creation in script. Necessary for windows ; searchpath separator

2006-09-01 15:26  cstim

	* [r14777] trunk/src/backend/file/gnc-backend-file.c,
	  trunk/src/gnc-module/gnc-module.c: Change the searchpath
	  separator to glib macro so that on Windows, ';' is used. Also
	  clean up more path creation functions.

2006-09-01 15:25  cstim

	* [r14776] trunk/src/gnome-utils/dialog-utils.c,
	  trunk/src/gnome/druid-hierarchy.c: For windows, determine glade
	  and accounts path at runtime instead of configure time.

2006-08-30 16:55  andi5

	* [r14775] trunk/packaging/win32/install.sh: Fix wget_unpacked in
	  install.sh, once again.

2006-08-30 16:52  andi5

	* [r14774] trunk/packaging/win32/install.sh: Added missing
	  parameter in wget_unpacked in install.sh.

2006-08-30 08:30  andi5

	* [r14773] trunk/packaging/win32/install.sh: Win32 script: added
	  wget_unpacked, $LAST_FILE, corrected --with-modules-dir.

2006-08-30 07:15  andi5

	* [r14772] trunk/packaging/win32/install.sh: Replace set [-+]e
	  switching by `if'.

2006-08-29 21:00  cstim

	* [r14771] trunk/src/backend/file/test/Makefile.am: Add more
	  library dirs for test runtime.

2006-08-29 20:32  cstim

	* [r14770] trunk/src/engine/test/Makefile.am: Add more library
	  dirs for test runtime.

2006-08-29 20:31  cstim

	* [r14769] trunk/packaging/win32/custom.sh,
	  trunk/packaging/win32/install.sh: At runtime one of the gnome
	  packages also needs gail.

2006-08-29 20:23  cstim

	* [r14768] trunk/packaging/win32/install.sh: For configuring
	  gnucash, add --enable-schemas-install=no. See wiki.

2006-08-29 08:18  cstim

	* [r14767] trunk/src/import-export/qif-import/Makefile.am,
	  trunk/src/import-export/qif-io-core/Makefile.am: Next round of
	  Makefile symlink cleanup. Scheme files are now symlinked or
	  copied into subdirectories gnucash/.
	* [r14766] trunk/src/import-export/Makefile.am: Remove unused
	  scm-links section

2006-08-29 08:07  cstim

	* [r14765] trunk/src/bin/Makefile.am: Add missing include

2006-08-29 08:05  cstim

	* [r14764] trunk/src/report/locale-specific/us/Makefile.am,
	  trunk/src/report/report-gnome/Makefile.am,
	  trunk/src/report/report-system/Makefile.am,
	  trunk/src/report/standard-reports/Makefile.am,
	  trunk/src/report/stylesheets/Makefile.am,
	  trunk/src/report/utility-reports/Makefile.am: Next round of
	  Makefile symlink cleanup. Scheme files are now symlinked or
	  copied into subdirectories gnucash/ and g-wrapped/. Also,
	  parallel builds should work fine now.

2006-08-29 07:48  cstim

	* [r14763] trunk/src/app-utils/Makefile.am,
	  trunk/src/core-utils/Makefile.am, trunk/src/engine/Makefile.am,
	  trunk/src/gnc-module/Makefile.am,
	  trunk/src/gnome-utils/Makefile.am, trunk/src/gnome/Makefile.am,
	  trunk/src/register/register-core/Makefile.am: Add missing -f
	  flag when symlinking the gw-.scm files

2006-08-29 07:29  cstim

	* [r14762] trunk/src/gnome-utils/Makefile.am: Symlinking
	  directories only works on non-win32.

2006-08-29 03:28  warlord

	* [r14761] branches/2.0, branches/2.0/ChangeLog,
	  branches/2.0/po/POTFILES.skip,
	  branches/2.0/src/gnome-utils/Makefile.am: Drop gtktreedatalist
	  (and gnctreemodelsort) from the build because it can conflict
	  with the real gtk+ version of the same file, depending on the
	  linking order of libgncmod-gnome-utils.so and the gtk+
	  libraries. Merge from r14709.
	* [r14760] branches/2.0, branches/2.0/ChangeLog,
	  branches/2.0/src/gnome/gnc-plugin-page-account-tree.c: Maintain
	  the account hierarchy when reparenting the descendants of a
	  deleted account. Merge from r14700.

2006-08-29 03:27  warlord

	* [r14759] branches/2.0, branches/2.0/ChangeLog: Update so that
	  bug-buddy 2.16 will still allow you to file bugs against
	  gnucash. Merge from r14695.
	* [r14758] branches/2.0, branches/2.0/ChangeLog: Add missing call
	  to xaccAccountBeginEdit. Merge from r14694.
	* [r14757] branches/2.0, branches/2.0/ChangeLog,
	  branches/2.0/src/import-export/hbci/dialog-hbcitrans.c,
	  branches/2.0/src/import-export/hbci/druid-hbci-initial.c:
	  Double-check really every string from aqbanking for valid utf-8
	  characters. Merge from r14680.
	* [r14756] branches/2.0, branches/2.0/ChangeLog,
	  branches/2.0/src/core-utils/gnc-glib-utils.c,
	  branches/2.0/src/core-utils/gnc-glib-utils.h: Add
	  gnc_utf8_strip_invalid_strdup() that returns a stripped copy
	  instead of working in-place. Merge from r14679.
	* [r14755] branches/2.0,
	  branches/2.0/src/report/standard-reports/budget.scm: Mark
	  forgotten strings for translation Merge from r14677.

2006-08-29 03:26  warlord

	* [r14754] branches/2.0, branches/2.0/ChangeLog,
	  branches/2.0/src/import-export/hbci/dialog-hbcitrans.c: Ensure
	  the encoding of the ktoblzcheck library is used correctly. Their
	  encoding is still always ISO-8859-1, but in future versions they
	  might change it to something else. We're prepared now. Merge
	  from r14676.
	* [r14753] branches/2.0, branches/2.0/ChangeLog,
	  branches/2.0/src/core-utils/gnc-gconf-utils.c,
	  branches/2.0/src/core-utils/gnc-gconf-utils.h,
	  branches/2.0/src/gnome-utils/dialog-preferences.c,
	  branches/2.0/src/gnome-utils/dialog-reset-warnings.c,
	  branches/2.0/src/gnome-utils/gnc-main-window.c,
	  branches/2.0/src/gnome-utils/gnc-plugin.c,
	  branches/2.0/src/gnome-utils/gnc-plugin.h,
	  branches/2.0/src/gnome-utils/gnc-tree-view.c: Remove overloading
	  of an argument passed to the gnc_gconf_add/remove_notification
	  functions.. This will solve a crash on Solaris caused by
	  g_vasprintf being passed a "%s" format string and a NULL as
	  argument. Merge from r14675.

2006-08-28 19:28  cstim

	* [r14752] trunk/packaging/win32/install.sh: Set g-wrap's module
	  dir to Windows syntax. Make sure goffice exports the
	  libgoffice_init symbol.

2006-08-28 16:31  warlord

	* [r14751] trunk, trunk/lib/libqof/backend/file/qsf-xml-map.c: and
	  one more file needs strptime.h.

2006-08-28 16:20  warlord

	* [r14750] trunk, trunk/lib/libqof/backend/file/qsf-backend.c:
	  need to include strptime.h so we get the declaration.

2006-08-28 16:05  warlord

	* [r14749] trunk, trunk/lib/libqof/backend/file/Makefile.am:
	  libqof/backend/file needs lib/libc for the missing libc
	  functions.

2006-08-28 15:42  warlord

	* [r14748] trunk, trunk/src/app-utils/gw-app-utils-spec.scm:
	  re-add gnc:gui-refresh-all, needed by a test, removed by r14619

2006-08-28 15:20  cstim

	* [r14747] trunk/src/app-utils/Makefile.am,
	  trunk/src/gnome-utils/Makefile.am, trunk/src/gnome/Makefile.am,
	  trunk/src/register/register-core/Makefile.am,
	  trunk/src/scm/Makefile.am, trunk/src/tax/us/Makefile.am: Next
	  round of Makefile symlink cleanup. Scheme files are now
	  symlinked or copied into subdirectories gnucash/ and g-wrapped/.
	  Also, parallel builds should work fine now.

2006-08-28 14:51  cstim

	* [r14746] trunk/lib/guile-www/Makefile.am,
	  trunk/src/core-utils/Makefile.am, trunk/src/engine/Makefile.am,
	  trunk/src/gnc-module/Makefile.am: First round of Makefile
	  symlink cleanup. Scheme files are now symlinked or copied into
	  subdirectories gnucash/ and g-wrapped/. This will work on a
	  platform without symlinks just fine.

2006-08-28 12:34  cstim

	* [r14745] trunk/src/gnc-test-env: Guile path on win32 needs to be
	  separated by ; instead of :.

2006-08-28 11:29  cstim

	* [r14744] trunk/configure.in: Move win32 check out of
	  libgsf-1.12.3 configure section into the general configure
	  section

2006-08-28 09:31  cstim

	* [r14743] trunk/configure.in,
	  trunk/lib/libqof/backend/file/Makefile.am,
	  trunk/lib/libqof/qof/Makefile.am, trunk/src/engine/Makefile.am,
	  trunk/src/gnome-search/Makefile.am,
	  trunk/src/gnome-utils/Makefile.am,
	  trunk/src/import-export/Makefile.am,
	  trunk/src/import-export/qif/Makefile.am: Add REGEX_LIBS linker
	  flag that is needed on win32 platform

2006-08-28 08:56  cstim

	* [r14742] trunk/packaging/win32/install.sh: Add CFLAGS which, if
	  missing, would cause non-exported symbols. See wiki page.

2006-08-27 19:49  cstim

	* [r14741] trunk/packaging/win32/install.sh: On win32, LDFLAGS
	  need to contain -no-undefined to get DLLs built.

2006-08-27 12:45  cstim

	* [r14740] trunk/packaging/win32/install.sh: Add more env
	  variables to configure so that rerunning configure works even
	  outside of install.sh

2006-08-27 02:01  andi5

	* [r14739] trunk/packaging/win32/goffice-0.3.0-patch.diff: One
	  more patch fix

2006-08-27 01:29  andi5

	* [r14738] trunk/packaging/win32/goffice-0.3.0-patch.diff: Correct
	  last patch.

2006-08-27 01:17  warlord

	* [r14737] trunk, trunk/packaging/win32/goffice-0.3.0-patch.diff,
	  trunk/packaging/win32/install.sh: Patch goffice to deal properly
	  with goffice.def

2006-08-27 01:16  warlord

	* [r14736] trunk, trunk/packaging/win32/install.sh: modify the
	  goffice.def later in the build.

2006-08-27 00:29  andi5

	* [r14735] trunk/packaging/win32/README,
	  trunk/packaging/win32/install.sh: Make the win32 script run even
	  from outside of the its directory.

2006-08-26 23:11  warlord

	* [r14734] trunk, trunk/packaging/win32/install.sh: Don't
	  arbitrarily change configure.in. This changeset lets us run this
	  script multiple times and it wont break configure.in.

2006-08-26 23:06  warlord

	* [r14733] trunk, trunk/packaging/win32/install.sh: revert back to
	  checking for libgoffice-0.3.pc

2006-08-26 22:59  warlord

	* [r14732] trunk, trunk/configure.in: Check for libgoffice-0.3
	  before libgoffice-1. (So we find "native" goffice-0.3.x on win32

2006-08-26 21:22  warlord

	* [r14731] trunk, trunk/packaging/win32/custom.sh,
	  trunk/packaging/win32/install.sh,
	  trunk/packaging/win32/intltool-merge: Get goffice building
	  properly. - make sure it will build dynamically - remove unknown
	  symbols - fix the intltool-merge problem by replacing
	  intltool-merge

2006-08-26 19:26  jsled

	* [r14730] branches/sx-cleanup/ChangeLog: missed in last commit.

2006-08-26 19:03  cstim

	* [r14729] trunk/packaging/win32/install.sh: Revert libgoffice
	  pkgconfig filename change. Add CFLAGS at gnucash configure.

2006-08-26 08:53  cstim

	* [r14728] trunk/packaging/win32/install.sh: Fix version number of
	  libgoffice pc file

2006-08-26 06:03  warlord

	* [r14727] trunk, trunk/packaging/win32/install.sh: msys sed
	  doesn't understand "-i". Work around that.

2006-08-26 05:31  warlord

	* [r14726] trunk, trunk/packaging/win32/custom.sh,
	  trunk/packaging/win32/goffice-0.3.0-patch.diff,
	  trunk/packaging/win32/install.sh: More updates to the win32
	  build script. - We need autotools before libgsf - update the
	  goffice build rule (but still not enabled) - add the goffice
	  patch. Expand the patch. - turn off the INTLTOOL_XML_RULE in the
	  goffice makefiles.

2006-08-26 03:30  warlord

	* [r14725] trunk, trunk/packaging/win32/custom.sh,
	  trunk/packaging/win32/install.sh: Add script code to build
	  libgsf -- tested and works for me. Add script code to build
	  goffice (not enabled, yet).

2006-08-26 01:48  warlord

	* [r14724] trunk, trunk/packaging/win32/install.sh: Be smarter
	  about handling partially completed builds. - Don't die when wget
	  has already downloaded the file. - add some more output during
	  the auto-tools

2006-08-26 01:23  warlord

	* [r14723] trunk, trunk/packaging/win32/install.sh: use WORKING
	  set +/-e construct.

2006-08-26 01:19  warlord

	* [r14722] trunk, trunk/packaging/win32/install.sh: Fix some
	  typos. Deal with constructs that don't work with "set -e"

2006-08-26 01:03  warlord

	* [r14721] trunk, trunk/packaging/win32/custom.sh,
	  trunk/packaging/win32/install.sh: Update win32 script to be
	  better about failing.

2006-08-25 20:27  cstim

	* [r14720] trunk/packaging/win32, trunk/packaging/win32/README,
	  trunk/packaging/win32/custom.sh,
	  trunk/packaging/win32/install.sh: Add Andi's script for
	  automated build environment building on Windows/mingw32

2006-08-23 19:29  cstim

	* [r14719] trunk/src/import-export/hbci/gnc-dtaus-import.c,
	  trunk/src/import-export/hbci/gnc-dtaus-import.h,
	  trunk/src/import-export/hbci/gnc-plugin-hbci.c: Generalize
	  importing function so that this function can fully replace
	  gnc_file_mt940_import and the whole mt940 module.

2006-08-23 12:09  cstim

	* [r14718] trunk/src/gnome-utils/dialog-utils.c: Replace
	  hard-coded directory separator by g_build_filename() function

2006-08-23 12:08  cstim

	* [r14717] trunk/src/gnome: Add new svn:ignore

2006-08-23 03:20  hampton

	* [r14716] branches/remove-group/ChangeLog,
	  branches/remove-group/src/app-utils/gnc-account-merge.c: Merge
	  account trees properly.

2006-08-23 03:17  hampton

	* [r14715] branches/remove-group/ChangeLog,
	  branches/remove-group/src/backend/file/io-gncxml-v2.c,
	  branches/remove-group/src/engine/Account.c: Make sure the root
	  account exists when the code asks for it. This works both for
	  reading a new file and a user performing File->New->New File.

2006-08-23 03:09  hampton

	* [r14714] branches/remove-group/ChangeLog,
	  branches/remove-group/src/gnome-utils/gnc-tree-model-account.c:
	  Fix a mistake in the updated tree model.

2006-08-22 21:51  hampton

	* [r14713] branches/remove-group/ChangeLog,
	  branches/remove-group/src/backend/file/gnc-account-xml-v2.c,
	  branches/remove-group/src/backend/file/io-gncxml-v2.c,
	  branches/remove-group/src/engine/Account.c,
	  branches/remove-group/src/engine/Account.h,
	  branches/remove-group/src/engine/Scrub.c: Don't require the root
	  account to have a commodity.

2006-08-22 20:08  cstim

	* [r14712] trunk/src/backend/file/gnc-backend-file.c: Fix one more
	  instance of explicit directory separator to use
	  G_DIR_SEPARATOR_S instead

2006-08-22 19:41  cstim

	* [r14711] trunk/lib/libqof/backend/file/Makefile.am,
	  trunk/lib/libqof/qof/Makefile.am, trunk/src/engine/Makefile.am,
	  trunk/src/scm/Makefile.am: Replace : as sed's replacement
	  command delimiter by # because on Windows, fully qualified
	  filenames might contain the colon.

2006-08-22 19:26  cstim

	* [r14710] trunk/configure.in: Increase aqbanking dependency to >=
	  1.6.0; has been released on 2005-09-22

2006-08-22 15:33  chris

	* [r14709] trunk/po/POTFILES.skip,
	  trunk/src/gnome-utils/Makefile.am: Drop gtktreedatalist (and
	  gnctreemodelsort) from the build because it can conflict with
	  the real gtk+ version of the same file, depending on the linking
	  order of libgncmod-gnome-utils.so and the gtk+ libraries. BP

2006-08-22 14:35  cstim

	* [r14708] trunk/src/gnome-utils/Makefile.am: Replace : as sed's
	  replacement command delimiter by # because on Windows, fully
	  qualified filenames might contain the colon.

2006-08-22 14:33  cstim

	* [r14707] trunk/src/gnome-utils/gnc-embedded-window.c,
	  trunk/src/gnome-utils/gnc-gnome-utils.c: Remove include that
	  isn't needed anymore; removes dependency on regenerated file

2006-08-22 13:38  cstim

	* [r14706] trunk/src/bin/Makefile.am,
	  trunk/src/bin/overrides/Makefile.am: Replace : as sed's
	  replacement command delimiter by # because on Windows, fully
	  qualified filenames might contain the colon.

2006-08-22 12:51  cstim

	* [r14705] branches/2.0/po/de.po: Update German translation with
	  latest string (tip-of-day) addition

2006-08-22 02:43  hampton

	* [r14704] branches/remove-group/ChangeLog,
	  branches/remove-group/src/engine/Account.c,
	  branches/remove-group/src/engine/Account.h,
	  branches/remove-group/src/engine/SX-book-p.h,
	  branches/remove-group/src/engine/SX-book.c,
	  branches/remove-group/src/engine/SX-book.h: Mark a couple of
	  functions as static.

2006-08-22 00:38  hampton

	* [r14703] branches/remove-group/ChangeLog,
	  branches/remove-group/gnucash.m4,
	  branches/remove-group/lib/libqof/backend/file/qof-backend-qsf.h,
	  branches/remove-group/lib/libqof/qof/qofinstance-p.h,
	  branches/remove-group/lib/libqof/qof/qofinstance.h,
	  branches/remove-group/lib/libqof/qof/qofsession.h,
	  branches/remove-group/src/app-utils/gnc-account-merge.c,
	  branches/remove-group/src/app-utils/gnc-account-merge.h,
